!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 13:16             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_5112) = coupl(nGC_3500) + coupl(nGC_37)*dZH/2d0 + coupl(nGC_37)* &
                      dZZ/2d0
    coupl(nGC_5152) = coupl(nGC_3506) + coupl(nGC_46)*dZZ
    coupl(nGC_5156) = coupl(nGC_3506) + coupl(nGC_46)*dZH + coupl(nGC_46)*dZZ
    coupl(nGC_5160) = coupl(nGC_3508) + coupl(nGC_52)*dZH/2d0 + coupl(nGC_52)* &
                      dZZ
    coupl(nGC_5170) = coupl(nGC_3475) + coupl(nGC_4)*dZA/2d0
    coupl(nGC_5171) = coupl(nGC_5169) + coupl(nGC_5170)
    coupl(nGC_5172) = coupl(nGC_5168) + coupl(nGC_5170)
    coupl(nGC_5178) = coupl(nGC_3518) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZeMinusR
    coupl(nGC_5179) = coupl(nGC_3501) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZeMinusL
    coupl(nGC_5180) = coupl(nGC_5173) + coupl(nGC_5178)
    coupl(nGC_5181) = coupl(nGC_5173) + coupl(nGC_5179)
    coupl(nGC_5190) = coupl(nGC_5170) + coupl(nGC_5189)
    coupl(nGC_5191) = coupl(nGC_5170) + coupl(nGC_5188)
    coupl(nGC_5197) = coupl(nGC_3518) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZmuMinusR
    coupl(nGC_5198) = coupl(nGC_3501) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZmuMinusL
    coupl(nGC_5199) = coupl(nGC_5173) + coupl(nGC_5197)
    coupl(nGC_5200) = coupl(nGC_5173) + coupl(nGC_5198)
    coupl(nGC_5209) = coupl(nGC_5170) + coupl(nGC_5208)
    coupl(nGC_5210) = coupl(nGC_5170) + coupl(nGC_5207)
    coupl(nGC_5216) = coupl(nGC_3518) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZtauMinusR
    coupl(nGC_5217) = coupl(nGC_3501) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZtauMinusL
    coupl(nGC_5218) = coupl(nGC_5173) + coupl(nGC_5216)
    coupl(nGC_5219) = coupl(nGC_5173) + coupl(nGC_5217)
    coupl(nGC_5228) = coupl(nGC_2)*dZA/2d0 + coupl(nGC_3509)
    coupl(nGC_5229) = coupl(nGC_5225) + coupl(nGC_5228)
    coupl(nGC_5230) = coupl(nGC_5222) + coupl(nGC_5228)
    coupl(nGC_5240) = coupl(nGC_35)*dZZ/2d0 + coupl(nGC_3513)
    coupl(nGC_5241) = coupl(nGC_3514) + coupl(nGC_39)*dZZ/2d0
    coupl(nGC_5242) = coupl(nGC_5231) + coupl(nGC_5240)
    coupl(nGC_5243) = coupl(nGC_5231) + coupl(nGC_5241)
    coupl(nGC_5269) = coupl(nGC_5228) + coupl(nGC_5268)
    coupl(nGC_5270) = coupl(nGC_5228) + coupl(nGC_5267)
    coupl(nGC_5276) = coupl(nGC_35)*dZZ/2d0 + coupl(nGC_35)*dZtR + coupl(      &
                      nGC_3513)
    coupl(nGC_5277) = coupl(nGC_3514) + coupl(nGC_39)*dZZ/2d0 + coupl(nGC_39)* &
                      dZtL
    coupl(nGC_5278) = coupl(nGC_5231) + coupl(nGC_5276)
    coupl(nGC_5279) = coupl(nGC_5231) + coupl(nGC_5277)
    coupl(nGC_5288) = coupl(nGC_1)*dZA/2d0 + coupl(nGC_3510)
    coupl(nGC_5289) = coupl(nGC_5285) + coupl(nGC_5288)
    coupl(nGC_5290) = coupl(nGC_5282) + coupl(nGC_5288)
    coupl(nGC_5300) = coupl(nGC_34)*dZZ/2d0 + coupl(nGC_3515)
    coupl(nGC_5301) = coupl(nGC_3516) + coupl(nGC_38)*dZZ/2d0
    coupl(nGC_5302) = coupl(nGC_5291) + coupl(nGC_5300)
    coupl(nGC_5303) = coupl(nGC_5291) + coupl(nGC_5301)
    coupl(nGC_5344) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_3511)
    coupl(nGC_5345) = coupl(nGC_5340) + coupl(nGC_5344)
    coupl(nGC_5346) = coupl(nGC_5338) + coupl(nGC_5344)
    coupl(nGC_5359) = coupl(nGC_5344) + coupl(nGC_5355)
    coupl(nGC_5360) = coupl(nGC_5344) + coupl(nGC_5353)
    coupl(nGC_5373) = coupl(nGC_5344) + coupl(nGC_5369)
    coupl(nGC_5374) = coupl(nGC_5344) + coupl(nGC_5367)
    coupl(nGC_5387) = coupl(nGC_5344) + coupl(nGC_5383)
    coupl(nGC_5388) = coupl(nGC_5344) + coupl(nGC_5381)
    coupl(nGC_5401) = coupl(nGC_5344) + coupl(nGC_5397)
    coupl(nGC_5402) = coupl(nGC_5344) + coupl(nGC_5395)
    coupl(nGC_5413) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_3512)
    coupl(nGC_5422) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZtL/2d0 +    &
                      coupl(nGC_3512)
    coupl(nGC_5437) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZeMinusL/2d0 &
                       + coupl(nGC_23)*dZnu_eL/2d0 + coupl(nGC_3512)
    coupl(nGC_5440) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZmuMinusL/2d0&
                       + coupl(nGC_23)*dZnu_muL/2d0 + coupl(nGC_3512)
    coupl(nGC_5443) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZnu_tauL/2d0 &
                       + coupl(nGC_23)*dZtauMinusL/2d0 + coupl(nGC_3512)
    coupl(nGC_5452) = coupl(nGC_3517) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_eL
    coupl(nGC_5456) = coupl(nGC_3517) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_muL
    coupl(nGC_5460) = coupl(nGC_3517) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_tauL
    coupl(nGC_5472) = coupl(nGC_3519) + coupl(nGC_85)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_85)*dZuR_QCD2/2d0
    coupl(nGC_5473) = coupl(nGC_3522) + coupl(nGC_61)*dZdR_QCD2/2d0 + coupl(   &
                      nGC_61)*dZuL_QCD2/2d0
    coupl(nGC_5474) = coupl(nGC_3521) + coupl(nGC_85)*dZdL_QED2/2d0 + coupl(   &
                      nGC_85)*dZuR_QED2/2d0
    coupl(nGC_5475) = coupl(nGC_3524) + coupl(nGC_61)*dZdR_QED2/2d0 + coupl(   &
                      nGC_61)*dZuL_QED2/2d0
    coupl(nGC_5486) = coupl(nGC_3525) + coupl(nGC_57)*dZcR_QCD2/2d0 + coupl(   &
                      nGC_57)*dZsL_QCD2/2d0
    coupl(nGC_5487) = coupl(nGC_3528) + coupl(nGC_73)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_73)*dZsR_QCD2/2d0
    coupl(nGC_5488) = coupl(nGC_3527) + coupl(nGC_57)*dZcR_QED2/2d0 + coupl(   &
                      nGC_57)*dZsL_QED2/2d0
    coupl(nGC_5489) = coupl(nGC_3530) + coupl(nGC_73)*dZcL_QED2/2d0 + coupl(   &
                      nGC_73)*dZsR_QED2/2d0
    coupl(nGC_5501) = coupl(nGC_3533) + coupl(nGC_53)*dZtL/2d0
    coupl(nGC_5502) = coupl(nGC_3534) + coupl(nGC_53)*dZbR_QED2/2d0
    coupl(nGC_5503) = coupl(nGC_3532) + coupl(nGC_53)*dZbR_QCD2/2d0
    coupl(nGC_3536) = coupl(nGC_3109)*dydo_QED1
    coupl(nGC_3539) = coupl(nGC_3103)*dydo_QED1
    coupl(nGC_5516) = coupl(nGC_3537) + coupl(nGC_64)*dZdL_QED2/2d0 + coupl(   &
                      nGC_64)*dZdR_QED2/2d0
    coupl(nGC_5517) = coupl(nGC_3540) + coupl(nGC_62)*dZdL_QED2/2d0 + coupl(   &
                      nGC_62)*dZdR_QED2/2d0
    coupl(nGC_3542) = coupl(nGC_3146)*dys_QED1
    coupl(nGC_3545) = coupl(nGC_3135)*dys_QED1
    coupl(nGC_5530) = coupl(nGC_3543) + coupl(nGC_76)*dZsL_QED2/2d0 + coupl(   &
                      nGC_76)*dZsR_QED2/2d0
    coupl(nGC_5531) = coupl(nGC_3546) + coupl(nGC_74)*dZsL_QED2/2d0 + coupl(   &
                      nGC_74)*dZsR_QED2/2d0
    coupl(nGC_3548) = coupl(nGC_3083)*dyb_QED1
    coupl(nGC_3551) = coupl(nGC_3080)*dyb_QED1
    coupl(nGC_5544) = coupl(nGC_3549) + coupl(nGC_56)*dZbL_QED2/2d0 + coupl(   &
                      nGC_56)*dZbR_QED2/2d0
    coupl(nGC_5545) = coupl(nGC_3552) + coupl(nGC_54)*dZbL_QED2/2d0 + coupl(   &
                      nGC_54)*dZbR_QED2/2d0
    coupl(nGC_3555) = coupl(nGC_3108)*dydo_QED3
    coupl(nGC_5554) = coupl(nGC_3555) + coupl(nGC_5549)
    coupl(nGC_3553) = coupl(nGC_3108)*dydo_QCD2_QED1
    coupl(nGC_5555) = coupl(nGC_3553) + coupl(nGC_5548)
    coupl(nGC_5556) = coupl(nGC_3554) + coupl(nGC_63)*dZH/2d0
    coupl(nGC_3558) = coupl(nGC_3139)*dys_QED3
    coupl(nGC_5565) = coupl(nGC_3558) + coupl(nGC_5560)
    coupl(nGC_3556) = coupl(nGC_3139)*dys_QCD2_QED1
    coupl(nGC_5566) = coupl(nGC_3556) + coupl(nGC_5559)
    coupl(nGC_5567) = coupl(nGC_3557) + coupl(nGC_75)*dZH/2d0
    coupl(nGC_3559) = coupl(nGC_3082)*dyb_QCD2_QED1
    coupl(nGC_5576) = coupl(nGC_3559) + coupl(nGC_5570)
    coupl(nGC_3561) = coupl(nGC_3082)*dyb_QED3
    coupl(nGC_5577) = coupl(nGC_3561) + coupl(nGC_5571)
    coupl(nGC_5578) = coupl(nGC_3560) + coupl(nGC_55)*dZH/2d0
    coupl(nGC_5592) = coupl(nGC_3565) + coupl(nGC_68)*dZeMinusL/2d0 + coupl(   &
                      nGC_68)*dZeMinusR/2d0
    coupl(nGC_5593) = coupl(nGC_3566) + coupl(nGC_66)*dZeMinusL/2d0 + coupl(   &
                      nGC_66)*dZeMinusR/2d0
    coupl(nGC_5598) = coupl(nGC_3567) + coupl(nGC_72)*dZmuMinusL/2d0 + coupl(  &
                      nGC_72)*dZmuMinusR/2d0
    coupl(nGC_5599) = coupl(nGC_3568) + coupl(nGC_70)*dZmuMinusL/2d0 + coupl(  &
                      nGC_70)*dZmuMinusR/2d0
    coupl(nGC_5604) = coupl(nGC_3569) + coupl(nGC_84)*dZtauMinusL/2d0 + coupl( &
                      nGC_84)*dZtauMinusR/2d0
    coupl(nGC_5605) = coupl(nGC_3570) + coupl(nGC_82)*dZtauMinusL/2d0 + coupl( &
                      nGC_82)*dZtauMinusR/2d0
    coupl(nGC_5610) = coupl(nGC_3571) + coupl(nGC_67)*dZH/2d0
    coupl(nGC_5611) = coupl(nGC_5607) + coupl(nGC_5610)
    coupl(nGC_5616) = coupl(nGC_3572) + coupl(nGC_71)*dZH/2d0
    coupl(nGC_5617) = coupl(nGC_5613) + coupl(nGC_5616)
    coupl(nGC_5622) = coupl(nGC_3573) + coupl(nGC_83)*dZH/2d0
    coupl(nGC_5623) = coupl(nGC_5619) + coupl(nGC_5622)
    coupl(nGC_3575) = coupl(nGC_3185)*dyup_QED1
    coupl(nGC_3578) = coupl(nGC_3192)*dyup_QED1
    coupl(nGC_5666) = coupl(nGC_3576) + coupl(nGC_86)*dZuL_QED2/2d0 + coupl(   &
                      nGC_86)*dZuR_QED2/2d0
    coupl(nGC_5667) = coupl(nGC_3579) + coupl(nGC_88)*dZuL_QED2/2d0 + coupl(   &
                      nGC_88)*dZuR_QED2/2d0
    coupl(nGC_3581) = coupl(nGC_3087)*dyc_QED1
    coupl(nGC_3584) = coupl(nGC_3099)*dyc_QED1
    coupl(nGC_5680) = coupl(nGC_3582) + coupl(nGC_58)*dZcL_QED2/2d0 + coupl(   &
                      nGC_58)*dZcR_QED2/2d0
    coupl(nGC_5681) = coupl(nGC_3585) + coupl(nGC_60)*dZcL_QED2/2d0 + coupl(   &
                      nGC_60)*dZcR_QED2/2d0
    coupl(nGC_5686) = coupl(nGC_3586) + coupl(nGC_78)*dZtL/2d0 + coupl(nGC_78)*&
                      dZtR/2d0
    coupl(nGC_5687) = coupl(nGC_3587) + coupl(nGC_80)*dZtL/2d0 + coupl(nGC_80)*&
                      dZtR/2d0
    coupl(nGC_3590) = coupl(nGC_3200)*dyup_QED3
    coupl(nGC_5696) = coupl(nGC_3590) + coupl(nGC_5691)
    coupl(nGC_3588) = coupl(nGC_3200)*dyup_QCD2_QED1
    coupl(nGC_5697) = coupl(nGC_3588) + coupl(nGC_5690)
    coupl(nGC_5698) = coupl(nGC_3589) + coupl(nGC_87)*dZH/2d0
    coupl(nGC_3591) = coupl(nGC_3092)*dyc_QCD2_QED1
    coupl(nGC_5707) = coupl(nGC_3591) + coupl(nGC_5701)
    coupl(nGC_3593) = coupl(nGC_3092)*dyc_QED3
    coupl(nGC_5708) = coupl(nGC_3593) + coupl(nGC_5702)
    coupl(nGC_5709) = coupl(nGC_3592) + coupl(nGC_59)*dZH/2d0
    coupl(nGC_5714) = coupl(nGC_3594) + coupl(nGC_79)*dZH/2d0
    coupl(nGC_5715) = coupl(nGC_5711) + coupl(nGC_5714)
    coupl(nGC_5839) = coupl(nGC_3614) + coupl(nGC_MW_GF)*dZWMinus/2d0
    coupl(nGC_5842) = coupl(nGC_3615) + coupl(nGC_MMW_GF)*dZWMinus/2d0
    coupl(nGC_5845) = coupl(nGC_3616) + coupl(nGC_MZ_GF)*dZZ/2d0
    coupl(nGC_5868) = -coupl(nGC_4876)
    coupl(nGC_5878) = -coupl(nGC_4880)
    coupl(nGC_6484) = -coupl(nGC_5031)
    coupl(nGC_6503) = -coupl(nGC_5035)
    coupl(nGC_6803) = -coupl(nGC_5062)
    coupl(nGC_6814) = -coupl(nGC_5065)
    coupl(nGC_7123) = -coupl(nGC_5090)
    coupl(nGC_7267) = -coupl(nGC_5112)
    coupl(nGC_3535) = coupl(nGC_3109)*dydo_QCD2_QED1
    coupl(nGC_3538) = coupl(nGC_3103)*dydo_QCD2_QED1
    coupl(nGC_3541) = coupl(nGC_3146)*dys_QCD2_QED1
    coupl(nGC_3544) = coupl(nGC_3135)*dys_QCD2_QED1
    coupl(nGC_3547) = coupl(nGC_3083)*dyb_QCD2_QED1
    coupl(nGC_3550) = coupl(nGC_3080)*dyb_QCD2_QED1
    coupl(nGC_3574) = coupl(nGC_3185)*dyup_QCD2_QED1
    coupl(nGC_3577) = coupl(nGC_3192)*dyup_QCD2_QED1
    coupl(nGC_3580) = coupl(nGC_3087)*dyc_QCD2_QED1
    coupl(nGC_3583) = coupl(nGC_3099)*dyc_QCD2_QED1
    coupl(nGC_5514) = coupl(nGC_3535) + coupl(nGC_64)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_64)*dZdR_QCD2/2d0
    coupl(nGC_5515) = coupl(nGC_3538) + coupl(nGC_62)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_62)*dZdR_QCD2/2d0
    coupl(nGC_5528) = coupl(nGC_3541) + coupl(nGC_76)*dZsL_QCD2/2d0 + coupl(   &
                      nGC_76)*dZsR_QCD2/2d0
    coupl(nGC_5529) = coupl(nGC_3544) + coupl(nGC_74)*dZsL_QCD2/2d0 + coupl(   &
                      nGC_74)*dZsR_QCD2/2d0
    coupl(nGC_5542) = coupl(nGC_3547) + coupl(nGC_56)*dZbL_QCD2/2d0 + coupl(   &
                      nGC_56)*dZbR_QCD2/2d0
    coupl(nGC_5543) = coupl(nGC_3550) + coupl(nGC_54)*dZbL_QCD2/2d0 + coupl(   &
                      nGC_54)*dZbR_QCD2/2d0
    coupl(nGC_5664) = coupl(nGC_3574) + coupl(nGC_86)*dZuL_QCD2/2d0 + coupl(   &
                      nGC_86)*dZuR_QCD2/2d0
    coupl(nGC_5665) = coupl(nGC_3577) + coupl(nGC_88)*dZuL_QCD2/2d0 + coupl(   &
                      nGC_88)*dZuR_QCD2/2d0
    coupl(nGC_5678) = coupl(nGC_3580) + coupl(nGC_58)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_58)*dZcR_QCD2/2d0
    coupl(nGC_5679) = coupl(nGC_3583) + coupl(nGC_60)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_60)*dZcR_QCD2/2d0
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
