!******************************************************************************!
!                                                                              !
!    vertices_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 13:16             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info2
  implicit none
  contains
  subroutine fill_vertices_mdl2()
    use class_vertices
    use class_couplings
    allocate(vertices(800)%branch(0:0))
    call av(800, 0, 21, 5, 0, FaVF1, 0, [0, 1], [nGC_23])

    allocate(vertices(801)%branch(0:0))
    call av(801, 0, 18, 5, 0, VFFa1, 0, [0, 1], [nGC_23])

    allocate(vertices(802)%branch(0:0))
    call av(802, 0, 19, 5, 0, VFaF1, 0, [0, 1], [nGC_23])

    allocate(vertices(803)%branch(0:0))
    call av(803, 0, 8, 5, 0, VFFa1, 0, [0, 1], [nGC_23])

    allocate(vertices(804)%branch(0:0))
    call av(804, 0, 8, 5, 0, VFaF1, 0, [0, 1], [nGC_23])

    allocate(vertices(805)%branch(0:0))
    call av(805, 0, 8, 5, 0, FVFa1, 0, [0, 1], [nGC_23])

    allocate(vertices(806)%branch(0:0))
    call av(806, 0, 8, 5, 0, FaFV1, 0, [0, 1], [nGC_23])

    allocate(vertices(807)%branch(0:0))
    call av(807, 0, 8, 5, 0, FaVF1, 0, [0, 1], [nGC_23])

    allocate(vertices(808)%branch(0:0))
    call av(808, 0, 8, 5, 0, FVFa1, 0, [0, 1], [nGC_23])

    allocate(vertices(809)%branch(0:0))
    call av(809, 0, 8, 5, 0, FaFV1, 0, [0, 1], [nGC_23])

    allocate(vertices(810)%branch(0:0))
    call av(810, 0, 8, 5, 0, FaVF1, 0, [0, 1], [nGC_23])

    allocate(vertices(811)%branch(0:0))
    call av(811, 0, 8, 5, 0, VFFa1, 0, [0, 1], [nGC_23])

    allocate(vertices(812)%branch(0:0))
    call av(812, 0, 8, 5, 0, VFaF1, 0, [0, 1], [nGC_23])

    allocate(vertices(813)%branch(0:0))
    call av(813, 0, 8, 5, 0, FVFa1, 0, [0, 1], [nGC_23])

    allocate(vertices(814)%branch(0:0))
    call av(814, 0, 8, 5, 0, FaFV1, 0, [0, 1], [nGC_23])

    allocate(vertices(815)%branch(0:0))
    call av(815, 0, 8, 5, 0, FaVF1, 0, [0, 1], [nGC_23])

    allocate(vertices(816)%branch(0:0))
    call av(816, 0, 8, 5, 0, VFFa1, 0, [0, 1], [nGC_23])

    allocate(vertices(817)%branch(0:0))
    call av(817, 0, 8, 5, 0, VFaF1, 0, [0, 1], [nGC_23])

    allocate(vertices(818)%branch(0:0))
    call av(818, 0, 8, 5, 0, FaFV1, 0, [0, 1], [nGC_23])

    allocate(vertices(819)%branch(0:0))
    call av(819, 0, 8, 5, 0, FaVF1, 0, [0, 1], [nGC_23])

    allocate(vertices(820)%branch(0:0))
    call av(820, 0, 8, 5, 0, FVFa1, 0, [0, 1], [nGC_23])

    allocate(vertices(821)%branch(0:0))
    call av(821, 0, 8, 5, 0, VFaF1, 0, [0, 1], [nGC_23])

    allocate(vertices(822)%branch(0:0))
    call av(822, 0, 8, 5, 0, VFFa1, 0, [0, 1], [nGC_23])

    allocate(vertices(823)%branch(0:0))
    call av(823, 0, 8, 5, 0, FVFa1, 0, [0, 1], [nGC_23])

    allocate(vertices(824)%branch(0:0))
    call av(824, 0, 8, 5, 0, VFFa1, 0, [0, 1], [nGC_23])

    allocate(vertices(825)%branch(0:0))
    call av(825, 0, 8, 5, 0, VFaF1, 0, [0, 1], [nGC_23])

    allocate(vertices(826)%branch(0:0))
    call av(826, 0, 8, 5, 0, FaFV1, 0, [0, 1], [nGC_23])

    allocate(vertices(827)%branch(0:0))
    call av(827, 0, 8, 5, 0, FaVF1, 0, [0, 1], [nGC_23])

    allocate(vertices(828)%branch(0:0))
    call av(828, 0, 8, 5, 0, VFaF1, 0, [0, 1], [nGC_23])

    allocate(vertices(829)%branch(0:0))
    call av(829, 0, 8, 5, 0, VFFa1, 0, [0, 1], [nGC_23])

    allocate(vertices(830)%branch(0:0))
    call av(830, 0, 8, 5, 0, FaVF1, 0, [0, 1], [nGC_23])

    allocate(vertices(831)%branch(0:0))
    call av(831, 0, 8, 5, 0, FaFV1, 0, [0, 1], [nGC_23])

    allocate(vertices(832)%branch(0:0))
    call av(832, 0, 8, 5, 0, FVFa1, 0, [0, 1], [nGC_23])

    allocate(vertices(833)%branch(0:0))
    call av(833, 0, 21, 5, 0, FaVF0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(834)%branch(0:0))
    call av(834, 0, 20, 5, 0, FaFV0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(835)%branch(0:0))
    call av(835, 0, 19, 5, 0, VFaF0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(836)%branch(0:0))
    call av(836, 0, 18, 5, 0, VFFa0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(837)%branch(0:0))
    call av(837, 0, 17, 5, 0, FVFa0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(838)%branch(0:0))
    call av(838, 0, 21, 5, 0, FaVF0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(839)%branch(0:0))
    call av(839, 0, 20, 5, 0, FaFV0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(840)%branch(0:0))
    call av(840, 0, 19, 5, 0, VFaF0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(841)%branch(0:0))
    call av(841, 0, 18, 5, 0, VFFa0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(842)%branch(0:0))
    call av(842, 0, 17, 5, 0, FVFa0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(843)%branch(0:0))
    call av(843, 0, 17, 5, 0, FVFa0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(844)%branch(0:0))
    call av(844, 0, 18, 5, 0, VFFa0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(845)%branch(0:0))
    call av(845, 0, 19, 5, 0, VFaF0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(846)%branch(0:0))
    call av(846, 0, 20, 5, 0, FaFV0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(847)%branch(0:0))
    call av(847, 0, 21, 5, 0, FaVF0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(848)%branch(0:0))
    call av(848, 0, 17, 5, 0, FVFa0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(849)%branch(0:0))
    call av(849, 0, 18, 5, 0, VFFa0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(850)%branch(0:0))
    call av(850, 0, 19, 5, 0, VFaF0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(851)%branch(0:0))
    call av(851, 0, 20, 5, 0, FaFV0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(852)%branch(0:0))
    call av(852, 0, 21, 5, 0, FaVF0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(853)%branch(0:0))
    call av(853, 0, 21, 5, 0, FaVF0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(854)%branch(0:0))
    call av(854, 0, 20, 5, 0, FaFV0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(855)%branch(0:0))
    call av(855, 0, 19, 5, 0, VFaF0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(856)%branch(0:0))
    call av(856, 0, 18, 5, 0, VFFa0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(857)%branch(0:0))
    call av(857, 0, 17, 5, 0, FVFa0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(858)%branch(0:0))
    call av(858, 0, 19, 5, 0, VFaF0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(859)%branch(0:0))
    call av(859, 0, 18, 5, 0, VFFa0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(860)%branch(0:0))
    call av(860, 0, 21, 5, 0, FaVF0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(861)%branch(0:0))
    call av(861, 0, 20, 5, 0, FaFV0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(862)%branch(0:0))
    call av(862, 0, 17, 5, 0, FVFa0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(863)%branch(0:0))
    call av(863, 0, 8, 5, 0, FVFa1, 0, [0, 1], [nGC_41])

    allocate(vertices(864)%branch(0:0))
    call av(864, 0, 8, 5, 0, VFFa1, 0, [0, 1], [nGC_41])

    allocate(vertices(865)%branch(0:0))
    call av(865, 0, 8, 5, 0, VFaF1, 0, [0, 1], [nGC_41])

    allocate(vertices(866)%branch(0:0))
    call av(866, 0, 8, 5, 0, FaFV1, 0, [0, 1], [nGC_41])

    allocate(vertices(867)%branch(0:0))
    call av(867, 0, 8, 5, 0, FaVF1, 0, [0, 1], [nGC_41])

    allocate(vertices(868)%branch(0:0))
    call av(868, 0, 8, 5, 0, FVFa1, 0, [0, 1], [nGC_41])

    allocate(vertices(869)%branch(0:0))
    call av(869, 0, 8, 5, 0, VFFa1, 0, [0, 1], [nGC_41])

    allocate(vertices(870)%branch(0:0))
    call av(870, 0, 8, 5, 0, VFaF1, 0, [0, 1], [nGC_41])

    allocate(vertices(871)%branch(0:0))
    call av(871, 0, 8, 5, 0, FaFV1, 0, [0, 1], [nGC_41])

    allocate(vertices(872)%branch(0:0))
    call av(872, 0, 8, 5, 0, FaVF1, 0, [0, 1], [nGC_41])

    allocate(vertices(873)%branch(0:0))
    call av(873, 0, 8, 5, 0, FaVF1, 0, [0, 1], [nGC_41])

    allocate(vertices(874)%branch(0:0))
    call av(874, 0, 8, 5, 0, FaFV1, 0, [0, 1], [nGC_41])

    allocate(vertices(875)%branch(0:0))
    call av(875, 0, 8, 5, 0, VFaF1, 0, [0, 1], [nGC_41])

    allocate(vertices(876)%branch(0:0))
    call av(876, 0, 8, 5, 0, VFFa1, 0, [0, 1], [nGC_41])

    allocate(vertices(877)%branch(0:0))
    call av(877, 0, 8, 5, 0, FVFa1, 0, [0, 1], [nGC_41])

    allocate(vertices(878)%branch(0:0))
    call av(878, 0, 8, 5, 0, FaVF0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(879)%branch(0:0))
    call av(879, 0, 8, 5, 0, FaFV0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(880)%branch(0:0))
    call av(880, 0, 8, 5, 0, VFaF0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(881)%branch(0:0))
    call av(881, 0, 8, 5, 0, VFFa0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(882)%branch(0:0))
    call av(882, 0, 8, 5, 0, FVFa0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(883)%branch(0:0))
    call av(883, 0, 8, 5, 0, FVFa0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(884)%branch(0:0))
    call av(884, 0, 8, 5, 0, VFFa0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(885)%branch(0:0))
    call av(885, 0, 8, 5, 0, VFaF0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(886)%branch(0:0))
    call av(886, 0, 8, 5, 0, FaFV0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(887)%branch(0:0))
    call av(887, 0, 8, 5, 0, FaVF0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(888)%branch(0:0))
    call av(888, 0, 8, 5, 0, FVFa0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(889)%branch(0:0))
    call av(889, 0, 8, 5, 0, VFFa0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(890)%branch(0:0))
    call av(890, 0, 8, 5, 0, VFaF0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(891)%branch(0:0))
    call av(891, 0, 8, 5, 0, FaFV0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(892)%branch(0:0))
    call av(892, 0, 8, 5, 0, FaVF0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(893)%branch(0:0))
    call av(893, 0, 19, 5, 0, SFaF0, 0, [0, 1], [nGC_85, nGC_61])

    allocate(vertices(894)%branch(0:0))
    call av(894, 0, 18, 5, 0, SFFa0, 0, [0, 1], [nGC_85, nGC_61])

    allocate(vertices(895)%branch(0:0))
    call av(895, 0, 21, 5, 0, FaSF0, 0, [0, 1], [nGC_85, nGC_61])

    allocate(vertices(896)%branch(0:0))
    call av(896, 0, 20, 5, 0, FaFS0, 0, [0, 1], [nGC_85, nGC_61])

    allocate(vertices(897)%branch(0:0))
    call av(897, 0, 17, 5, 0, FSFa0, 0, [0, 1], [nGC_85, nGC_61])

    allocate(vertices(898)%branch(0:0))
    call av(898, 0, 19, 5, 0, SFaF0, 0, [0, 1], [nGC_57, nGC_73])

    allocate(vertices(899)%branch(0:0))
    call av(899, 0, 18, 5, 0, SFFa0, 0, [0, 1], [nGC_57, nGC_73])

    allocate(vertices(900)%branch(0:0))
    call av(900, 0, 21, 5, 0, FaSF0, 0, [0, 1], [nGC_57, nGC_73])

    allocate(vertices(901)%branch(0:0))
    call av(901, 0, 20, 5, 0, FaFS0, 0, [0, 1], [nGC_57, nGC_73])

    allocate(vertices(902)%branch(0:0))
    call av(902, 0, 17, 5, 0, FSFa0, 0, [0, 1], [nGC_57, nGC_73])

    allocate(vertices(903)%branch(0:0))
    call av(903, 0, 18, 5, 0, SFFa0, 0, [0, 1], [nGC_77, nGC_53])

    allocate(vertices(904)%branch(0:0))
    call av(904, 0, 19, 5, 0, SFaF0, 0, [0, 1], [nGC_77, nGC_53])

    allocate(vertices(905)%branch(0:0))
    call av(905, 0, 17, 5, 0, FSFa0, 0, [0, 1], [nGC_77, nGC_53])

    allocate(vertices(906)%branch(0:0))
    call av(906, 0, 21, 5, 0, FaSF0, 0, [0, 1], [nGC_77, nGC_53])

    allocate(vertices(907)%branch(0:0))
    call av(907, 0, 20, 5, 0, FaFS0, 0, [0, 1], [nGC_77, nGC_53])

    allocate(vertices(908)%branch(0:0))
    call av(908, 0, 17, 5, 0, FSFa0, 0, [0, 1], [nGC_64, nGC_62])

    allocate(vertices(909)%branch(0:0))
    call av(909, 0, 18, 5, 0, SFFa0, 0, [0, 1], [nGC_64, nGC_62])

    allocate(vertices(910)%branch(0:0))
    call av(910, 0, 19, 5, 0, SFaF0, 0, [0, 1], [nGC_64, nGC_62])

    allocate(vertices(911)%branch(0:0))
    call av(911, 0, 20, 5, 0, FaFS0, 0, [0, 1], [nGC_64, nGC_62])

    allocate(vertices(912)%branch(0:0))
    call av(912, 0, 21, 5, 0, FaSF0, 0, [0, 1], [nGC_64, nGC_62])

    allocate(vertices(913)%branch(0:0))
    call av(913, 0, 21, 5, 0, FaSF0, 0, [0, 1], [nGC_76, nGC_74])

    allocate(vertices(914)%branch(0:0))
    call av(914, 0, 20, 5, 0, FaFS0, 0, [0, 1], [nGC_76, nGC_74])

    allocate(vertices(915)%branch(0:0))
    call av(915, 0, 19, 5, 0, SFaF0, 0, [0, 1], [nGC_76, nGC_74])

    allocate(vertices(916)%branch(0:0))
    call av(916, 0, 18, 5, 0, SFFa0, 0, [0, 1], [nGC_76, nGC_74])

    allocate(vertices(917)%branch(0:0))
    call av(917, 0, 17, 5, 0, FSFa0, 0, [0, 1], [nGC_76, nGC_74])

    allocate(vertices(918)%branch(0:0))
    call av(918, 0, 19, 5, 0, SFaF0, 0, [0, 1], [nGC_56, nGC_54])

    allocate(vertices(919)%branch(0:0))
    call av(919, 0, 18, 5, 0, SFFa0, 0, [0, 1], [nGC_56, nGC_54])

    allocate(vertices(920)%branch(0:0))
    call av(920, 0, 21, 5, 0, FaSF0, 0, [0, 1], [nGC_56, nGC_54])

    allocate(vertices(921)%branch(0:0))
    call av(921, 0, 20, 5, 0, FaFS0, 0, [0, 1], [nGC_56, nGC_54])

    allocate(vertices(922)%branch(0:0))
    call av(922, 0, 17, 5, 0, FSFa0, 0, [0, 1], [nGC_56, nGC_54])

    allocate(vertices(923)%branch(0:0))
    call av(923, 0, 17, 5, 0, FSFa0, 0, [0, 1], [nGC_63, nGC_63])

    allocate(vertices(924)%branch(0:0))
    call av(924, 0, 20, 5, 0, FaFS0, 0, [0, 1], [nGC_63, nGC_63])

    allocate(vertices(925)%branch(0:0))
    call av(925, 0, 21, 5, 0, FaSF0, 0, [0, 1], [nGC_63, nGC_63])

    allocate(vertices(926)%branch(0:0))
    call av(926, 0, 18, 5, 0, SFFa0, 0, [0, 1], [nGC_63, nGC_63])

    allocate(vertices(927)%branch(0:0))
    call av(927, 0, 19, 5, 0, SFaF0, 0, [0, 1], [nGC_63, nGC_63])

    allocate(vertices(928)%branch(0:0))
    call av(928, 0, 21, 5, 0, FaSF0, 0, [0, 1], [nGC_75, nGC_75])

    allocate(vertices(929)%branch(0:0))
    call av(929, 0, 20, 5, 0, FaFS0, 0, [0, 1], [nGC_75, nGC_75])

    allocate(vertices(930)%branch(0:0))
    call av(930, 0, 19, 5, 0, SFaF0, 0, [0, 1], [nGC_75, nGC_75])

    allocate(vertices(931)%branch(0:0))
    call av(931, 0, 18, 5, 0, SFFa0, 0, [0, 1], [nGC_75, nGC_75])

    allocate(vertices(932)%branch(0:0))
    call av(932, 0, 17, 5, 0, FSFa0, 0, [0, 1], [nGC_75, nGC_75])

    allocate(vertices(933)%branch(0:0))
    call av(933, 0, 20, 5, 0, FaFS0, 0, [0, 1], [nGC_55, nGC_55])

    allocate(vertices(934)%branch(0:0))
    call av(934, 0, 21, 5, 0, FaSF0, 0, [0, 1], [nGC_55, nGC_55])

    allocate(vertices(935)%branch(0:0))
    call av(935, 0, 17, 5, 0, FSFa0, 0, [0, 1], [nGC_55, nGC_55])

    allocate(vertices(936)%branch(0:0))
    call av(936, 0, 19, 5, 0, SFaF0, 0, [0, 1], [nGC_55, nGC_55])

    allocate(vertices(937)%branch(0:0))
    call av(937, 0, 18, 5, 0, SFFa0, 0, [0, 1], [nGC_55, nGC_55])

    allocate(vertices(938)%branch(0:0))
    call av(938, 0, 8, 5, 0, FaSF1, 0, [0, 1], [nGC_65])

    allocate(vertices(939)%branch(0:0))
    call av(939, 0, 8, 5, 0, FaFS1, 0, [0, 1], [nGC_65])

    allocate(vertices(940)%branch(0:0))
    call av(940, 0, 8, 5, 0, SFaF1, 0, [0, 1], [nGC_65])

    allocate(vertices(941)%branch(0:0))
    call av(941, 0, 8, 5, 0, SFFa1, 0, [0, 1], [nGC_65])

    allocate(vertices(942)%branch(0:0))
    call av(942, 0, 8, 5, 0, FSFa1, 0, [0, 1], [nGC_65])

    allocate(vertices(943)%branch(0:0))
    call av(943, 0, 8, 5, 0, SFFa1, 0, [0, 1], [nGC_69])

    allocate(vertices(944)%branch(0:0))
    call av(944, 0, 8, 5, 0, SFaF1, 0, [0, 1], [nGC_69])

    allocate(vertices(945)%branch(0:0))
    call av(945, 0, 8, 5, 0, FSFa1, 0, [0, 1], [nGC_69])

    allocate(vertices(946)%branch(0:0))
    call av(946, 0, 8, 5, 0, FaSF1, 0, [0, 1], [nGC_69])

    allocate(vertices(947)%branch(0:0))
    call av(947, 0, 8, 5, 0, FaFS1, 0, [0, 1], [nGC_69])

    allocate(vertices(948)%branch(0:0))
    call av(948, 0, 8, 5, 0, SFaF1, 0, [0, 1], [nGC_81])

    allocate(vertices(949)%branch(0:0))
    call av(949, 0, 8, 5, 0, SFFa1, 0, [0, 1], [nGC_81])

    allocate(vertices(950)%branch(0:0))
    call av(950, 0, 8, 5, 0, FaSF1, 0, [0, 1], [nGC_81])

    allocate(vertices(951)%branch(0:0))
    call av(951, 0, 8, 5, 0, FaFS1, 0, [0, 1], [nGC_81])

    allocate(vertices(952)%branch(0:0))
    call av(952, 0, 8, 5, 0, FSFa1, 0, [0, 1], [nGC_81])

    allocate(vertices(953)%branch(0:0))
    call av(953, 0, 8, 5, 0, FaSF0, 0, [0, 1], [nGC_68, nGC_66])

    allocate(vertices(954)%branch(0:0))
    call av(954, 0, 8, 5, 0, FaFS0, 0, [0, 1], [nGC_68, nGC_66])

    allocate(vertices(955)%branch(0:0))
    call av(955, 0, 8, 5, 0, SFaF0, 0, [0, 1], [nGC_68, nGC_66])

    allocate(vertices(956)%branch(0:0))
    call av(956, 0, 8, 5, 0, SFFa0, 0, [0, 1], [nGC_68, nGC_66])

    allocate(vertices(957)%branch(0:0))
    call av(957, 0, 8, 5, 0, FSFa0, 0, [0, 1], [nGC_68, nGC_66])

    allocate(vertices(958)%branch(0:0))
    call av(958, 0, 8, 5, 0, SFFa0, 0, [0, 1], [nGC_72, nGC_70])

    allocate(vertices(959)%branch(0:0))
    call av(959, 0, 8, 5, 0, SFaF0, 0, [0, 1], [nGC_72, nGC_70])

    allocate(vertices(960)%branch(0:0))
    call av(960, 0, 8, 5, 0, FSFa0, 0, [0, 1], [nGC_72, nGC_70])

    allocate(vertices(961)%branch(0:0))
    call av(961, 0, 8, 5, 0, FaSF0, 0, [0, 1], [nGC_72, nGC_70])

    allocate(vertices(962)%branch(0:0))
    call av(962, 0, 8, 5, 0, FaFS0, 0, [0, 1], [nGC_72, nGC_70])

    allocate(vertices(963)%branch(0:0))
    call av(963, 0, 8, 5, 0, FSFa0, 0, [0, 1], [nGC_84, nGC_82])

    allocate(vertices(964)%branch(0:0))
    call av(964, 0, 8, 5, 0, SFFa0, 0, [0, 1], [nGC_84, nGC_82])

    allocate(vertices(965)%branch(0:0))
    call av(965, 0, 8, 5, 0, SFaF0, 0, [0, 1], [nGC_84, nGC_82])

    allocate(vertices(966)%branch(0:0))
    call av(966, 0, 8, 5, 0, FaFS0, 0, [0, 1], [nGC_84, nGC_82])

    allocate(vertices(967)%branch(0:0))
    call av(967, 0, 8, 5, 0, FaSF0, 0, [0, 1], [nGC_84, nGC_82])

    allocate(vertices(968)%branch(0:0))
    call av(968, 0, 8, 5, 0, FaFS0, 0, [0, 1], [nGC_67, nGC_67])

    allocate(vertices(969)%branch(0:0))
    call av(969, 0, 8, 5, 0, FaSF0, 0, [0, 1], [nGC_67, nGC_67])

    allocate(vertices(970)%branch(0:0))
    call av(970, 0, 8, 5, 0, FSFa0, 0, [0, 1], [nGC_67, nGC_67])

    allocate(vertices(971)%branch(0:0))
    call av(971, 0, 8, 5, 0, SFaF0, 0, [0, 1], [nGC_67, nGC_67])

    allocate(vertices(972)%branch(0:0))
    call av(972, 0, 8, 5, 0, SFFa0, 0, [0, 1], [nGC_67, nGC_67])

    allocate(vertices(973)%branch(0:0))
    call av(973, 0, 8, 5, 0, FSFa0, 0, [0, 1], [nGC_71, nGC_71])

    allocate(vertices(974)%branch(0:0))
    call av(974, 0, 8, 5, 0, FaFS0, 0, [0, 1], [nGC_71, nGC_71])

    allocate(vertices(975)%branch(0:0))
    call av(975, 0, 8, 5, 0, FaSF0, 0, [0, 1], [nGC_71, nGC_71])

    allocate(vertices(976)%branch(0:0))
    call av(976, 0, 8, 5, 0, SFFa0, 0, [0, 1], [nGC_71, nGC_71])

    allocate(vertices(977)%branch(0:0))
    call av(977, 0, 8, 5, 0, SFaF0, 0, [0, 1], [nGC_71, nGC_71])

    allocate(vertices(978)%branch(0:0))
    call av(978, 0, 8, 5, 0, FSFa0, 0, [0, 1], [nGC_83, nGC_83])

    allocate(vertices(979)%branch(0:0))
    call av(979, 0, 8, 5, 0, FaFS0, 0, [0, 1], [nGC_83, nGC_83])

    allocate(vertices(980)%branch(0:0))
    call av(980, 0, 8, 5, 0, FaSF0, 0, [0, 1], [nGC_83, nGC_83])

    allocate(vertices(981)%branch(0:0))
    call av(981, 0, 8, 5, 0, SFFa0, 0, [0, 1], [nGC_83, nGC_83])

    allocate(vertices(982)%branch(0:0))
    call av(982, 0, 8, 5, 0, SFaF0, 0, [0, 1], [nGC_83, nGC_83])

    allocate(vertices(983)%branch(0:0))
    call av(983, 0, 17, 5, 0, FSFa0, 0, [0, 1], [nGC_61, nGC_85])

    allocate(vertices(984)%branch(0:0))
    call av(984, 0, 20, 5, 0, FaFS0, 0, [0, 1], [nGC_61, nGC_85])

    allocate(vertices(985)%branch(0:0))
    call av(985, 0, 21, 5, 0, FaSF0, 0, [0, 1], [nGC_61, nGC_85])

    allocate(vertices(986)%branch(0:0))
    call av(986, 0, 18, 5, 0, SFFa0, 0, [0, 1], [nGC_61, nGC_85])

    allocate(vertices(987)%branch(0:0))
    call av(987, 0, 19, 5, 0, SFaF0, 0, [0, 1], [nGC_61, nGC_85])

    allocate(vertices(988)%branch(0:0))
    call av(988, 0, 21, 5, 0, FaSF0, 0, [0, 1], [nGC_73, nGC_57])

    allocate(vertices(989)%branch(0:0))
    call av(989, 0, 20, 5, 0, FaFS0, 0, [0, 1], [nGC_73, nGC_57])

    allocate(vertices(990)%branch(0:0))
    call av(990, 0, 19, 5, 0, SFaF0, 0, [0, 1], [nGC_73, nGC_57])

    allocate(vertices(991)%branch(0:0))
    call av(991, 0, 18, 5, 0, SFFa0, 0, [0, 1], [nGC_73, nGC_57])

    allocate(vertices(992)%branch(0:0))
    call av(992, 0, 17, 5, 0, FSFa0, 0, [0, 1], [nGC_73, nGC_57])

    allocate(vertices(993)%branch(0:0))
    call av(993, 0, 18, 5, 0, SFFa0, 0, [0, 1], [nGC_53, nGC_77])

    allocate(vertices(994)%branch(0:0))
    call av(994, 0, 19, 5, 0, SFaF0, 0, [0, 1], [nGC_53, nGC_77])

    allocate(vertices(995)%branch(0:0))
    call av(995, 0, 17, 5, 0, FSFa0, 0, [0, 1], [nGC_53, nGC_77])

    allocate(vertices(996)%branch(0:0))
    call av(996, 0, 20, 5, 0, FaFS0, 0, [0, 1], [nGC_53, nGC_77])

    allocate(vertices(997)%branch(0:0))
    call av(997, 0, 21, 5, 0, FaSF0, 0, [0, 1], [nGC_53, nGC_77])

    allocate(vertices(998)%branch(0:0))
    call av(998, 0, 21, 5, 0, FaSF0, 0, [0, 1], [nGC_86, nGC_88])

    allocate(vertices(999)%branch(0:0))
    call av(999, 0, 20, 5, 0, FaFS0, 0, [0, 1], [nGC_86, nGC_88])

    allocate(vertices(1000)%branch(0:0))
    call av(1000, 0, 19, 5, 0, SFaF0, 0, [0, 1], [nGC_86, nGC_88])

    allocate(vertices(1001)%branch(0:0))
    call av(1001, 0, 18, 5, 0, SFFa0, 0, [0, 1], [nGC_86, nGC_88])

    allocate(vertices(1002)%branch(0:0))
    call av(1002, 0, 17, 5, 0, FSFa0, 0, [0, 1], [nGC_86, nGC_88])

    allocate(vertices(1003)%branch(0:0))
    call av(1003, 0, 21, 5, 0, FaSF0, 0, [0, 1], [nGC_58, nGC_60])

    allocate(vertices(1004)%branch(0:0))
    call av(1004, 0, 20, 5, 0, FaFS0, 0, [0, 1], [nGC_58, nGC_60])

    allocate(vertices(1005)%branch(0:0))
    call av(1005, 0, 19, 5, 0, SFaF0, 0, [0, 1], [nGC_58, nGC_60])

    allocate(vertices(1006)%branch(0:0))
    call av(1006, 0, 18, 5, 0, SFFa0, 0, [0, 1], [nGC_58, nGC_60])

    allocate(vertices(1007)%branch(0:0))
    call av(1007, 0, 17, 5, 0, FSFa0, 0, [0, 1], [nGC_58, nGC_60])

    allocate(vertices(1008)%branch(0:0))
    call av(1008, 0, 18, 5, 0, SFFa0, 0, [0, 1], [nGC_78, nGC_80])

    allocate(vertices(1009)%branch(0:0))
    call av(1009, 0, 19, 5, 0, SFaF0, 0, [0, 1], [nGC_78, nGC_80])

    allocate(vertices(1010)%branch(0:0))
    call av(1010, 0, 17, 5, 0, FSFa0, 0, [0, 1], [nGC_78, nGC_80])

    allocate(vertices(1011)%branch(0:0))
    call av(1011, 0, 21, 5, 0, FaSF0, 0, [0, 1], [nGC_78, nGC_80])

    allocate(vertices(1012)%branch(0:0))
    call av(1012, 0, 20, 5, 0, FaFS0, 0, [0, 1], [nGC_78, nGC_80])

    allocate(vertices(1013)%branch(0:0))
    call av(1013, 0, 21, 5, 0, FaSF0, 0, [0, 1], [nGC_87, nGC_87])

    allocate(vertices(1014)%branch(0:0))
    call av(1014, 0, 20, 5, 0, FaFS0, 0, [0, 1], [nGC_87, nGC_87])

    allocate(vertices(1015)%branch(0:0))
    call av(1015, 0, 19, 5, 0, SFaF0, 0, [0, 1], [nGC_87, nGC_87])

    allocate(vertices(1016)%branch(0:0))
    call av(1016, 0, 18, 5, 0, SFFa0, 0, [0, 1], [nGC_87, nGC_87])

    allocate(vertices(1017)%branch(0:0))
    call av(1017, 0, 17, 5, 0, FSFa0, 0, [0, 1], [nGC_87, nGC_87])

    allocate(vertices(1018)%branch(0:0))
    call av(1018, 0, 20, 5, 0, FaFS0, 0, [0, 1], [nGC_59, nGC_59])

    allocate(vertices(1019)%branch(0:0))
    call av(1019, 0, 21, 5, 0, FaSF0, 0, [0, 1], [nGC_59, nGC_59])

    allocate(vertices(1020)%branch(0:0))
    call av(1020, 0, 17, 5, 0, FSFa0, 0, [0, 1], [nGC_59, nGC_59])

    allocate(vertices(1021)%branch(0:0))
    call av(1021, 0, 19, 5, 0, SFaF0, 0, [0, 1], [nGC_59, nGC_59])

    allocate(vertices(1022)%branch(0:0))
    call av(1022, 0, 18, 5, 0, SFFa0, 0, [0, 1], [nGC_59, nGC_59])

    allocate(vertices(1023)%branch(0:0))
    call av(1023, 0, 17, 5, 0, FSFa0, 0, [0, 1], [nGC_79, nGC_79])

    allocate(vertices(1024)%branch(0:0))
    call av(1024, 0, 20, 5, 0, FaFS0, 0, [0, 1], [nGC_79, nGC_79])

    allocate(vertices(1025)%branch(0:0))
    call av(1025, 0, 21, 5, 0, FaSF0, 0, [0, 1], [nGC_79, nGC_79])

    allocate(vertices(1026)%branch(0:0))
    call av(1026, 0, 18, 5, 0, SFFa0, 0, [0, 1], [nGC_79, nGC_79])

    allocate(vertices(1027)%branch(0:0))
    call av(1027, 0, 19, 5, 0, SFaF0, 0, [0, 1], [nGC_79, nGC_79])

    allocate(vertices(1028)%branch(0:0))
    call av(1028, 0, 8, 5, 0, SFFa2, 0, [0, 1], [nGC_65])

    allocate(vertices(1029)%branch(0:0))
    call av(1029, 0, 8, 5, 0, SFaF2, 0, [0, 1], [nGC_65])

    allocate(vertices(1030)%branch(0:0))
    call av(1030, 0, 8, 5, 0, FSFa2, 0, [0, 1], [nGC_65])

    allocate(vertices(1031)%branch(0:0))
    call av(1031, 0, 8, 5, 0, FaFS2, 0, [0, 1], [nGC_65])

    allocate(vertices(1032)%branch(0:0))
    call av(1032, 0, 8, 5, 0, FaSF2, 0, [0, 1], [nGC_65])

    allocate(vertices(1033)%branch(0:0))
    call av(1033, 0, 8, 5, 0, FSFa2, 0, [0, 1], [nGC_69])

    allocate(vertices(1034)%branch(0:0))
    call av(1034, 0, 8, 5, 0, FaFS2, 0, [0, 1], [nGC_69])

    allocate(vertices(1035)%branch(0:0))
    call av(1035, 0, 8, 5, 0, FaSF2, 0, [0, 1], [nGC_69])

    allocate(vertices(1036)%branch(0:0))
    call av(1036, 0, 8, 5, 0, SFFa2, 0, [0, 1], [nGC_69])

    allocate(vertices(1037)%branch(0:0))
    call av(1037, 0, 8, 5, 0, SFaF2, 0, [0, 1], [nGC_69])

    allocate(vertices(1038)%branch(0:0))
    call av(1038, 0, 8, 5, 0, FSFa2, 0, [0, 1], [nGC_81])

    allocate(vertices(1039)%branch(0:0))
    call av(1039, 0, 8, 5, 0, FaFS2, 0, [0, 1], [nGC_81])

    allocate(vertices(1040)%branch(0:0))
    call av(1040, 0, 8, 5, 0, FaSF2, 0, [0, 1], [nGC_81])

    allocate(vertices(1041)%branch(0:0))
    call av(1041, 0, 8, 5, 0, SFFa2, 0, [0, 1], [nGC_81])

    allocate(vertices(1042)%branch(0:0))
    call av(1042, 0, 8, 5, 0, SFaF2, 0, [0, 1], [nGC_81])

    allocate(vertices(0)%branchCT(0:1))
    call avCT(0, 0, 0, 1, 0, VVV0, 0, [3, 0], [nGC_4854])

    call avCT(0, 1, 1, 2, 0, VVV0, 0, [3, 0], [nGC_4854])

    allocate(vertices(1)%branchCT(0:5))
    call avCT(1, 0, 2, 3, 0, VVVV0, 0, [4, 0], [nGC_4859, nGC_4860, nGC_4859])

    call avCT(1, 1, 3, 4, 0, VVVV0, 0, [4, 0], [nGC_4863, nGC_4864, nGC_4864])

    call avCT(1, 2, 4, 3, 0, VVVV0, 0, [4, 0], [nGC_4859, nGC_4860, nGC_4859])

    call avCT(1, 3, 5, 4, 0, VVVV0, 0, [4, 0], [nGC_4863, nGC_4864, nGC_4864])

    call avCT(1, 4, 6, 3, 0, VVVV0, 0, [4, 0], [nGC_4859, nGC_4859, nGC_4860])

    call avCT(1, 5, 7, 3, 0, VVVV0, 0, [4, 0], [nGC_4859, nGC_4859, nGC_4860])

    allocate(vertices(2)%branchCT(0:0))
    call avCT(2, 0, 8, 5, 0, VVV0, 0, [0, 1], [nGC_4876])

    allocate(vertices(155)%branchCT(0:0))
    call avCT(155, 0, 8, 5, 0, VVV0, 0, [0, 1], [nGC_4880])

    allocate(vertices(3)%branchCT(0:0))
    call avCT(3, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4885, nGC_4885, nGC_4886])

    allocate(vertices(167)%branchCT(0:0))
    call avCT(167, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4893, nGC_4893, nGC_4894])

    allocate(vertices(4)%branchCT(0:0))
    call avCT(4, 0, 8, 5, 0, VVV0, 0, [0, 1], [nGC_4880])

    allocate(vertices(141)%branchCT(0:0))
    call avCT(141, 0, 8, 5, 0, VVV0, 0, [0, 1], [nGC_4876])

    allocate(vertices(5)%branchCT(0:0))
    call avCT(5, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4903, nGC_4903, nGC_4904])

    allocate(vertices(6)%branchCT(0:0))
    call avCT(6, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4894, nGC_4893, nGC_4893])

    allocate(vertices(192)%branchCT(0:0))
    call avCT(192, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4913, nGC_4914, nGC_4914])

    allocate(vertices(149)%branchCT(0:0))
    call avCT(149, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4886, nGC_4885, nGC_4885])

    allocate(vertices(7)%branchCT(0:0))
    call avCT(7, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4914, nGC_4914, nGC_4913])

    allocate(vertices(184)%branchCT(0:0))
    call avCT(184, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4893, nGC_4893, nGC_4894])

    allocate(vertices(8)%branchCT(0:0))
    call avCT(8, 0, 8, 5, 0, UaUV0, 0, [0, 1], [nGC_4928])

    allocate(vertices(9)%branchCT(0:0))
    call avCT(9, 0, 8, 5, 0, UaUV0, 0, [0, 1], [nGC_4932])

    allocate(vertices(10)%branchCT(0:0))
    call avCT(10, 0, 8, 5, 0, UaUS0, 0, [0, 1], [nGC_3476])

    allocate(vertices(11)%branchCT(0:0))
    call avCT(11, 0, 8, 5, 0, UaUV0, 0, [0, 1], [nGC_4928])

    allocate(vertices(12)%branchCT(0:0))
    call avCT(12, 0, 8, 5, 0, UaUS0, 0, [0, 1], [nGC_3477])

    allocate(vertices(13)%branchCT(0:0))
    call avCT(13, 0, 8, 5, 0, UaUS0, 0, [0, 1], [nGC_4939])

    allocate(vertices(14)%branchCT(0:0))
    call avCT(14, 0, 8, 5, 0, UaUV0, 0, [0, 1], [nGC_4944])

    allocate(vertices(15)%branchCT(0:0))
    call avCT(15, 0, 8, 5, 0, UaUV0, 0, [0, 1], [nGC_4949])

    allocate(vertices(16)%branchCT(0:0))
    call avCT(16, 0, 8, 5, 0, UaUS0, 0, [0, 1], [nGC_3479])

    allocate(vertices(17)%branchCT(0:0))
    call avCT(17, 0, 8, 5, 0, UaUV0, 0, [0, 1], [nGC_4954])

    allocate(vertices(18)%branchCT(0:0))
    call avCT(18, 0, 8, 5, 0, UaUS0, 0, [0, 1], [nGC_3476])

    allocate(vertices(19)%branchCT(0:0))
    call avCT(19, 0, 8, 5, 0, UaUV0, 0, [0, 1], [nGC_4932])

    allocate(vertices(20)%branchCT(0:0))
    call avCT(20, 0, 8, 5, 0, UaUS0, 0, [0, 1], [nGC_3481])

    allocate(vertices(21)%branchCT(0:0))
    call avCT(21, 0, 8, 5, 0, UaUS0, 0, [0, 1], [nGC_4939])

    allocate(vertices(22)%branchCT(0:0))
    call avCT(22, 0, 8, 5, 0, UaUV0, 0, [0, 1], [nGC_4965])

    allocate(vertices(23)%branchCT(0:0))
    call avCT(23, 0, 8, 5, 0, UaUV0, 0, [0, 1], [nGC_4970])

    allocate(vertices(24)%branchCT(0:0))
    call avCT(24, 0, 8, 5, 0, UaUS0, 0, [0, 1], [nGC_3479])

    allocate(vertices(25)%branchCT(0:0))
    call avCT(25, 0, 8, 5, 0, UaUV0, 0, [0, 1], [nGC_4975])

    allocate(vertices(26)%branchCT(0:0))
    call avCT(26, 0, 8, 5, 0, UaUS0, 0, [0, 1], [nGC_3482])

    allocate(vertices(27)%branchCT(0:0))
    call avCT(27, 0, 8, 5, 0, UaUV0, 0, [0, 1], [nGC_4954])

    allocate(vertices(28)%branchCT(0:0))
    call avCT(28, 0, 8, 5, 0, UaUS0, 0, [0, 1], [nGC_3482])

    allocate(vertices(29)%branchCT(0:0))
    call avCT(29, 0, 8, 5, 0, UaUV0, 0, [0, 1], [nGC_4975])

    allocate(vertices(30)%branchCT(0:0))
    call avCT(30, 0, 8, 5, 0, UaUS0, 0, [0, 1], [nGC_4984])

    allocate(vertices(31)%branchCT(0:1))
    call avCT(31, 0, 0, 1, 0, UaUV0, 0, [3, 0], [nGC_4988])

    call avCT(31, 1, 1, 2, 0, UaUV0, 0, [3, 0], [nGC_4988])

    allocate(vertices(32)%branchCT(0:1))
    call avCT(32, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3484])

    call avCT(32, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHHH])

    allocate(vertices(33)%branchCT(0:1))
    call avCT(33, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3485])

    call avCT(33, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(34)%branchCT(0:1))
    call avCT(34, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3486])

    call avCT(34, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_GPGMGPGM])

    allocate(vertices(35)%branchCT(0:1))
    call avCT(35, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5000])

    call avCT(35, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(36)%branchCT(0:1))
    call avCT(36, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5000])

    call avCT(36, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(37)%branchCT(0:1))
    call avCT(37, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5007])

    call avCT(37, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHHH])

    allocate(vertices(38)%branchCT(0:1))
    call avCT(38, 0, 8, 5, 0, SSS0, 0, [0, 1], [nGC_5011])

    call avCT(38, 1, 8, 5, 0, SSS0, 0, [0, 2], [nGC_GGH])

    allocate(vertices(39)%branchCT(0:1))
    call avCT(39, 0, 8, 5, 0, SSS0, 0, [0, 1], [nGC_5011])

    call avCT(39, 1, 8, 5, 0, SSS0, 0, [0, 2], [nGC_GGH])

    allocate(vertices(40)%branchCT(0:1))
    call avCT(40, 0, 8, 5, 0, SSS0, 0, [0, 1], [nGC_5018])

    call avCT(40, 1, 8, 5, 0, SSS0, 0, [0, 2], [nGC_HHH])

    allocate(vertices(41)%branchCT(0:0))
    call avCT(41, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5022])

    allocate(vertices(562)%branchCT(0:0))
    call avCT(562, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5027])

    allocate(vertices(42)%branchCT(0:0))
    call avCT(42, 0, 8, 5, 0, VSS0, 0, [0, 1], [nGC_5031])

    allocate(vertices(59)%branchCT(0:0))
    call avCT(59, 0, 8, 5, 0, VSS0, 0, [0, 1], [nGC_5035])

    allocate(vertices(43)%branchCT(0:0))
    call avCT(43, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5039])

    allocate(vertices(595)%branchCT(0:0))
    call avCT(595, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5043])

    allocate(vertices(44)%branchCT(0:0))
    call avCT(44, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5047])

    allocate(vertices(609)%branchCT(0:0))
    call avCT(609, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5051])

    allocate(vertices(45)%branchCT(0:0))
    call avCT(45, 0, 8, 5, 0, VVS0, 0, [0, 1], [nGC_5055])

    allocate(vertices(627)%branchCT(0:0))
    call avCT(627, 0, 8, 5, 0, VVS0, 0, [0, 1], [nGC_5059])

    allocate(vertices(46)%branchCT(0:0))
    call avCT(46, 0, 8, 5, 0, VSS0, 0, [0, 1], [nGC_5062])

    allocate(vertices(47)%branchCT(0:0))
    call avCT(47, 0, 8, 5, 0, VSS0, 0, [0, 1], [nGC_5065])

    allocate(vertices(48)%branchCT(0:0))
    call avCT(48, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5069])

    allocate(vertices(637)%branchCT(0:0))
    call avCT(637, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5073])

    allocate(vertices(49)%branchCT(0:0))
    call avCT(49, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5047])

    allocate(vertices(652)%branchCT(0:0))
    call avCT(652, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5051])

    allocate(vertices(50)%branchCT(0:0))
    call avCT(50, 0, 8, 5, 0, VVS0, 0, [0, 1], [nGC_5055])

    allocate(vertices(675)%branchCT(0:0))
    call avCT(675, 0, 8, 5, 0, VVS0, 0, [0, 1], [nGC_5059])

    allocate(vertices(51)%branchCT(0:0))
    call avCT(51, 0, 8, 5, 0, VSS0, 0, [0, 1], [nGC_5062])

    allocate(vertices(52)%branchCT(0:0))
    call avCT(52, 0, 8, 5, 0, VSS0, 0, [0, 1], [nGC_5090])

    allocate(vertices(53)%branchCT(0:0))
    call avCT(53, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5093])

    allocate(vertices(54)%branchCT(0:0))
    call avCT(54, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5093])

    allocate(vertices(55)%branchCT(0:0))
    call avCT(55, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5098])

    allocate(vertices(56)%branchCT(0:0))
    call avCT(56, 0, 8, 5, 0, VVS0, 0, [0, 1], [nGC_5101])

    allocate(vertices(57)%branchCT(0:0))
    call avCT(57, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5027])

    allocate(vertices(67)%branchCT(0:0))
    call avCT(67, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5109])

    allocate(vertices(58)%branchCT(0:0))
    call avCT(58, 0, 8, 5, 0, VSS0, 0, [0, 1], [nGC_5112])

    allocate(vertices(1043)%branchCT(0:0))
    call avCT(1043, 0, 8, 5, 0, VSS0, 0, [0, 1], [nGC_5113])

    allocate(vertices(60)%branchCT(0:0))
    call avCT(60, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5043])

    allocate(vertices(395)%branchCT(0:0))
    call avCT(395, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5039])

    allocate(vertices(61)%branchCT(0:0))
    call avCT(61, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5051])

    allocate(vertices(409)%branchCT(0:0))
    call avCT(409, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5047])

    allocate(vertices(62)%branchCT(0:0))
    call avCT(62, 0, 8, 5, 0, VVS0, 0, [0, 1], [nGC_5059])

    allocate(vertices(423)%branchCT(0:0))
    call avCT(423, 0, 8, 5, 0, VVS0, 0, [0, 1], [nGC_5055])

    allocate(vertices(63)%branchCT(0:0))
    call avCT(63, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5073])

    allocate(vertices(444)%branchCT(0:0))
    call avCT(444, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5069])

    allocate(vertices(64)%branchCT(0:0))
    call avCT(64, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5051])

    allocate(vertices(465)%branchCT(0:0))
    call avCT(465, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5047])

    allocate(vertices(65)%branchCT(0:0))
    call avCT(65, 0, 8, 5, 0, VVS0, 0, [0, 1], [nGC_5059])

    allocate(vertices(483)%branchCT(0:0))
    call avCT(483, 0, 8, 5, 0, VVS0, 0, [0, 1], [nGC_5055])

    allocate(vertices(66)%branchCT(0:0))
    call avCT(66, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5152])

    allocate(vertices(1044)%branchCT(0:0))
    call avCT(1044, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5153])

    allocate(vertices(68)%branchCT(0:0))
    call avCT(68, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5156])

    allocate(vertices(1045)%branchCT(0:0))
    call avCT(1045, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5153])

    allocate(vertices(69)%branchCT(0:0))
    call avCT(69, 0, 8, 5, 0, VVS0, 0, [0, 1], [nGC_5160])

    allocate(vertices(1046)%branchCT(0:0))
    call avCT(1046, 0, 8, 5, 0, VVS0, 0, [0, 1], [nGC_5161])

    allocate(vertices(70)%branchCT(0:0))
    call avCT(70, 0, 8, 5, 0, FFaV0, 0, [0, 1], [nGC_5171, nGC_5172])

    allocate(vertices(105)%branchCT(0:0))
    call avCT(105, 0, 8, 5, 0, FFaV0, 0, [0, 1], [nGC_5180, nGC_5181])

    allocate(vertices(71)%branchCT(0:0))
    call avCT(71, 0, 8, 5, 0, FFaV0, 0, [0, 1], [nGC_5190, nGC_5191])

    allocate(vertices(106)%branchCT(0:0))
    call avCT(106, 0, 8, 5, 0, FFaV0, 0, [0, 1], [nGC_5199, nGC_5200])

    allocate(vertices(72)%branchCT(0:0))
    call avCT(72, 0, 8, 5, 0, FFaV0, 0, [0, 1], [nGC_5209, nGC_5210])

    allocate(vertices(107)%branchCT(0:0))
    call avCT(107, 0, 8, 5, 0, FFaV0, 0, [0, 1], [nGC_5218, nGC_5219])

    allocate(vertices(73)%branchCT(0:2))
    call avCT(73, 0, 10, 5, 0, FFaV0, 0, [2, 1], [nGC_5223, nGC_5220])

    call avCT(73, 1, 10, 5, 0, FFaV0, 0, [0, 3], [nGC_5224, nGC_5221])

    call avCT(73, 2, 10, 5, 0, FFaV0, 0, [0, 1], [nGC_5229, nGC_5230])

    allocate(vertices(96)%branchCT(0:2))
    call avCT(96, 0, 10, 5, 0, FFaV0, 0, [0, 1], [nGC_5242, nGC_5243])

    call avCT(96, 1, 10, 5, 0, FFaV0, 0, [0, 3], [nGC_5235, nGC_5239])

    call avCT(96, 2, 10, 5, 0, FFaV0, 0, [2, 1], [nGC_5234, nGC_5238])

    allocate(vertices(74)%branchCT(0:2))
    call avCT(74, 0, 10, 5, 0, FFaV0, 0, [2, 1], [nGC_5247, nGC_5244])

    call avCT(74, 1, 10, 5, 0, FFaV0, 0, [0, 3], [nGC_5248, nGC_5245])

    call avCT(74, 2, 10, 5, 0, FFaV0, 0, [0, 1], [nGC_5229, nGC_5230])

    allocate(vertices(97)%branchCT(0:2))
    call avCT(97, 0, 10, 5, 0, FFaV0, 0, [0, 1], [nGC_5242, nGC_5243])

    call avCT(97, 1, 10, 5, 0, FFaV0, 0, [2, 1], [nGC_5255, nGC_5259])

    call avCT(97, 2, 10, 5, 0, FFaV0, 0, [0, 3], [nGC_5256, nGC_5260])

    allocate(vertices(75)%branchCT(0:0))
    call avCT(75, 0, 10, 5, 0, FFaV0, 0, [0, 1], [nGC_5269, nGC_5270])

    allocate(vertices(98)%branchCT(0:0))
    call avCT(98, 0, 10, 5, 0, FFaV0, 0, [0, 1], [nGC_5278, nGC_5279])

    allocate(vertices(76)%branchCT(0:2))
    call avCT(76, 0, 10, 5, 0, FFaV0, 0, [0, 3], [nGC_5284, nGC_5281])

    call avCT(76, 1, 10, 5, 0, FFaV0, 0, [2, 1], [nGC_5283, nGC_5280])

    call avCT(76, 2, 10, 5, 0, FFaV0, 0, [0, 1], [nGC_5289, nGC_5290])

    allocate(vertices(99)%branchCT(0:2))
    call avCT(99, 0, 10, 5, 0, FFaV0, 0, [0, 1], [nGC_5302, nGC_5303])

    call avCT(99, 1, 10, 5, 0, FFaV0, 0, [2, 1], [nGC_5294, nGC_5298])

    call avCT(99, 2, 10, 5, 0, FFaV0, 0, [0, 3], [nGC_5295, nGC_5299])

    allocate(vertices(77)%branchCT(0:2))
    call avCT(77, 0, 10, 5, 0, FFaV0, 0, [0, 3], [nGC_5308, nGC_5305])

    call avCT(77, 1, 10, 5, 0, FFaV0, 0, [2, 1], [nGC_5307, nGC_5304])

    call avCT(77, 2, 10, 5, 0, FFaV0, 0, [0, 1], [nGC_5289, nGC_5290])

    allocate(vertices(100)%branchCT(0:2))
    call avCT(100, 0, 10, 5, 0, FFaV0, 0, [0, 1], [nGC_5302, nGC_5303])

    call avCT(100, 1, 10, 5, 0, FFaV0, 0, [0, 3], [nGC_5316, nGC_5320])

    call avCT(100, 2, 10, 5, 0, FFaV0, 0, [2, 1], [nGC_5315, nGC_5319])

    allocate(vertices(78)%branchCT(0:2))
    call avCT(78, 0, 10, 5, 0, FFaV0, 0, [2, 1], [nGC_5324, nGC_5321])

    call avCT(78, 1, 10, 5, 0, FFaV0, 0, [0, 3], [nGC_5325, nGC_5322])

    call avCT(78, 2, 10, 5, 0, FFaV0, 0, [0, 1], [nGC_5289, nGC_5290])

    allocate(vertices(101)%branchCT(0:2))
    call avCT(101, 0, 10, 5, 0, FFaV0, 0, [0, 1], [nGC_5302, nGC_5303])

    call avCT(101, 1, 10, 5, 0, FFaV0, 0, [2, 1], [nGC_5332, nGC_5336])

    call avCT(101, 2, 10, 5, 0, FFaV0, 0, [0, 3], [nGC_5333, nGC_5337])

    allocate(vertices(79)%branchCT(0:3))
    call avCT(79, 0, 11, 6, 0, FFaV0, 0, [3, 0], [nGC_5345, nGC_5346])

    call avCT(79, 1, 11, 6, 0, FFaV0, 0, [1, 2], [nGC_5341, nGC_5339])

    call avCT(79, 2, 12, 7, 0, FFaV0, 0, [3, 0], [nGC_5345, nGC_5346])

    call avCT(79, 3, 12, 7, 0, FFaV0, 0, [1, 2], [nGC_5341, nGC_5339])

    allocate(vertices(80)%branchCT(0:3))
    call avCT(80, 0, 11, 6, 0, FFaV0, 0, [3, 0], [nGC_5359, nGC_5360])

    call avCT(80, 1, 11, 6, 0, FFaV0, 0, [1, 2], [nGC_5356, nGC_5354])

    call avCT(80, 2, 12, 7, 0, FFaV0, 0, [1, 2], [nGC_5356, nGC_5354])

    call avCT(80, 3, 12, 7, 0, FFaV0, 0, [3, 0], [nGC_5359, nGC_5360])

    allocate(vertices(81)%branchCT(0:3))
    call avCT(81, 0, 11, 6, 0, FFaV0, 0, [1, 2], [nGC_5370, nGC_5368])

    call avCT(81, 1, 11, 6, 0, FFaV0, 0, [3, 0], [nGC_5373, nGC_5374])

    call avCT(81, 2, 12, 7, 0, FFaV0, 0, [1, 2], [nGC_5370, nGC_5368])

    call avCT(81, 3, 12, 7, 0, FFaV0, 0, [3, 0], [nGC_5373, nGC_5374])

    allocate(vertices(82)%branchCT(0:3))
    call avCT(82, 0, 11, 6, 0, FFaV0, 0, [3, 0], [nGC_5387, nGC_5388])

    call avCT(82, 1, 11, 6, 0, FFaV0, 0, [1, 2], [nGC_5384, nGC_5382])

    call avCT(82, 2, 12, 7, 0, FFaV0, 0, [1, 2], [nGC_5384, nGC_5382])

    call avCT(82, 3, 12, 7, 0, FFaV0, 0, [3, 0], [nGC_5387, nGC_5388])

    allocate(vertices(83)%branchCT(0:3))
    call avCT(83, 0, 11, 6, 0, FFaV0, 0, [1, 2], [nGC_5398, nGC_5396])

    call avCT(83, 1, 11, 6, 0, FFaV0, 0, [3, 0], [nGC_5401, nGC_5402])

    call avCT(83, 2, 12, 7, 0, FFaV0, 0, [1, 2], [nGC_5398, nGC_5396])

    call avCT(83, 3, 12, 7, 0, FFaV0, 0, [3, 0], [nGC_5401, nGC_5402])

    allocate(vertices(84)%branchCT(0:2))
    call avCT(84, 0, 10, 5, 0, FFaV1, 0, [0, 1], [nGC_5413])

    call avCT(84, 1, 10, 5, 0, FFaV1, 0, [0, 3], [nGC_5412])

    call avCT(84, 2, 10, 5, 0, FFaV1, 0, [2, 1], [nGC_5411])

    allocate(vertices(85)%branchCT(0:2))
    call avCT(85, 0, 10, 5, 0, FFaV1, 0, [0, 1], [nGC_5413])

    call avCT(85, 1, 10, 5, 0, FFaV1, 0, [2, 1], [nGC_5416])

    call avCT(85, 2, 10, 5, 0, FFaV1, 0, [0, 3], [nGC_5417])

    allocate(vertices(86)%branchCT(0:2))
    call avCT(86, 0, 10, 5, 0, FFaV1, 0, [0, 1], [nGC_5422])

    call avCT(86, 1, 10, 5, 0, FFaV1, 0, [0, 3], [nGC_5421])

    call avCT(86, 2, 10, 5, 0, FFaV1, 0, [2, 1], [nGC_5420])

    allocate(vertices(87)%branchCT(0:2))
    call avCT(87, 0, 10, 5, 0, FFaV1, 0, [0, 1], [nGC_5413])

    call avCT(87, 1, 10, 5, 0, FFaV1, 0, [2, 1], [nGC_5411])

    call avCT(87, 2, 10, 5, 0, FFaV1, 0, [0, 3], [nGC_5412])

    allocate(vertices(88)%branchCT(0:2))
    call avCT(88, 0, 10, 5, 0, FFaV1, 0, [0, 1], [nGC_5413])

    call avCT(88, 1, 10, 5, 0, FFaV1, 0, [2, 1], [nGC_5416])

    call avCT(88, 2, 10, 5, 0, FFaV1, 0, [0, 3], [nGC_5417])

    allocate(vertices(89)%branchCT(0:2))
    call avCT(89, 0, 10, 5, 0, FFaV1, 0, [0, 1], [nGC_5422])

    call avCT(89, 1, 10, 5, 0, FFaV1, 0, [0, 3], [nGC_5421])

    call avCT(89, 2, 10, 5, 0, FFaV1, 0, [2, 1], [nGC_5420])

    allocate(vertices(90)%branchCT(0:0))
    call avCT(90, 0, 8, 5, 0, FFaV1, 0, [0, 1], [nGC_5437])

    allocate(vertices(91)%branchCT(0:0))
    call avCT(91, 0, 8, 5, 0, FFaV1, 0, [0, 1], [nGC_5440])

    allocate(vertices(92)%branchCT(0:0))
    call avCT(92, 0, 8, 5, 0, FFaV1, 0, [0, 1], [nGC_5443])

    allocate(vertices(93)%branchCT(0:0))
    call avCT(93, 0, 8, 5, 0, FFaV1, 0, [0, 1], [nGC_5437])

    allocate(vertices(94)%branchCT(0:0))
    call avCT(94, 0, 8, 5, 0, FFaV1, 0, [0, 1], [nGC_5440])

    allocate(vertices(95)%branchCT(0:0))
    call avCT(95, 0, 8, 5, 0, FFaV1, 0, [0, 1], [nGC_5443])

    allocate(vertices(102)%branchCT(0:0))
    call avCT(102, 0, 8, 5, 0, FFaV1, 0, [0, 1], [nGC_5452])

    allocate(vertices(1047)%branchCT(0:0))
    call avCT(1047, 0, 8, 5, 0, FFaV1, 0, [0, 1], [nGC_5453])

    allocate(vertices(103)%branchCT(0:0))
    call avCT(103, 0, 8, 5, 0, FFaV1, 0, [0, 1], [nGC_5456])

    allocate(vertices(1048)%branchCT(0:0))
    call avCT(1048, 0, 8, 5, 0, FFaV1, 0, [0, 1], [nGC_5453])

    allocate(vertices(104)%branchCT(0:0))
    call avCT(104, 0, 8, 5, 0, FFaV1, 0, [0, 1], [nGC_5460])

    allocate(vertices(1049)%branchCT(0:0))
    call avCT(1049, 0, 8, 5, 0, FFaV1, 0, [0, 1], [nGC_5453])

    allocate(vertices(108)%branchCT(0:2))
    call avCT(108, 0, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_5472, nGC_5473])

    call avCT(108, 1, 10, 5, 0, FFaS0, 0, [0, 1], [nGC_3520, nGC_3523])

    call avCT(108, 2, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_5474, nGC_5475])

    allocate(vertices(109)%branchCT(0:2))
    call avCT(109, 0, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_5486, nGC_5487])

    call avCT(109, 1, 10, 5, 0, FFaS0, 0, [0, 1], [nGC_3526, nGC_3529])

    call avCT(109, 2, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_5488, nGC_5489])

    allocate(vertices(110)%branchCT(0:2))
    call avCT(110, 0, 10, 5, 0, FFaS0, 0, [0, 1], [nGC_5500, nGC_5501])

    call avCT(110, 1, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_5492, nGC_5502])

    call avCT(110, 2, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_5491, nGC_5503])

    allocate(vertices(111)%branchCT(0:2))
    call avCT(111, 0, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_5514, nGC_5515])

    call avCT(111, 1, 10, 5, 0, FFaS0, 0, [0, 1], [nGC_3536, nGC_3539])

    call avCT(111, 2, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_5516, nGC_5517])

    allocate(vertices(112)%branchCT(0:2))
    call avCT(112, 0, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_5528, nGC_5529])

    call avCT(112, 1, 10, 5, 0, FFaS0, 0, [0, 1], [nGC_3542, nGC_3545])

    call avCT(112, 2, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_5530, nGC_5531])

    allocate(vertices(113)%branchCT(0:2))
    call avCT(113, 0, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_5542, nGC_5543])

    call avCT(113, 1, 10, 5, 0, FFaS0, 0, [0, 1], [nGC_3548, nGC_3551])

    call avCT(113, 2, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_5544, nGC_5545])

    allocate(vertices(114)%branchCT(0:2))
    call avCT(114, 0, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_5554, nGC_5554])

    call avCT(114, 1, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_5555, nGC_5555])

    call avCT(114, 2, 10, 5, 0, FFaS0, 0, [0, 1], [nGC_5556, nGC_5556])

    allocate(vertices(115)%branchCT(0:2))
    call avCT(115, 0, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_5565, nGC_5565])

    call avCT(115, 1, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_5566, nGC_5566])

    call avCT(115, 2, 10, 5, 0, FFaS0, 0, [0, 1], [nGC_5567, nGC_5567])

    allocate(vertices(116)%branchCT(0:2))
    call avCT(116, 0, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_5576, nGC_5576])

    call avCT(116, 1, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_5577, nGC_5577])

    call avCT(116, 2, 10, 5, 0, FFaS0, 0, [0, 1], [nGC_5578, nGC_5578])

    allocate(vertices(117)%branchCT(0:0))
    call avCT(117, 0, 8, 5, 0, FFaS1, 0, [0, 1], [nGC_5581])

    allocate(vertices(118)%branchCT(0:0))
    call avCT(118, 0, 8, 5, 0, FFaS1, 0, [0, 1], [nGC_5584])

    allocate(vertices(119)%branchCT(0:0))
    call avCT(119, 0, 8, 5, 0, FFaS1, 0, [0, 1], [nGC_5587])

    allocate(vertices(120)%branchCT(0:0))
    call avCT(120, 0, 8, 5, 0, FFaS0, 0, [0, 1], [nGC_5592, nGC_5593])

    allocate(vertices(121)%branchCT(0:0))
    call avCT(121, 0, 8, 5, 0, FFaS0, 0, [0, 1], [nGC_5598, nGC_5599])

    allocate(vertices(122)%branchCT(0:0))
    call avCT(122, 0, 8, 5, 0, FFaS0, 0, [0, 1], [nGC_5604, nGC_5605])

    allocate(vertices(123)%branchCT(0:0))
    call avCT(123, 0, 8, 5, 0, FFaS0, 0, [0, 1], [nGC_5611, nGC_5611])

    allocate(vertices(124)%branchCT(0:0))
    call avCT(124, 0, 8, 5, 0, FFaS0, 0, [0, 1], [nGC_5617, nGC_5617])

    allocate(vertices(125)%branchCT(0:0))
    call avCT(125, 0, 8, 5, 0, FFaS0, 0, [0, 1], [nGC_5623, nGC_5623])

    allocate(vertices(126)%branchCT(0:2))
    call avCT(126, 0, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_5473, nGC_5472])

    call avCT(126, 1, 10, 5, 0, FFaS0, 0, [0, 1], [nGC_3523, nGC_3520])

    call avCT(126, 2, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_5475, nGC_5474])

    allocate(vertices(127)%branchCT(0:2))
    call avCT(127, 0, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_5487, nGC_5486])

    call avCT(127, 1, 10, 5, 0, FFaS0, 0, [0, 1], [nGC_3529, nGC_3526])

    call avCT(127, 2, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_5489, nGC_5488])

    allocate(vertices(128)%branchCT(0:2))
    call avCT(128, 0, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_5503, nGC_5491])

    call avCT(128, 1, 10, 5, 0, FFaS0, 0, [0, 1], [nGC_5501, nGC_5500])

    call avCT(128, 2, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_5502, nGC_5492])

    allocate(vertices(129)%branchCT(0:2))
    call avCT(129, 0, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_5664, nGC_5665])

    call avCT(129, 1, 10, 5, 0, FFaS0, 0, [0, 1], [nGC_3575, nGC_3578])

    call avCT(129, 2, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_5666, nGC_5667])

    allocate(vertices(130)%branchCT(0:2))
    call avCT(130, 0, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_5678, nGC_5679])

    call avCT(130, 1, 10, 5, 0, FFaS0, 0, [0, 1], [nGC_3581, nGC_3584])

    call avCT(130, 2, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_5680, nGC_5681])

    allocate(vertices(131)%branchCT(0:0))
    call avCT(131, 0, 10, 5, 0, FFaS0, 0, [0, 1], [nGC_5686, nGC_5687])

    allocate(vertices(132)%branchCT(0:2))
    call avCT(132, 0, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_5696, nGC_5696])

    call avCT(132, 1, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_5697, nGC_5697])

    call avCT(132, 2, 10, 5, 0, FFaS0, 0, [0, 1], [nGC_5698, nGC_5698])

    allocate(vertices(133)%branchCT(0:2))
    call avCT(133, 0, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_5707, nGC_5707])

    call avCT(133, 1, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_5708, nGC_5708])

    call avCT(133, 2, 10, 5, 0, FFaS0, 0, [0, 1], [nGC_5709, nGC_5709])

    allocate(vertices(134)%branchCT(0:0))
    call avCT(134, 0, 10, 5, 0, FFaS0, 0, [0, 1], [nGC_5715, nGC_5715])

    allocate(vertices(135)%branchCT(0:0))
    call avCT(135, 0, 8, 5, 0, FFaS2, 0, [0, 1], [nGC_5581])

    allocate(vertices(136)%branchCT(0:0))
    call avCT(136, 0, 8, 5, 0, FFaS2, 0, [0, 1], [nGC_5584])

    allocate(vertices(137)%branchCT(0:0))
    call avCT(137, 0, 8, 5, 0, FFaS2, 0, [0, 1], [nGC_5587])

    allocate(vertices(1050)%branchCT(0:0))
    call avCT(1050, 0, 13, 5, 0, SS0, 0, [0, 0], [nGC_5725, nGC_5724])

    allocate(vertices(1051)%branchCT(0:0))
    call avCT(1051, 0, 13, 5, 0, FFa0, 0, [0, 0], [nGC_5727, nGC_5726])

    allocate(vertices(1052)%branchCT(0:0))
    call avCT(1052, 0, 13, 5, 0, FFa0, 0, [0, 0], [nGC_5729, nGC_5728])

    allocate(vertices(1053)%branchCT(0:0))
    call avCT(1053, 0, 13, 5, 0, FFa0, 0, [0, 0], [nGC_5731, nGC_5730])

    allocate(vertices(1054)%branchCT(0:0))
    call avCT(1054, 0, 13, 5, 0, FFa1, 0, [0, 0], [nGC_5736, nGC_5735, nGC_5737&
    , nGC_5737])

    allocate(vertices(1055)%branchCT(0:0))
    call avCT(1055, 0, 13, 5, 0, FFa1, 0, [0, 0], [nGC_5742, nGC_5741, nGC_5743&
    , nGC_5743])

    allocate(vertices(1056)%branchCT(0:0))
    call avCT(1056, 0, 13, 5, 0, FFa1, 0, [0, 0], [nGC_5748, nGC_5747, nGC_5749&
    , nGC_5749])

    allocate(vertices(1057)%branchCT(0:1))
    call avCT(1057, 0, 14, 5, 0, FFa1, 0, [2, 0], [nGC_5758, nGC_5756, nGC_5760&
    , nGC_5760])

    call avCT(1057, 1, 14, 5, 0, FFa1, 0, [0, 2], [nGC_5759, nGC_5757, nGC_5761&
    , nGC_5761])

    allocate(vertices(1058)%branchCT(0:1))
    call avCT(1058, 0, 14, 5, 0, FFa1, 0, [2, 0], [nGC_5770, nGC_5768, nGC_5772&
    , nGC_5772])

    call avCT(1058, 1, 14, 5, 0, FFa1, 0, [0, 2], [nGC_5771, nGC_5769, nGC_5773&
    , nGC_5773])

    allocate(vertices(1059)%branchCT(0:0))
    call avCT(1059, 0, 14, 5, 0, FFa1, 0, [0, 0], [nGC_5778, nGC_5777, nGC_5779&
    , nGC_5779])

    allocate(vertices(1060)%branchCT(0:1))
    call avCT(1060, 0, 14, 5, 0, FFa1, 0, [2, 0], [nGC_5788, nGC_5786, nGC_5790&
    , nGC_5790])

    call avCT(1060, 1, 14, 5, 0, FFa1, 0, [0, 2], [nGC_5789, nGC_5787, nGC_5791&
    , nGC_5791])

    allocate(vertices(1061)%branchCT(0:1))
    call avCT(1061, 0, 14, 5, 0, FFa1, 0, [2, 0], [nGC_5800, nGC_5798, nGC_5802&
    , nGC_5802])

    call avCT(1061, 1, 14, 5, 0, FFa1, 0, [0, 2], [nGC_5801, nGC_5799, nGC_5803&
    , nGC_5803])

    allocate(vertices(1062)%branchCT(0:1))
    call avCT(1062, 0, 14, 5, 0, FFa1, 0, [2, 0], [nGC_5812, nGC_5810, nGC_5814&
    , nGC_5814])

    call avCT(1062, 1, 14, 5, 0, FFa1, 0, [0, 2], [nGC_5813, nGC_5811, nGC_5815&
    , nGC_5815])

    allocate(vertices(1063)%branchCT(0:0))
    call avCT(1063, 0, 13, 5, 0, VV0, 0, [0, 0], [nGC_5817, nGC_5816])

    allocate(vertices(1064)%branchCT(0:0))
    call avCT(1064, 0, 13, 5, 0, VV1, 0, [0, 0], [nGC_5818, nGC_5820, nGC_5818 &
    , nGC_5820, nGC_5819])

    allocate(vertices(1065)%branchCT(0:0))
    call avCT(1065, 0, 13, 5, 0, VV2, 0, [0, 0], [nGC_5825, nGC_5823, nGC_5824])

    allocate(vertices(1066)%branchCT(0:0))
    call avCT(1066, 0, 13, 5, 0, VV1, 0, [0, 0], [nGC_5820, nGC_5818, nGC_5820 &
    , nGC_5818, nGC_5819])

    allocate(vertices(1067)%branchCT(0:0))
    call avCT(1067, 0, 13, 5, 0, VV2, 0, [0, 0], [nGC_5833, nGC_5831, nGC_5832])

    allocate(vertices(1068)%branchCT(0:1))
    call avCT(1068, 0, 15, 5, 0, VV0, 0, [2, 0], [nGC_5835, nGC_5834])

    call avCT(1068, 1, 16, 8, 0, VV0, 0, [2, 0], [nGC_5835, nGC_5834])

    allocate(vertices(1069)%branchCT(0:0))
    call avCT(1069, 0, 13, 5, 0, VS0, 0, [0, 0], [nGC_5839])

    allocate(vertices(1070)%branchCT(0:0))
    call avCT(1070, 0, 13, 5, 0, VS0, 0, [0, 0], [nGC_5842])

    allocate(vertices(1071)%branchCT(0:0))
    call avCT(1071, 0, 13, 5, 0, VS0, 0, [0, 0], [nGC_5845])

    allocate(vertices(1072)%branchCT(0:0))
    call avCT(1072, 0, 13, 5, 0, VS0, 0, [0, 0], [nGC_5846])

    allocate(vertices(1073)%branchCT(0:0))
    call avCT(1073, 0, 13, 5, 0, SS1, 0, [0, 1], [nGC_GG])

    allocate(vertices(1074)%branchCT(0:0))
    call avCT(1074, 0, 13, 5, 0, SS1, 0, [0, 1], [nGC_GG])

    allocate(vertices(352)%branchCT(0:1))
    call avCT(352, 0, 8, 5, 0, SSS0, 0, [0, 1], [nGC_5011])

    call avCT(352, 1, 8, 5, 0, SSS0, 0, [0, 2], [nGC_GGH])

    allocate(vertices(348)%branchCT(0:1))
    call avCT(348, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5000])

    call avCT(348, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(338)%branchCT(0:1))
    call avCT(338, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5000])

    call avCT(338, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(320)%branchCT(0:1))
    call avCT(320, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3485])

    call avCT(320, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(330)%branchCT(0:1))
    call avCT(330, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3486])

    call avCT(330, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_GPGMGPGM])

    allocate(vertices(138)%branchCT(0:0))
    call avCT(138, 0, 8, 5, 0, VVV0, 0, [0, 1], [nGC_4876])

    allocate(vertices(139)%branchCT(0:0))
    call avCT(139, 0, 8, 5, 0, VVV0, 0, [0, 1], [nGC_5868])

    allocate(vertices(140)%branchCT(0:0))
    call avCT(140, 0, 8, 5, 0, VVV0, 0, [0, 1], [nGC_5868])

    allocate(vertices(142)%branchCT(0:0))
    call avCT(142, 0, 8, 5, 0, VVV0, 0, [0, 1], [nGC_5868])

    allocate(vertices(154)%branchCT(0:0))
    call avCT(154, 0, 8, 5, 0, VVV0, 0, [0, 1], [nGC_5878])

    allocate(vertices(156)%branchCT(0:0))
    call avCT(156, 0, 8, 5, 0, VVV0, 0, [0, 1], [nGC_4880])

    allocate(vertices(157)%branchCT(0:0))
    call avCT(157, 0, 8, 5, 0, VVV0, 0, [0, 1], [nGC_5878])

    allocate(vertices(158)%branchCT(0:0))
    call avCT(158, 0, 8, 5, 0, VVV0, 0, [0, 1], [nGC_5878])

    allocate(vertices(143)%branchCT(0:0))
    call avCT(143, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4886, nGC_4885, nGC_4885])

    allocate(vertices(144)%branchCT(0:0))
    call avCT(144, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4885, nGC_4886, nGC_4885])

    allocate(vertices(145)%branchCT(0:0))
    call avCT(145, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4885, nGC_4885, nGC_4886])

    allocate(vertices(146)%branchCT(0:0))
    call avCT(146, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4885, nGC_4886, nGC_4885])

    allocate(vertices(147)%branchCT(0:0))
    call avCT(147, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4886, nGC_4885, nGC_4885])

    allocate(vertices(148)%branchCT(0:0))
    call avCT(148, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4885, nGC_4885, nGC_4886])

    allocate(vertices(150)%branchCT(0:0))
    call avCT(150, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4885, nGC_4886, nGC_4885])

    allocate(vertices(151)%branchCT(0:0))
    call avCT(151, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4885, nGC_4885, nGC_4886])

    allocate(vertices(152)%branchCT(0:0))
    call avCT(152, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4885, nGC_4886, nGC_4885])

    allocate(vertices(153)%branchCT(0:0))
    call avCT(153, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4886, nGC_4885, nGC_4885])

    allocate(vertices(164)%branchCT(0:0))
    call avCT(164, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4893, nGC_4894, nGC_4893])

    allocate(vertices(165)%branchCT(0:0))
    call avCT(165, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4894, nGC_4893, nGC_4893])

    allocate(vertices(166)%branchCT(0:0))
    call avCT(166, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4893, nGC_4893, nGC_4894])

    allocate(vertices(168)%branchCT(0:0))
    call avCT(168, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4894, nGC_4893, nGC_4893])

    allocate(vertices(169)%branchCT(0:0))
    call avCT(169, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4893, nGC_4894, nGC_4893])

    allocate(vertices(170)%branchCT(0:0))
    call avCT(170, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4894, nGC_4893, nGC_4893])

    allocate(vertices(171)%branchCT(0:0))
    call avCT(171, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4893, nGC_4894, nGC_4893])

    allocate(vertices(172)%branchCT(0:0))
    call avCT(172, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4894, nGC_4893, nGC_4893])

    allocate(vertices(173)%branchCT(0:0))
    call avCT(173, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4893, nGC_4894, nGC_4893])

    allocate(vertices(174)%branchCT(0:0))
    call avCT(174, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4893, nGC_4893, nGC_4894])

    allocate(vertices(175)%branchCT(0:0))
    call avCT(175, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4893, nGC_4893, nGC_4894])

    allocate(vertices(176)%branchCT(0:0))
    call avCT(176, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4893, nGC_4893, nGC_4894])

    allocate(vertices(177)%branchCT(0:0))
    call avCT(177, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4893, nGC_4893, nGC_4894])

    allocate(vertices(178)%branchCT(0:0))
    call avCT(178, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4893, nGC_4894, nGC_4893])

    allocate(vertices(179)%branchCT(0:0))
    call avCT(179, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4894, nGC_4893, nGC_4893])

    allocate(vertices(180)%branchCT(0:0))
    call avCT(180, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4893, nGC_4894, nGC_4893])

    allocate(vertices(181)%branchCT(0:0))
    call avCT(181, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4893, nGC_4894, nGC_4893])

    allocate(vertices(182)%branchCT(0:0))
    call avCT(182, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4894, nGC_4893, nGC_4893])

    allocate(vertices(183)%branchCT(0:0))
    call avCT(183, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4893, nGC_4893, nGC_4894])

    allocate(vertices(185)%branchCT(0:0))
    call avCT(185, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4894, nGC_4893, nGC_4893])

    allocate(vertices(186)%branchCT(0:0))
    call avCT(186, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4893, nGC_4894, nGC_4893])

    allocate(vertices(159)%branchCT(0:0))
    call avCT(159, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4903, nGC_4903, nGC_4904])

    allocate(vertices(160)%branchCT(0:0))
    call avCT(160, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4903, nGC_4904, nGC_4903])

    allocate(vertices(161)%branchCT(0:0))
    call avCT(161, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4904, nGC_4903, nGC_4903])

    allocate(vertices(162)%branchCT(0:0))
    call avCT(162, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4904, nGC_4903, nGC_4903])

    allocate(vertices(163)%branchCT(0:0))
    call avCT(163, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4903, nGC_4904, nGC_4903])

    allocate(vertices(187)%branchCT(0:0))
    call avCT(187, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4914, nGC_4914, nGC_4913])

    allocate(vertices(188)%branchCT(0:0))
    call avCT(188, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4914, nGC_4914, nGC_4913])

    allocate(vertices(189)%branchCT(0:0))
    call avCT(189, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4914, nGC_4913, nGC_4914])

    allocate(vertices(190)%branchCT(0:0))
    call avCT(190, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4913, nGC_4914, nGC_4914])

    allocate(vertices(191)%branchCT(0:0))
    call avCT(191, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4914, nGC_4913, nGC_4914])

    allocate(vertices(193)%branchCT(0:0))
    call avCT(193, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4913, nGC_4914, nGC_4914])

    allocate(vertices(194)%branchCT(0:0))
    call avCT(194, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4914, nGC_4913, nGC_4914])

    allocate(vertices(195)%branchCT(0:0))
    call avCT(195, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4914, nGC_4914, nGC_4913])

    allocate(vertices(196)%branchCT(0:0))
    call avCT(196, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4913, nGC_4914, nGC_4914])

    allocate(vertices(197)%branchCT(0:0))
    call avCT(197, 0, 9, 5, 0, VVVV0, 0, [0, 2], [nGC_4914, nGC_4913, nGC_4914])

    allocate(vertices(198)%branchCT(0:0))
    call avCT(198, 0, 8, 5, 0, UaVU0, 0, [0, 1], [nGC_4928])

    allocate(vertices(199)%branchCT(0:0))
    call avCT(199, 0, 8, 5, 0, VUaU0, 0, [0, 1], [nGC_4928])

    allocate(vertices(200)%branchCT(0:0))
    call avCT(200, 0, 8, 5, 0, VUUa0, 0, [0, 1], [nGC_4928])

    allocate(vertices(201)%branchCT(0:0))
    call avCT(201, 0, 8, 5, 0, UUaV0, 0, [0, 1], [nGC_4928])

    allocate(vertices(202)%branchCT(0:0))
    call avCT(202, 0, 8, 5, 0, UVUa0, 0, [0, 1], [nGC_4928])

    allocate(vertices(203)%branchCT(0:0))
    call avCT(203, 0, 8, 5, 0, UVUa0, 0, [0, 1], [nGC_4932])

    allocate(vertices(204)%branchCT(0:0))
    call avCT(204, 0, 8, 5, 0, UUaV0, 0, [0, 1], [nGC_4932])

    allocate(vertices(205)%branchCT(0:0))
    call avCT(205, 0, 8, 5, 0, VUUa0, 0, [0, 1], [nGC_4932])

    allocate(vertices(206)%branchCT(0:0))
    call avCT(206, 0, 8, 5, 0, VUaU0, 0, [0, 1], [nGC_4932])

    allocate(vertices(207)%branchCT(0:0))
    call avCT(207, 0, 8, 5, 0, UaVU0, 0, [0, 1], [nGC_4932])

    allocate(vertices(208)%branchCT(0:0))
    call avCT(208, 0, 8, 5, 0, SUaU0, 0, [0, 1], [nGC_3476])

    allocate(vertices(209)%branchCT(0:0))
    call avCT(209, 0, 8, 5, 0, SUUa0, 0, [0, 1], [nGC_3476])

    allocate(vertices(210)%branchCT(0:0))
    call avCT(210, 0, 8, 5, 0, UaSU0, 0, [0, 1], [nGC_3476])

    allocate(vertices(211)%branchCT(0:0))
    call avCT(211, 0, 8, 5, 0, USUa0, 0, [0, 1], [nGC_3476])

    allocate(vertices(212)%branchCT(0:0))
    call avCT(212, 0, 8, 5, 0, UUaS0, 0, [0, 1], [nGC_3476])

    allocate(vertices(213)%branchCT(0:0))
    call avCT(213, 0, 8, 5, 0, UaVU0, 0, [0, 1], [nGC_4928])

    allocate(vertices(214)%branchCT(0:0))
    call avCT(214, 0, 8, 5, 0, VUaU0, 0, [0, 1], [nGC_4928])

    allocate(vertices(215)%branchCT(0:0))
    call avCT(215, 0, 8, 5, 0, VUUa0, 0, [0, 1], [nGC_4928])

    allocate(vertices(216)%branchCT(0:0))
    call avCT(216, 0, 8, 5, 0, UUaV0, 0, [0, 1], [nGC_4928])

    allocate(vertices(217)%branchCT(0:0))
    call avCT(217, 0, 8, 5, 0, UVUa0, 0, [0, 1], [nGC_4928])

    allocate(vertices(218)%branchCT(0:0))
    call avCT(218, 0, 8, 5, 0, UaSU0, 0, [0, 1], [nGC_3477])

    allocate(vertices(219)%branchCT(0:0))
    call avCT(219, 0, 8, 5, 0, SUaU0, 0, [0, 1], [nGC_3477])

    allocate(vertices(220)%branchCT(0:0))
    call avCT(220, 0, 8, 5, 0, SUUa0, 0, [0, 1], [nGC_3477])

    allocate(vertices(221)%branchCT(0:0))
    call avCT(221, 0, 8, 5, 0, UUaS0, 0, [0, 1], [nGC_3477])

    allocate(vertices(222)%branchCT(0:0))
    call avCT(222, 0, 8, 5, 0, USUa0, 0, [0, 1], [nGC_3477])

    allocate(vertices(223)%branchCT(0:0))
    call avCT(223, 0, 8, 5, 0, UaSU0, 0, [0, 1], [nGC_4939])

    allocate(vertices(224)%branchCT(0:0))
    call avCT(224, 0, 8, 5, 0, SUaU0, 0, [0, 1], [nGC_4939])

    allocate(vertices(225)%branchCT(0:0))
    call avCT(225, 0, 8, 5, 0, SUUa0, 0, [0, 1], [nGC_4939])

    allocate(vertices(226)%branchCT(0:0))
    call avCT(226, 0, 8, 5, 0, UUaS0, 0, [0, 1], [nGC_4939])

    allocate(vertices(227)%branchCT(0:0))
    call avCT(227, 0, 8, 5, 0, USUa0, 0, [0, 1], [nGC_4939])

    allocate(vertices(228)%branchCT(0:0))
    call avCT(228, 0, 8, 5, 0, UaVU0, 0, [0, 1], [nGC_4944])

    allocate(vertices(229)%branchCT(0:0))
    call avCT(229, 0, 8, 5, 0, VUaU0, 0, [0, 1], [nGC_4944])

    allocate(vertices(230)%branchCT(0:0))
    call avCT(230, 0, 8, 5, 0, VUUa0, 0, [0, 1], [nGC_4944])

    allocate(vertices(231)%branchCT(0:0))
    call avCT(231, 0, 8, 5, 0, UUaV0, 0, [0, 1], [nGC_4944])

    allocate(vertices(232)%branchCT(0:0))
    call avCT(232, 0, 8, 5, 0, UVUa0, 0, [0, 1], [nGC_4944])

    allocate(vertices(233)%branchCT(0:0))
    call avCT(233, 0, 8, 5, 0, UaVU0, 0, [0, 1], [nGC_4949])

    allocate(vertices(234)%branchCT(0:0))
    call avCT(234, 0, 8, 5, 0, VUaU0, 0, [0, 1], [nGC_4949])

    allocate(vertices(235)%branchCT(0:0))
    call avCT(235, 0, 8, 5, 0, VUUa0, 0, [0, 1], [nGC_4949])

    allocate(vertices(236)%branchCT(0:0))
    call avCT(236, 0, 8, 5, 0, UUaV0, 0, [0, 1], [nGC_4949])

    allocate(vertices(237)%branchCT(0:0))
    call avCT(237, 0, 8, 5, 0, UVUa0, 0, [0, 1], [nGC_4949])

    allocate(vertices(238)%branchCT(0:0))
    call avCT(238, 0, 8, 5, 0, SUaU0, 0, [0, 1], [nGC_3479])

    allocate(vertices(239)%branchCT(0:0))
    call avCT(239, 0, 8, 5, 0, SUUa0, 0, [0, 1], [nGC_3479])

    allocate(vertices(240)%branchCT(0:0))
    call avCT(240, 0, 8, 5, 0, UaSU0, 0, [0, 1], [nGC_3479])

    allocate(vertices(241)%branchCT(0:0))
    call avCT(241, 0, 8, 5, 0, USUa0, 0, [0, 1], [nGC_3479])

    allocate(vertices(242)%branchCT(0:0))
    call avCT(242, 0, 8, 5, 0, UUaS0, 0, [0, 1], [nGC_3479])

    allocate(vertices(243)%branchCT(0:0))
    call avCT(243, 0, 8, 5, 0, UaVU0, 0, [0, 1], [nGC_4954])

    allocate(vertices(244)%branchCT(0:0))
    call avCT(244, 0, 8, 5, 0, UUaV0, 0, [0, 1], [nGC_4954])

    allocate(vertices(245)%branchCT(0:0))
    call avCT(245, 0, 8, 5, 0, UVUa0, 0, [0, 1], [nGC_4954])

    allocate(vertices(246)%branchCT(0:0))
    call avCT(246, 0, 8, 5, 0, VUaU0, 0, [0, 1], [nGC_4954])

    allocate(vertices(247)%branchCT(0:0))
    call avCT(247, 0, 8, 5, 0, VUUa0, 0, [0, 1], [nGC_4954])

    allocate(vertices(248)%branchCT(0:0))
    call avCT(248, 0, 8, 5, 0, UaSU0, 0, [0, 1], [nGC_3476])

    allocate(vertices(249)%branchCT(0:0))
    call avCT(249, 0, 8, 5, 0, SUaU0, 0, [0, 1], [nGC_3476])

    allocate(vertices(250)%branchCT(0:0))
    call avCT(250, 0, 8, 5, 0, SUUa0, 0, [0, 1], [nGC_3476])

    allocate(vertices(251)%branchCT(0:0))
    call avCT(251, 0, 8, 5, 0, UUaS0, 0, [0, 1], [nGC_3476])

    allocate(vertices(252)%branchCT(0:0))
    call avCT(252, 0, 8, 5, 0, USUa0, 0, [0, 1], [nGC_3476])

    allocate(vertices(253)%branchCT(0:0))
    call avCT(253, 0, 8, 5, 0, UaVU0, 0, [0, 1], [nGC_4932])

    allocate(vertices(254)%branchCT(0:0))
    call avCT(254, 0, 8, 5, 0, VUaU0, 0, [0, 1], [nGC_4932])

    allocate(vertices(255)%branchCT(0:0))
    call avCT(255, 0, 8, 5, 0, VUUa0, 0, [0, 1], [nGC_4932])

    allocate(vertices(256)%branchCT(0:0))
    call avCT(256, 0, 8, 5, 0, UUaV0, 0, [0, 1], [nGC_4932])

    allocate(vertices(257)%branchCT(0:0))
    call avCT(257, 0, 8, 5, 0, UVUa0, 0, [0, 1], [nGC_4932])

    allocate(vertices(258)%branchCT(0:0))
    call avCT(258, 0, 8, 5, 0, USUa0, 0, [0, 1], [nGC_3481])

    allocate(vertices(259)%branchCT(0:0))
    call avCT(259, 0, 8, 5, 0, UUaS0, 0, [0, 1], [nGC_3481])

    allocate(vertices(260)%branchCT(0:0))
    call avCT(260, 0, 8, 5, 0, SUUa0, 0, [0, 1], [nGC_3481])

    allocate(vertices(261)%branchCT(0:0))
    call avCT(261, 0, 8, 5, 0, SUaU0, 0, [0, 1], [nGC_3481])

    allocate(vertices(262)%branchCT(0:0))
    call avCT(262, 0, 8, 5, 0, UaSU0, 0, [0, 1], [nGC_3481])

    allocate(vertices(263)%branchCT(0:0))
    call avCT(263, 0, 8, 5, 0, UUaS0, 0, [0, 1], [nGC_4939])

    allocate(vertices(264)%branchCT(0:0))
    call avCT(264, 0, 8, 5, 0, USUa0, 0, [0, 1], [nGC_4939])

    allocate(vertices(265)%branchCT(0:0))
    call avCT(265, 0, 8, 5, 0, UaSU0, 0, [0, 1], [nGC_4939])

    allocate(vertices(266)%branchCT(0:0))
    call avCT(266, 0, 8, 5, 0, SUUa0, 0, [0, 1], [nGC_4939])

    allocate(vertices(267)%branchCT(0:0))
    call avCT(267, 0, 8, 5, 0, SUaU0, 0, [0, 1], [nGC_4939])

    allocate(vertices(268)%branchCT(0:0))
    call avCT(268, 0, 8, 5, 0, UUaV0, 0, [0, 1], [nGC_4965])

    allocate(vertices(269)%branchCT(0:0))
    call avCT(269, 0, 8, 5, 0, UVUa0, 0, [0, 1], [nGC_4965])

    allocate(vertices(270)%branchCT(0:0))
    call avCT(270, 0, 8, 5, 0, UaVU0, 0, [0, 1], [nGC_4965])

    allocate(vertices(271)%branchCT(0:0))
    call avCT(271, 0, 8, 5, 0, VUUa0, 0, [0, 1], [nGC_4965])

    allocate(vertices(272)%branchCT(0:0))
    call avCT(272, 0, 8, 5, 0, VUaU0, 0, [0, 1], [nGC_4965])

    allocate(vertices(273)%branchCT(0:0))
    call avCT(273, 0, 8, 5, 0, UVUa0, 0, [0, 1], [nGC_4970])

    allocate(vertices(274)%branchCT(0:0))
    call avCT(274, 0, 8, 5, 0, UUaV0, 0, [0, 1], [nGC_4970])

    allocate(vertices(275)%branchCT(0:0))
    call avCT(275, 0, 8, 5, 0, VUUa0, 0, [0, 1], [nGC_4970])

    allocate(vertices(276)%branchCT(0:0))
    call avCT(276, 0, 8, 5, 0, VUaU0, 0, [0, 1], [nGC_4970])

    allocate(vertices(277)%branchCT(0:0))
    call avCT(277, 0, 8, 5, 0, UaVU0, 0, [0, 1], [nGC_4970])

    allocate(vertices(278)%branchCT(0:0))
    call avCT(278, 0, 8, 5, 0, UUaS0, 0, [0, 1], [nGC_3479])

    allocate(vertices(279)%branchCT(0:0))
    call avCT(279, 0, 8, 5, 0, USUa0, 0, [0, 1], [nGC_3479])

    allocate(vertices(280)%branchCT(0:0))
    call avCT(280, 0, 8, 5, 0, UaSU0, 0, [0, 1], [nGC_3479])

    allocate(vertices(281)%branchCT(0:0))
    call avCT(281, 0, 8, 5, 0, SUUa0, 0, [0, 1], [nGC_3479])

    allocate(vertices(282)%branchCT(0:0))
    call avCT(282, 0, 8, 5, 0, SUaU0, 0, [0, 1], [nGC_3479])

    allocate(vertices(283)%branchCT(0:0))
    call avCT(283, 0, 8, 5, 0, UUaV0, 0, [0, 1], [nGC_4975])

    allocate(vertices(284)%branchCT(0:0))
    call avCT(284, 0, 8, 5, 0, UVUa0, 0, [0, 1], [nGC_4975])

    allocate(vertices(285)%branchCT(0:0))
    call avCT(285, 0, 8, 5, 0, UaVU0, 0, [0, 1], [nGC_4975])

    allocate(vertices(286)%branchCT(0:0))
    call avCT(286, 0, 8, 5, 0, VUUa0, 0, [0, 1], [nGC_4975])

    allocate(vertices(287)%branchCT(0:0))
    call avCT(287, 0, 8, 5, 0, VUaU0, 0, [0, 1], [nGC_4975])

    allocate(vertices(288)%branchCT(0:0))
    call avCT(288, 0, 8, 5, 0, SUaU0, 0, [0, 1], [nGC_3482])

    allocate(vertices(289)%branchCT(0:0))
    call avCT(289, 0, 8, 5, 0, SUUa0, 0, [0, 1], [nGC_3482])

    allocate(vertices(290)%branchCT(0:0))
    call avCT(290, 0, 8, 5, 0, UaSU0, 0, [0, 1], [nGC_3482])

    allocate(vertices(291)%branchCT(0:0))
    call avCT(291, 0, 8, 5, 0, USUa0, 0, [0, 1], [nGC_3482])

    allocate(vertices(292)%branchCT(0:0))
    call avCT(292, 0, 8, 5, 0, UUaS0, 0, [0, 1], [nGC_3482])

    allocate(vertices(293)%branchCT(0:0))
    call avCT(293, 0, 8, 5, 0, VUaU0, 0, [0, 1], [nGC_4954])

    allocate(vertices(294)%branchCT(0:0))
    call avCT(294, 0, 8, 5, 0, VUUa0, 0, [0, 1], [nGC_4954])

    allocate(vertices(295)%branchCT(0:0))
    call avCT(295, 0, 8, 5, 0, UaVU0, 0, [0, 1], [nGC_4954])

    allocate(vertices(296)%branchCT(0:0))
    call avCT(296, 0, 8, 5, 0, UVUa0, 0, [0, 1], [nGC_4954])

    allocate(vertices(297)%branchCT(0:0))
    call avCT(297, 0, 8, 5, 0, UUaV0, 0, [0, 1], [nGC_4954])

    allocate(vertices(298)%branchCT(0:0))
    call avCT(298, 0, 8, 5, 0, SUUa0, 0, [0, 1], [nGC_3482])

    allocate(vertices(299)%branchCT(0:0))
    call avCT(299, 0, 8, 5, 0, SUaU0, 0, [0, 1], [nGC_3482])

    allocate(vertices(300)%branchCT(0:0))
    call avCT(300, 0, 8, 5, 0, USUa0, 0, [0, 1], [nGC_3482])

    allocate(vertices(301)%branchCT(0:0))
    call avCT(301, 0, 8, 5, 0, UUaS0, 0, [0, 1], [nGC_3482])

    allocate(vertices(302)%branchCT(0:0))
    call avCT(302, 0, 8, 5, 0, UaSU0, 0, [0, 1], [nGC_3482])

    allocate(vertices(303)%branchCT(0:0))
    call avCT(303, 0, 8, 5, 0, UVUa0, 0, [0, 1], [nGC_4975])

    allocate(vertices(304)%branchCT(0:0))
    call avCT(304, 0, 8, 5, 0, UUaV0, 0, [0, 1], [nGC_4975])

    allocate(vertices(305)%branchCT(0:0))
    call avCT(305, 0, 8, 5, 0, VUUa0, 0, [0, 1], [nGC_4975])

    allocate(vertices(306)%branchCT(0:0))
    call avCT(306, 0, 8, 5, 0, VUaU0, 0, [0, 1], [nGC_4975])

    allocate(vertices(307)%branchCT(0:0))
    call avCT(307, 0, 8, 5, 0, UaVU0, 0, [0, 1], [nGC_4975])

    allocate(vertices(308)%branchCT(0:0))
    call avCT(308, 0, 8, 5, 0, UUaS0, 0, [0, 1], [nGC_4984])

    allocate(vertices(309)%branchCT(0:0))
    call avCT(309, 0, 8, 5, 0, USUa0, 0, [0, 1], [nGC_4984])

    allocate(vertices(310)%branchCT(0:0))
    call avCT(310, 0, 8, 5, 0, UaSU0, 0, [0, 1], [nGC_4984])

    allocate(vertices(311)%branchCT(0:0))
    call avCT(311, 0, 8, 5, 0, SUUa0, 0, [0, 1], [nGC_4984])

    allocate(vertices(312)%branchCT(0:0))
    call avCT(312, 0, 8, 5, 0, SUaU0, 0, [0, 1], [nGC_4984])

    allocate(vertices(313)%branchCT(0:1))
    call avCT(313, 0, 0, 2, 0, UaVU0, 0, [3, 0], [nGC_4988])

    call avCT(313, 1, 1, 1, 0, UaVU0, 0, [3, 0], [nGC_4988])

    allocate(vertices(314)%branchCT(0:1))
    call avCT(314, 0, 0, 1, 0, VUaU0, 0, [3, 0], [nGC_4988])

    call avCT(314, 1, 1, 2, 0, VUaU0, 0, [3, 0], [nGC_4988])

    allocate(vertices(315)%branchCT(0:1))
    call avCT(315, 0, 0, 2, 0, VUUa0, 0, [3, 0], [nGC_4988])

    call avCT(315, 1, 1, 1, 0, VUUa0, 0, [3, 0], [nGC_4988])

    allocate(vertices(316)%branchCT(0:1))
    call avCT(316, 0, 0, 2, 0, UUaV0, 0, [3, 0], [nGC_4988])

    call avCT(316, 1, 1, 1, 0, UUaV0, 0, [3, 0], [nGC_4988])

    allocate(vertices(317)%branchCT(0:1))
    call avCT(317, 0, 0, 1, 0, UVUa0, 0, [3, 0], [nGC_4988])

    call avCT(317, 1, 1, 2, 0, UVUa0, 0, [3, 0], [nGC_4988])

    allocate(vertices(318)%branchCT(0:1))
    call avCT(318, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3485])

    call avCT(318, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(319)%branchCT(0:1))
    call avCT(319, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3485])

    call avCT(319, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(321)%branchCT(0:1))
    call avCT(321, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3485])

    call avCT(321, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(322)%branchCT(0:1))
    call avCT(322, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3485])

    call avCT(322, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(323)%branchCT(0:1))
    call avCT(323, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3485])

    call avCT(323, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(324)%branchCT(0:1))
    call avCT(324, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3485])

    call avCT(324, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(325)%branchCT(0:1))
    call avCT(325, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3485])

    call avCT(325, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(326)%branchCT(0:1))
    call avCT(326, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3485])

    call avCT(326, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(327)%branchCT(0:1))
    call avCT(327, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3485])

    call avCT(327, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(328)%branchCT(0:1))
    call avCT(328, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3485])

    call avCT(328, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(329)%branchCT(0:1))
    call avCT(329, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3486])

    call avCT(329, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_GPGMGPGM])

    allocate(vertices(331)%branchCT(0:1))
    call avCT(331, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3486])

    call avCT(331, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_GPGMGPGM])

    allocate(vertices(332)%branchCT(0:1))
    call avCT(332, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3486])

    call avCT(332, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_GPGMGPGM])

    allocate(vertices(333)%branchCT(0:1))
    call avCT(333, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_3486])

    call avCT(333, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_GPGMGPGM])

    allocate(vertices(334)%branchCT(0:1))
    call avCT(334, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5000])

    call avCT(334, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(335)%branchCT(0:1))
    call avCT(335, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5000])

    call avCT(335, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(336)%branchCT(0:1))
    call avCT(336, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5000])

    call avCT(336, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(337)%branchCT(0:1))
    call avCT(337, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5000])

    call avCT(337, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(339)%branchCT(0:1))
    call avCT(339, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5000])

    call avCT(339, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(340)%branchCT(0:1))
    call avCT(340, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5000])

    call avCT(340, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(341)%branchCT(0:1))
    call avCT(341, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5000])

    call avCT(341, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(342)%branchCT(0:1))
    call avCT(342, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5000])

    call avCT(342, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(343)%branchCT(0:1))
    call avCT(343, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5000])

    call avCT(343, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(344)%branchCT(0:1))
    call avCT(344, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5000])

    call avCT(344, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(345)%branchCT(0:1))
    call avCT(345, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5000])

    call avCT(345, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(346)%branchCT(0:1))
    call avCT(346, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5000])

    call avCT(346, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(347)%branchCT(0:1))
    call avCT(347, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5000])

    call avCT(347, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(349)%branchCT(0:1))
    call avCT(349, 0, 9, 5, 0, SSSS0, 0, [0, 2], [nGC_5000])

    call avCT(349, 1, 9, 5, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    allocate(vertices(350)%branchCT(0:1))
    call avCT(350, 0, 8, 5, 0, SSS0, 0, [0, 1], [nGC_5011])

    call avCT(350, 1, 8, 5, 0, SSS0, 0, [0, 2], [nGC_GGH])

    allocate(vertices(351)%branchCT(0:1))
    call avCT(351, 0, 8, 5, 0, SSS0, 0, [0, 1], [nGC_5011])

    call avCT(351, 1, 8, 5, 0, SSS0, 0, [0, 2], [nGC_GGH])

    allocate(vertices(353)%branchCT(0:1))
    call avCT(353, 0, 8, 5, 0, SSS0, 0, [0, 1], [nGC_5011])

    call avCT(353, 1, 8, 5, 0, SSS0, 0, [0, 2], [nGC_GGH])

    allocate(vertices(354)%branchCT(0:1))
    call avCT(354, 0, 8, 5, 0, SSS0, 0, [0, 1], [nGC_5011])

    call avCT(354, 1, 8, 5, 0, SSS0, 0, [0, 2], [nGC_GGH])

    allocate(vertices(355)%branchCT(0:1))
    call avCT(355, 0, 8, 5, 0, SSS0, 0, [0, 1], [nGC_5011])

    call avCT(355, 1, 8, 5, 0, SSS0, 0, [0, 2], [nGC_GGH])

    allocate(vertices(356)%branchCT(0:1))
    call avCT(356, 0, 8, 5, 0, SSS0, 0, [0, 1], [nGC_5011])

    call avCT(356, 1, 8, 5, 0, SSS0, 0, [0, 2], [nGC_GGH])

    allocate(vertices(357)%branchCT(0:0))
    call avCT(357, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5022])

    allocate(vertices(358)%branchCT(0:0))
    call avCT(358, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5022])

    allocate(vertices(359)%branchCT(0:0))
    call avCT(359, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5022])

    allocate(vertices(360)%branchCT(0:0))
    call avCT(360, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5022])

    allocate(vertices(361)%branchCT(0:0))
    call avCT(361, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5022])

    allocate(vertices(362)%branchCT(0:0))
    call avCT(362, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5022])

    allocate(vertices(363)%branchCT(0:0))
    call avCT(363, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5022])

    allocate(vertices(364)%branchCT(0:0))
    call avCT(364, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5022])

    allocate(vertices(365)%branchCT(0:0))
    call avCT(365, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5022])

    allocate(vertices(366)%branchCT(0:0))
    call avCT(366, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5022])

    allocate(vertices(367)%branchCT(0:0))
    call avCT(367, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5022])

    allocate(vertices(545)%branchCT(0:0))
    call avCT(545, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5027])

    allocate(vertices(546)%branchCT(0:0))
    call avCT(546, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5027])

    allocate(vertices(547)%branchCT(0:0))
    call avCT(547, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5027])

    allocate(vertices(548)%branchCT(0:0))
    call avCT(548, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5027])

    allocate(vertices(549)%branchCT(0:0))
    call avCT(549, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5027])

    allocate(vertices(550)%branchCT(0:0))
    call avCT(550, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5027])

    allocate(vertices(551)%branchCT(0:0))
    call avCT(551, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5027])

    allocate(vertices(552)%branchCT(0:0))
    call avCT(552, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5027])

    allocate(vertices(553)%branchCT(0:0))
    call avCT(553, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5027])

    allocate(vertices(554)%branchCT(0:0))
    call avCT(554, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5027])

    allocate(vertices(555)%branchCT(0:0))
    call avCT(555, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5027])

    allocate(vertices(556)%branchCT(0:0))
    call avCT(556, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5027])

    allocate(vertices(557)%branchCT(0:0))
    call avCT(557, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5027])

    allocate(vertices(558)%branchCT(0:0))
    call avCT(558, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5027])

    allocate(vertices(559)%branchCT(0:0))
    call avCT(559, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5027])

    allocate(vertices(560)%branchCT(0:0))
    call avCT(560, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5027])

    allocate(vertices(561)%branchCT(0:0))
    call avCT(561, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5027])

    allocate(vertices(563)%branchCT(0:0))
    call avCT(563, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5027])

    allocate(vertices(564)%branchCT(0:0))
    call avCT(564, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5027])

    allocate(vertices(565)%branchCT(0:0))
    call avCT(565, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5027])

    allocate(vertices(566)%branchCT(0:0))
    call avCT(566, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5027])

    allocate(vertices(567)%branchCT(0:0))
    call avCT(567, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5027])

    allocate(vertices(368)%branchCT(0:0))
    call avCT(368, 0, 8, 5, 0, SSV0, 0, [0, 1], [nGC_6484])

    allocate(vertices(369)%branchCT(0:0))
    call avCT(369, 0, 8, 5, 0, SVS0, 0, [0, 1], [nGC_5031])

    allocate(vertices(370)%branchCT(0:0))
    call avCT(370, 0, 8, 5, 0, SSV0, 0, [0, 1], [nGC_5031])

    allocate(vertices(371)%branchCT(0:0))
    call avCT(371, 0, 8, 5, 0, SVS0, 0, [0, 1], [nGC_6484])

    allocate(vertices(372)%branchCT(0:0))
    call avCT(372, 0, 8, 5, 0, VSS0, 0, [0, 1], [nGC_6484])

    allocate(vertices(573)%branchCT(0:0))
    call avCT(573, 0, 8, 5, 0, SVS0, 0, [0, 1], [nGC_5035])

    allocate(vertices(574)%branchCT(0:0))
    call avCT(574, 0, 8, 5, 0, SSV0, 0, [0, 1], [nGC_6503])

    allocate(vertices(575)%branchCT(0:0))
    call avCT(575, 0, 8, 5, 0, VSS0, 0, [0, 1], [nGC_6503])

    allocate(vertices(576)%branchCT(0:0))
    call avCT(576, 0, 8, 5, 0, SSV0, 0, [0, 1], [nGC_5035])

    allocate(vertices(577)%branchCT(0:0))
    call avCT(577, 0, 8, 5, 0, SVS0, 0, [0, 1], [nGC_6503])

    allocate(vertices(373)%branchCT(0:0))
    call avCT(373, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5039])

    allocate(vertices(374)%branchCT(0:0))
    call avCT(374, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5039])

    allocate(vertices(375)%branchCT(0:0))
    call avCT(375, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5039])

    allocate(vertices(376)%branchCT(0:0))
    call avCT(376, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5039])

    allocate(vertices(377)%branchCT(0:0))
    call avCT(377, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5039])

    allocate(vertices(378)%branchCT(0:0))
    call avCT(378, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5039])

    allocate(vertices(379)%branchCT(0:0))
    call avCT(379, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5039])

    allocate(vertices(380)%branchCT(0:0))
    call avCT(380, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5039])

    allocate(vertices(381)%branchCT(0:0))
    call avCT(381, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5039])

    allocate(vertices(382)%branchCT(0:0))
    call avCT(382, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5039])

    allocate(vertices(383)%branchCT(0:0))
    call avCT(383, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5039])

    allocate(vertices(384)%branchCT(0:0))
    call avCT(384, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5039])

    allocate(vertices(385)%branchCT(0:0))
    call avCT(385, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5039])

    allocate(vertices(386)%branchCT(0:0))
    call avCT(386, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5039])

    allocate(vertices(387)%branchCT(0:0))
    call avCT(387, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5039])

    allocate(vertices(388)%branchCT(0:0))
    call avCT(388, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5039])

    allocate(vertices(389)%branchCT(0:0))
    call avCT(389, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5039])

    allocate(vertices(390)%branchCT(0:0))
    call avCT(390, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5039])

    allocate(vertices(391)%branchCT(0:0))
    call avCT(391, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5039])

    allocate(vertices(392)%branchCT(0:0))
    call avCT(392, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5039])

    allocate(vertices(393)%branchCT(0:0))
    call avCT(393, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5039])

    allocate(vertices(394)%branchCT(0:0))
    call avCT(394, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5039])

    allocate(vertices(578)%branchCT(0:0))
    call avCT(578, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5043])

    allocate(vertices(579)%branchCT(0:0))
    call avCT(579, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5043])

    allocate(vertices(580)%branchCT(0:0))
    call avCT(580, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5043])

    allocate(vertices(581)%branchCT(0:0))
    call avCT(581, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5043])

    allocate(vertices(582)%branchCT(0:0))
    call avCT(582, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5043])

    allocate(vertices(583)%branchCT(0:0))
    call avCT(583, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5043])

    allocate(vertices(584)%branchCT(0:0))
    call avCT(584, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5043])

    allocate(vertices(585)%branchCT(0:0))
    call avCT(585, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5043])

    allocate(vertices(586)%branchCT(0:0))
    call avCT(586, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5043])

    allocate(vertices(587)%branchCT(0:0))
    call avCT(587, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5043])

    allocate(vertices(588)%branchCT(0:0))
    call avCT(588, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5043])

    allocate(vertices(589)%branchCT(0:0))
    call avCT(589, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5043])

    allocate(vertices(590)%branchCT(0:0))
    call avCT(590, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5043])

    allocate(vertices(591)%branchCT(0:0))
    call avCT(591, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5043])

    allocate(vertices(592)%branchCT(0:0))
    call avCT(592, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5043])

    allocate(vertices(593)%branchCT(0:0))
    call avCT(593, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5043])

    allocate(vertices(594)%branchCT(0:0))
    call avCT(594, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5043])

    allocate(vertices(596)%branchCT(0:0))
    call avCT(596, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5043])

    allocate(vertices(597)%branchCT(0:0))
    call avCT(597, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5043])

    allocate(vertices(598)%branchCT(0:0))
    call avCT(598, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5043])

    allocate(vertices(599)%branchCT(0:0))
    call avCT(599, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5043])

    allocate(vertices(600)%branchCT(0:0))
    call avCT(600, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5043])

    allocate(vertices(396)%branchCT(0:0))
    call avCT(396, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5047])

    allocate(vertices(397)%branchCT(0:0))
    call avCT(397, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5047])

    allocate(vertices(398)%branchCT(0:0))
    call avCT(398, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5047])

    allocate(vertices(399)%branchCT(0:0))
    call avCT(399, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5047])

    allocate(vertices(400)%branchCT(0:0))
    call avCT(400, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5047])

    allocate(vertices(401)%branchCT(0:0))
    call avCT(401, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5047])

    allocate(vertices(402)%branchCT(0:0))
    call avCT(402, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5047])

    allocate(vertices(403)%branchCT(0:0))
    call avCT(403, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5047])

    allocate(vertices(404)%branchCT(0:0))
    call avCT(404, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5047])

    allocate(vertices(405)%branchCT(0:0))
    call avCT(405, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5047])

    allocate(vertices(406)%branchCT(0:0))
    call avCT(406, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5047])

    allocate(vertices(407)%branchCT(0:0))
    call avCT(407, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5047])

    allocate(vertices(408)%branchCT(0:0))
    call avCT(408, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5047])

    allocate(vertices(410)%branchCT(0:0))
    call avCT(410, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5047])

    allocate(vertices(411)%branchCT(0:0))
    call avCT(411, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5047])

    allocate(vertices(412)%branchCT(0:0))
    call avCT(412, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5047])

    allocate(vertices(413)%branchCT(0:0))
    call avCT(413, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5047])

    allocate(vertices(414)%branchCT(0:0))
    call avCT(414, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5047])

    allocate(vertices(415)%branchCT(0:0))
    call avCT(415, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5047])

    allocate(vertices(416)%branchCT(0:0))
    call avCT(416, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5047])

    allocate(vertices(417)%branchCT(0:0))
    call avCT(417, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5047])

    allocate(vertices(418)%branchCT(0:0))
    call avCT(418, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5047])

    allocate(vertices(601)%branchCT(0:0))
    call avCT(601, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5051])

    allocate(vertices(602)%branchCT(0:0))
    call avCT(602, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5051])

    allocate(vertices(603)%branchCT(0:0))
    call avCT(603, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5051])

    allocate(vertices(604)%branchCT(0:0))
    call avCT(604, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5051])

    allocate(vertices(605)%branchCT(0:0))
    call avCT(605, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5051])

    allocate(vertices(606)%branchCT(0:0))
    call avCT(606, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5051])

    allocate(vertices(607)%branchCT(0:0))
    call avCT(607, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5051])

    allocate(vertices(608)%branchCT(0:0))
    call avCT(608, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5051])

    allocate(vertices(610)%branchCT(0:0))
    call avCT(610, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5051])

    allocate(vertices(611)%branchCT(0:0))
    call avCT(611, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5051])

    allocate(vertices(612)%branchCT(0:0))
    call avCT(612, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5051])

    allocate(vertices(613)%branchCT(0:0))
    call avCT(613, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5051])

    allocate(vertices(614)%branchCT(0:0))
    call avCT(614, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5051])

    allocate(vertices(615)%branchCT(0:0))
    call avCT(615, 0, 9, 5, 0, VVSS0, 0, [0, 2], [nGC_5051])

    allocate(vertices(616)%branchCT(0:0))
    call avCT(616, 0, 9, 5, 0, VSSV0, 0, [0, 2], [nGC_5051])

    allocate(vertices(617)%branchCT(0:0))
    call avCT(617, 0, 9, 5, 0, VSVS0, 0, [0, 2], [nGC_5051])

    allocate(vertices(618)%branchCT(0:0))
    call avCT(618, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5051])

    allocate(vertices(619)%branchCT(0:0))
    call avCT(619, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5051])

    allocate(vertices(620)%branchCT(0:0))
    call avCT(620, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5051])

    allocate(vertices(621)%branchCT(0:0))
    call avCT(621, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5051])

    allocate(vertices(622)%branchCT(0:0))
    call avCT(622, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5051])

    allocate(vertices(623)%branchCT(0:0))
    call avCT(623, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5051])

    allocate(vertices(419)%branchCT(0:0))
    call avCT(419, 0, 8, 5, 0, SVV0, 0, [0, 1], [nGC_5055])

    allocate(vertices(420)%branchCT(0:0))
    call avCT(420, 0, 8, 5, 0, SVV0, 0, [0, 1], [nGC_5055])

    allocate(vertices(421)%branchCT(0:0))
    call avCT(421, 0, 8, 5, 0, VSV0, 0, [0, 1], [nGC_5055])

    allocate(vertices(422)%branchCT(0:0))
    call avCT(422, 0, 8, 5, 0, VSV0, 0, [0, 1], [nGC_5055])

    allocate(vertices(624)%branchCT(0:0))
    call avCT(624, 0, 8, 5, 0, SVV0, 0, [0, 1], [nGC_5059])

    allocate(vertices(625)%branchCT(0:0))
    call avCT(625, 0, 8, 5, 0, SVV0, 0, [0, 1], [nGC_5059])

    allocate(vertices(626)%branchCT(0:0))
    call avCT(626, 0, 8, 5, 0, VSV0, 0, [0, 1], [nGC_5059])

    allocate(vertices(628)%branchCT(0:0))
    call avCT(628, 0, 8, 5, 0, VSV0, 0, [0, 1], [nGC_5059])

    allocate(vertices(424)%branchCT(0:0))
    call avCT(424, 0, 8, 5, 0, SSV0, 0, [0, 1], [nGC_6803])

    allocate(vertices(425)%branchCT(0:0))
    call avCT(425, 0, 8, 5, 0, SVS0, 0, [0, 1], [nGC_5062])

    allocate(vertices(426)%branchCT(0:0))
    call avCT(426, 0, 8, 5, 0, SSV0, 0, [0, 1], [nGC_5062])

    allocate(vertices(427)%branchCT(0:0))
    call avCT(427, 0, 8, 5, 0, SVS0, 0, [0, 1], [nGC_6803])

    allocate(vertices(428)%branchCT(0:0))
    call avCT(428, 0, 8, 5, 0, VSS0, 0, [0, 1], [nGC_6803])

    allocate(vertices(429)%branchCT(0:0))
    call avCT(429, 0, 8, 5, 0, SVS0, 0, [0, 1], [nGC_6814])

    allocate(vertices(430)%branchCT(0:0))
    call avCT(430, 0, 8, 5, 0, SSV0, 0, [0, 1], [nGC_5065])

    allocate(vertices(431)%branchCT(0:0))
    call avCT(431, 0, 8, 5, 0, VSS0, 0, [0, 1], [nGC_6814])

    allocate(vertices(432)%branchCT(0:0))
    call avCT(432, 0, 8, 5, 0, SSV0, 0, [0, 1], [nGC_6814])

    allocate(vertices(433)%branchCT(0:0))
    call avCT(433, 0, 8, 5, 0, SVS0, 0, [0, 1], [nGC_5065])

    allocate(vertices(434)%branchCT(0:0))
    call avCT(434, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5069])

    allocate(vertices(435)%branchCT(0:0))
    call avCT(435, 0, 9, 5, 0, SSVV0, 0, [0, 2], [nGC_5069])

    allocate(vertices(436)%branchCT(0:0))
    call avCT(436, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5069])

    allocate(vertices(437)%branchCT(0:0))
    call avCT(437, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5069])

    allocate(vertices(438)%branchCT(0:0))
    call avCT(438, 0, 9, 5, 0, SVVS0, 0, [0, 2], [nGC_5069])

    allocate(vertices(439)%branchCT(0:0))
    call avCT(439, 0, 9, 5, 0, SVSV0, 0, [0, 2], [nGC_5069])

  end subroutine fill_vertices_mdl2
end module vertices_info2
