!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 13:16             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_3243) = cME*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**  &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_3244) = cima*(coupl(nGC_36)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi** &
                      2d0)
    coupl(nGC_3245) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +  &
                      cMD**2d0 + cMS**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_3246) = cima*sq2**2d0*(3d0*Nc*coupl(nGC_10)**2d0 - 10d0*coupl(   &
                      nGC_11)**2d0)/(192d0*pi**2d0)
    coupl(nGC_3247) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_3248) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 - &
                      cMD**2d0 - cMS**2d0 - cMU**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_3249) = cima*sq2**2d0*(-3d0*Nc*coupl(nGC_10)**2d0 + 10d0*coupl(  &
                      nGC_11)**2d0)/(192d0*pi**2d0*Nc)
    coupl(nGC_3250) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_3251) = cMM*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**  &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_3252) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_41)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_3253) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3254) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3255) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3256) = cMTA*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)** &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_3257) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3258) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3259) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) + coupl(  &
                      nGC_1)*coupl(nGC_55)**2d0 + coupl(nGC_2)*coupl(nGC_53)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3260) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) + coupl(  &
                      nGC_1)*coupl(nGC_55)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_77)**2d0 + 4d0*coupl(    &
                      nGC_206)*coupl(nGC_23)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3261) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3262) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) -  &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) - 2d0&
                      *Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) - 2d0*Nc&
                      *cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) - 2d0*Nc*  &
                      cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) - 2d0*Nc*cMU&
                      *coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) + 4d0*cima*    &
                      coupl(nGC_194)*coupl(nGC_47) + 4d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_51) - coupl(nGC_206)*coupl(nGC_21)*coupl(nGC_50&
                      ) + 6d0*coupl(nGC_206)*coupl(nGC_25)*coupl(nGC_47) + 6d0*&
                      coupl(nGC_206)*coupl(nGC_3)*coupl(nGC_51) - coupl(nGC_25 &
                      )*coupl(nGC_40)*coupl(nGC_51) - coupl(nGC_3)*coupl(nGC_4 &
                      )*coupl(nGC_51))/(32d0*pi**2d0)
    coupl(nGC_3263) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) -  &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) - 2d0&
                      *Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) - 2d0*Nc&
                      *cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) - 2d0*Nc*  &
                      cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) - 2d0*Nc*cMU&
                      *coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) + 4d0*cima*    &
                      coupl(nGC_194)*coupl(nGC_47) + 4d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_51) - coupl(nGC_1422)*coupl(nGC_220)*coupl(    &
                      nGC_51) - coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_50) -     &
                      coupl(nGC_202)*coupl(nGC_206)*coupl(nGC_51) + 6d0*coupl( &
                      nGC_206)*coupl(nGC_3)*coupl(nGC_51) + 6d0*coupl(nGC_220)*&
                      coupl(nGC_3)*coupl(nGC_47))/(32d0*pi**2d0)
    coupl(nGC_3264) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(  &
                      nGC_1)*coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(   &
                      nGC_61)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_73)**2d0 +  &
                      4d0*Nc*coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(   &
                      nGC_1)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(   &
                      nGC_53)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_57)**2d0 -  &
                      4d0*Nc*coupl(nGC_2)*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(   &
                      nGC_2)*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(   &
                      nGC_77)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_85)**2d0 -  &
                      6d0*coupl(nGC_1114)*coupl(nGC_22)*coupl(nGC_3) - 6d0*    &
                      coupl(nGC_1126)*coupl(nGC_20)*coupl(nGC_3) + coupl(      &
                      nGC_1422)**2d0*coupl(nGC_4) + coupl(nGC_202)**2d0*coupl( &
                      nGC_4) + 4d0*coupl(nGC_4)*coupl(nGC_65)**2d0 + 4d0*coupl(&
                      nGC_4)*coupl(nGC_69)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_81&
                      )**2d0)/(96d0*pi**2d0)
    coupl(nGC_9704) = -coupl(nGC_3264)
    coupl(nGC_3265) = (-12d0*Nc*coupl(nGC_1)*coupl(nGC_23)**2d0 + 12d0*Nc*coupl&
                      (nGC_2)*coupl(nGC_23)**2d0 + 11d0*coupl(nGC_206)**2d0*   &
                      coupl(nGC_3) + 11d0*coupl(nGC_220)**2d0*coupl(nGC_3) -   &
                      12d0*coupl(nGC_23)**2d0*coupl(nGC_4))/(96d0*pi**2d0)
    coupl(nGC_9711) = -coupl(nGC_3265)
    coupl(nGC_3266) = (coupl(nGC_1114)*coupl(nGC_1126)*coupl(nGC_202) + coupl( &
                      nGC_1114)*coupl(nGC_1250)*coupl(nGC_4) - 6d0*coupl(nGC_20&
                      )*coupl(nGC_206)*coupl(nGC_22) - 6d0*coupl(nGC_21)*coupl(&
                      nGC_22)*coupl(nGC_3))/(96d0*pi**2d0)
    coupl(nGC_9717) = -coupl(nGC_3266)
    coupl(nGC_3267) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_55) - 8d0*Nc*cMC&
                      *coupl(nGC_2)**2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(nGC_1&
                      )**2d0*coupl(nGC_63) - 8d0*Nc*cMS*coupl(nGC_1)**2d0*coupl&
                      (nGC_75) - 8d0*Nc*cMT*coupl(nGC_2)**2d0*coupl(nGC_79) -  &
                      8d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_87) - 8d0*cME*    &
                      coupl(nGC_4)**2d0*coupl(nGC_67) - 8d0*cMM*coupl(nGC_4)** &
                      2d0*coupl(nGC_71) - 8d0*cMTA*coupl(nGC_4)**2d0*coupl(    &
                      nGC_83) + 4d0*cima*coupl(nGC_184)*coupl(nGC_50) - coupl( &
                      nGC_1126)*coupl(nGC_206)*coupl(nGC_51) - coupl(nGC_1250)*&
                      coupl(nGC_3)*coupl(nGC_51) - coupl(nGC_20)*coupl(nGC_206 &
                      )*coupl(nGC_51) + 6d0*coupl(nGC_206)**2d0*coupl(nGC_50   &
                      ) - coupl(nGC_21)*coupl(nGC_3)*coupl(nGC_51) + 6d0*coupl(&
                      nGC_3)**2d0*coupl(nGC_50))/(32d0*pi**2d0)
    coupl(nGC_3268) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55) -  &
                      4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55) - 4d0&
                      *Nc*cMC*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59) - 4d0*Nc&
                      *cMC*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_59) - 4d0*Nc*  &
                      cMD*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63) - 4d0*Nc*cMD&
                      *coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_63) - 4d0*Nc*cMS*  &
                      coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_75) - 4d0*Nc*cMS*   &
                      coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_75) - 4d0*Nc*cMT*   &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79) - 4d0*Nc*cMT*   &
                      coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79) - 4d0*Nc*cMU*   &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87) - 4d0*Nc*cMU*   &
                      coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87) - 4d0*cME*coupl(&
                      nGC_36)*coupl(nGC_4)*coupl(nGC_67) - 4d0*cME*coupl(nGC_4 &
                      )*coupl(nGC_40)*coupl(nGC_67) - 4d0*cMM*coupl(nGC_36)*   &
                      coupl(nGC_4)*coupl(nGC_71) - 4d0*cMM*coupl(nGC_4)*coupl( &
                      nGC_40)*coupl(nGC_71) - 4d0*cMTA*coupl(nGC_36)*coupl(    &
                      nGC_4)*coupl(nGC_83) - 4d0*cMTA*coupl(nGC_4)*coupl(nGC_40&
                      )*coupl(nGC_83) + 4d0*cima*coupl(nGC_29)*coupl(nGC_50) - &
                      coupl(nGC_1126)*coupl(nGC_206)*coupl(nGC_47) - coupl(    &
                      nGC_1250)*coupl(nGC_3)*coupl(nGC_47) - coupl(nGC_20)*    &
                      coupl(nGC_220)*coupl(nGC_51) + 6d0*coupl(nGC_206)*coupl( &
                      nGC_220)*coupl(nGC_50) - coupl(nGC_21)*coupl(nGC_25)*    &
                      coupl(nGC_51) + 6d0*coupl(nGC_25)*coupl(nGC_3)*coupl(    &
                      nGC_50))/(32d0*pi**2d0)
    coupl(nGC_3269) = (coupl(nGC_1)*coupl(nGC_57)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_2)*coupl(nGC_59  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3270) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_73)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_58)*coupl(   &
                      nGC_60) + coupl(nGC_2)*coupl(nGC_59)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_3271) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3272) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) + coupl(  &
                      nGC_1)*coupl(nGC_63)**2d0 + coupl(nGC_2)*coupl(nGC_61)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3273) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) + coupl(  &
                      nGC_1)*coupl(nGC_63)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_85)**2d0 + 4d0*coupl(    &
                      nGC_206)*coupl(nGC_23)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3274) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_67)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_3275) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_4)*coupl( &
                      nGC_67)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3276) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_71)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_3277) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_4)*coupl( &
                      nGC_71)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3278) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_65)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3279) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_69)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3280) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_81)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3281) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) + coupl(  &
                      nGC_1)*coupl(nGC_75)**2d0 + coupl(nGC_2)*coupl(nGC_73)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3282) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) + coupl(  &
                      nGC_1)*coupl(nGC_75)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_57)**2d0 + 4d0*coupl(    &
                      nGC_206)*coupl(nGC_23)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3283) = (coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_2)*coupl(nGC_79  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3284) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_53)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_78)*coupl(   &
                      nGC_80) + coupl(nGC_2)*coupl(nGC_79)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_3285) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_83)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_3286) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_4)*coupl( &
                      nGC_83)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3287) = (coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_2)*coupl(nGC_87  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3288) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_61)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_86)*coupl(   &
                      nGC_88) + coupl(nGC_2)*coupl(nGC_87)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_3289) = (4d0*Nc*coupl(nGC_34)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl( &
                      nGC_34)*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_34)*coupl( &
                      nGC_73)**2d0 - 4d0*Nc*coupl(nGC_35)*coupl(nGC_57)**2d0 - &
                      4d0*Nc*coupl(nGC_35)*coupl(nGC_77)**2d0 - 4d0*Nc*coupl(  &
                      nGC_35)*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl( &
                      nGC_57)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl(nGC_77)**2d0 + &
                      4d0*Nc*coupl(nGC_38)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(  &
                      nGC_39)*coupl(nGC_53)**2d0 - 4d0*Nc*coupl(nGC_39)*coupl( &
                      nGC_61)**2d0 - 4d0*Nc*coupl(nGC_39)*coupl(nGC_73)**2d0 + &
                      coupl(nGC_1114)*coupl(nGC_1250)*coupl(nGC_1410) - 6d0*   &
                      coupl(nGC_1114)*coupl(nGC_22)*coupl(nGC_25) - 6d0*coupl( &
                      nGC_1126)*coupl(nGC_20)*coupl(nGC_25) + coupl(nGC_1422)**&
                      2d0*coupl(nGC_40) + coupl(nGC_202)**2d0*coupl(nGC_40) +  &
                      coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_37) + 4d0*coupl(   &
                      nGC_36)*coupl(nGC_65)**2d0 + 4d0*coupl(nGC_36)*coupl(    &
                      nGC_69)**2d0 + 4d0*coupl(nGC_36)*coupl(nGC_81)**2d0 - 4d0&
                      *coupl(nGC_41)*coupl(nGC_65)**2d0 - 4d0*coupl(nGC_41)*   &
                      coupl(nGC_69)**2d0 - 4d0*coupl(nGC_41)*coupl(nGC_81)**2d0&
                      )/(96d0*pi**2d0)
    coupl(nGC_9872) = -coupl(nGC_3289)
    coupl(nGC_3290) = (4d0*Nc*cMB*coupl(nGC_53)**2d0*coupl(nGC_55) + 4d0*Nc*cMB&
                      *coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*cMB* &
                      coupl(nGC_55)*coupl(nGC_77)**2d0 + 4d0*Nc*cMC*coupl(     &
                      nGC_57)**2d0*coupl(nGC_59) + 4d0*Nc*cMC*coupl(nGC_57)*   &
                      coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*cMC*coupl(nGC_59)*  &
                      coupl(nGC_73)**2d0 + 4d0*Nc*cMD*coupl(nGC_61)**2d0*coupl(&
                      nGC_63) + 4d0*Nc*cMD*coupl(nGC_61)*coupl(nGC_85)*coupl(  &
                      nGC_87) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_85)**2d0 +  &
                      4d0*Nc*cMS*coupl(nGC_57)**2d0*coupl(nGC_75) + 4d0*Nc*cMS*&
                      coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) + 4d0*Nc*cMS*  &
                      coupl(nGC_73)**2d0*coupl(nGC_75) + 4d0*Nc*cMT*coupl(     &
                      nGC_53)**2d0*coupl(nGC_79) + 4d0*Nc*cMT*coupl(nGC_53)*   &
                      coupl(nGC_55)*coupl(nGC_77) + 4d0*Nc*cMT*coupl(nGC_77)** &
                      2d0*coupl(nGC_79) + 4d0*Nc*cMU*coupl(nGC_61)**2d0*coupl( &
                      nGC_87) + 4d0*Nc*cMU*coupl(nGC_61)*coupl(nGC_63)*coupl(  &
                      nGC_85) + 4d0*Nc*cMU*coupl(nGC_85)**2d0*coupl(nGC_87) +  &
                      4d0*cME*coupl(nGC_65)**2d0*coupl(nGC_67) + 4d0*cMM*coupl(&
                      nGC_69)**2d0*coupl(nGC_71) + 4d0*cMTA*coupl(nGC_81)**2d0*&
                      coupl(nGC_83) + 4d0*cima*coupl(nGC_17)*coupl(nGC_50) +   &
                      8d0*cima*coupl(nGC_27)*coupl(nGC_51) + 2d0*cima*coupl(   &
                      nGC_45)*coupl(nGC_52) + 8d0*cima*coupl(nGC_47)*coupl(    &
                      nGC_8) + coupl(nGC_1114)*coupl(nGC_22)*coupl(nGC_48) -   &
                      coupl(nGC_1114)*coupl(nGC_22)*coupl(nGC_50) - coupl(     &
                      nGC_1114)*coupl(nGC_37)*coupl(nGC_47) + coupl(nGC_1126)* &
                      coupl(nGC_1250)*coupl(nGC_48) - coupl(nGC_1126)*coupl(   &
                      nGC_20)*coupl(nGC_50) - coupl(nGC_1250)*coupl(nGC_1422)* &
                      coupl(nGC_47) - coupl(nGC_1250)*coupl(nGC_202)*coupl(    &
                      nGC_51) + coupl(nGC_1250)*coupl(nGC_21)*coupl(nGC_49) -  &
                      coupl(nGC_1410)*coupl(nGC_22)*coupl(nGC_47) + coupl(     &
                      nGC_1422)**2d0*coupl(nGC_48) - coupl(nGC_1422)*coupl(    &
                      nGC_21)*coupl(nGC_47) + coupl(nGC_20)*coupl(nGC_21)*coupl&
                      (nGC_48) + coupl(nGC_202)**2d0*coupl(nGC_48) - coupl(    &
                      nGC_202)*coupl(nGC_21)*coupl(nGC_51) - coupl(nGC_40)**2d0&
                      *coupl(nGC_52))/(32d0*pi**2d0)
    coupl(nGC_3291) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_54) + 4d0*&
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_58) - 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_62) - 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_74) + 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_78) + 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_86) - 6d0*coupl(nGC_1114)*coupl( &
                      nGC_25)*coupl(nGC_40) - 6d0*coupl(nGC_1114)*coupl(nGC_3)*&
                      coupl(nGC_4) + coupl(nGC_1250)**2d0*coupl(nGC_22) - 6d0* &
                      coupl(nGC_1410)*coupl(nGC_20)*coupl(nGC_220) + coupl(    &
                      nGC_1422)*coupl(nGC_20)*coupl(nGC_37) + coupl(nGC_22)**  &
                      3d0 - 4d0*coupl(nGC_23)*coupl(nGC_65)*coupl(nGC_66) - 4d0&
                      *coupl(nGC_23)*coupl(nGC_69)*coupl(nGC_70) - 4d0*coupl(  &
                      nGC_23)*coupl(nGC_81)*coupl(nGC_82))/(96d0*pi**2d0)
    coupl(nGC_9885) = -coupl(nGC_3291)
    coupl(nGC_3292) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) + 4d0*&
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) - 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) - 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_1114)*coupl(     &
                      nGC_1410)*coupl(nGC_1422) - 6d0*coupl(nGC_1114)*coupl(   &
                      nGC_220)*coupl(nGC_37) + coupl(nGC_1126)*coupl(nGC_1250  &
                      )**2d0 + coupl(nGC_1126)*coupl(nGC_22)**2d0 - 6d0*coupl( &
                      nGC_20)*coupl(nGC_25)*coupl(nGC_40) - 6d0*coupl(nGC_20)* &
                      coupl(nGC_3)*coupl(nGC_4) - 4d0*coupl(nGC_23)*coupl(     &
                      nGC_65)*coupl(nGC_67) - 4d0*coupl(nGC_23)*coupl(nGC_69)* &
                      coupl(nGC_71) - 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(   &
                      nGC_83))/(96d0*pi**2d0)
    coupl(nGC_9892) = -coupl(nGC_3292)
    coupl(nGC_3293) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) -  &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -   &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +   &
                      2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0* &
                      cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME* &
                      coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*coupl&
                      (nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*coupl(     &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*coupl(    &
                      nGC_19)*coupl(nGC_47) + 4d0*cima*coupl(nGC_194)*coupl(   &
                      nGC_51) - coupl(nGC_1250)*coupl(nGC_25)*coupl(nGC_52) -  &
                      coupl(nGC_1422)*coupl(nGC_220)*coupl(nGC_47) - coupl(    &
                      nGC_20)*coupl(nGC_25)*coupl(nGC_50) - coupl(nGC_202)*    &
                      coupl(nGC_206)*coupl(nGC_47) + 6d0*coupl(nGC_206)*coupl( &
                      nGC_25)*coupl(nGC_51) + 6d0*coupl(nGC_220)*coupl(nGC_25)*&
                      coupl(nGC_47))/(32d0*pi**2d0)
    coupl(nGC_3294) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77) - coupl(    &
                      nGC_1)*coupl(nGC_202)*coupl(nGC_77) - coupl(nGC_1250)*   &
                      coupl(nGC_23)*coupl(nGC_79) - coupl(nGC_1422)*coupl(     &
                      nGC_38)*coupl(nGC_77) - coupl(nGC_2)*coupl(nGC_4)*coupl( &
                      nGC_77) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_80) + 8d0&
                      *coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77) - coupl(nGC_35&
                      )*coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_53)*coupl(     &
                      nGC_54)*coupl(nGC_80) - coupl(nGC_53)*coupl(nGC_55)*coupl&
                      (nGC_79))/(32d0*pi**2d0)
    coupl(nGC_3295) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53) - coupl(    &
                      nGC_1)*coupl(nGC_202)*coupl(nGC_53) - coupl(nGC_1114)*   &
                      coupl(nGC_23)*coupl(nGC_56) - coupl(nGC_1422)*coupl(     &
                      nGC_34)*coupl(nGC_53) - coupl(nGC_2)*coupl(nGC_4)*coupl( &
                      nGC_53) - coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_55) + 8d0&
                      *coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53) - coupl(nGC_39&
                      )*coupl(nGC_40)*coupl(nGC_53) - coupl(nGC_55)*coupl(     &
                      nGC_77)*coupl(nGC_79) - coupl(nGC_56)*coupl(nGC_77)*coupl&
                      (nGC_78))/(32d0*pi**2d0)
    coupl(nGC_3296) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_57) + coupl(nGC_1114)*coupl&
                      (nGC_23)*coupl(nGC_60) + coupl(nGC_1422)*coupl(nGC_35)*  &
                      coupl(nGC_57) + coupl(nGC_2)*coupl(nGC_202)*coupl(nGC_57 &
                      ) + coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_59) + 8d0*coupl&
                      (nGC_35)*coupl(nGC_38)*coupl(nGC_57) + coupl(nGC_38)*    &
                      coupl(nGC_40)*coupl(nGC_57) - coupl(nGC_59)*coupl(nGC_73 &
                      )*coupl(nGC_75) - coupl(nGC_60)*coupl(nGC_73)*coupl(     &
                      nGC_74))/(32d0*pi**2d0)
    coupl(nGC_3298) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_73) + coupl(nGC_1250)*coupl&
                      (nGC_23)*coupl(nGC_75) + coupl(nGC_1422)*coupl(nGC_39)*  &
                      coupl(nGC_73) + coupl(nGC_2)*coupl(nGC_202)*coupl(nGC_73 &
                      ) + coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_76) + 8d0*coupl&
                      (nGC_34)*coupl(nGC_39)*coupl(nGC_73) + coupl(nGC_34)*    &
                      coupl(nGC_40)*coupl(nGC_73) - coupl(nGC_57)*coupl(nGC_58 &
                      )*coupl(nGC_76) - coupl(nGC_57)*coupl(nGC_59)*coupl(     &
                      nGC_75))/(32d0*pi**2d0)
    coupl(nGC_3297) = coupl(nGC_11)**2d0*coupl(nGC_57)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3299) = coupl(nGC_11)**2d0*coupl(nGC_73)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3300) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61) - coupl(    &
                      nGC_1)*coupl(nGC_202)*coupl(nGC_61) - coupl(nGC_1114)*   &
                      coupl(nGC_23)*coupl(nGC_64) - coupl(nGC_1422)*coupl(     &
                      nGC_34)*coupl(nGC_61) - coupl(nGC_2)*coupl(nGC_4)*coupl( &
                      nGC_61) - coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_63) + 8d0&
                      *coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61) - coupl(nGC_39&
                      )*coupl(nGC_40)*coupl(nGC_61) - coupl(nGC_63)*coupl(     &
                      nGC_85)*coupl(nGC_87) - coupl(nGC_64)*coupl(nGC_85)*coupl&
                      (nGC_86))/(32d0*pi**2d0)
    coupl(nGC_3302) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) - coupl(    &
                      nGC_1)*coupl(nGC_202)*coupl(nGC_85) - coupl(nGC_1250)*   &
                      coupl(nGC_23)*coupl(nGC_87) - coupl(nGC_1422)*coupl(     &
                      nGC_38)*coupl(nGC_85) - coupl(nGC_2)*coupl(nGC_4)*coupl( &
                      nGC_85) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_88) + 8d0&
                      *coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85) - coupl(nGC_35&
                      )*coupl(nGC_40)*coupl(nGC_85) - coupl(nGC_61)*coupl(     &
                      nGC_62)*coupl(nGC_88) - coupl(nGC_61)*coupl(nGC_63)*coupl&
                      (nGC_87))/(32d0*pi**2d0)
    coupl(nGC_3301) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3303) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3304) = (-coupl(nGC_1114)*coupl(nGC_23)*coupl(nGC_68) - coupl(   &
                      nGC_1422)*coupl(nGC_36)*coupl(nGC_65) - coupl(nGC_20)*   &
                      coupl(nGC_23)*coupl(nGC_67) - coupl(nGC_202)*coupl(nGC_4 &
                      )*coupl(nGC_65) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl( &
                      nGC_65) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_65))/(   &
                      32d0*pi**2d0)
    coupl(nGC_3305) = (-coupl(nGC_1114)*coupl(nGC_23)*coupl(nGC_72) - coupl(   &
                      nGC_1422)*coupl(nGC_36)*coupl(nGC_69) - coupl(nGC_20)*   &
                      coupl(nGC_23)*coupl(nGC_71) - coupl(nGC_202)*coupl(nGC_4 &
                      )*coupl(nGC_69) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl( &
                      nGC_69) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_69))/(   &
                      32d0*pi**2d0)
    coupl(nGC_3306) = (coupl(nGC_1250)*coupl(nGC_23)*coupl(nGC_83) + coupl(    &
                      nGC_1422)*coupl(nGC_41)*coupl(nGC_81) + coupl(nGC_22)*   &
                      coupl(nGC_23)*coupl(nGC_84) + coupl(nGC_36)*coupl(nGC_40 &
                      )*coupl(nGC_81) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl( &
                      nGC_81) + coupl(nGC_4)**2d0*coupl(nGC_81))/(32d0*pi**2d0)
    coupl(nGC_3307) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_56) - 4d0* &
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_60) + 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_64) + 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_76) - 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_80) - 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_88) - 6d0*coupl(nGC_1114)*coupl( &
                      nGC_1422)*coupl(nGC_220) - 6d0*coupl(nGC_1114)*coupl(    &
                      nGC_202)*coupl(nGC_206) + coupl(nGC_1126)**2d0*coupl(    &
                      nGC_22) - 6d0*coupl(nGC_1410)*coupl(nGC_21)*coupl(nGC_25 &
                      ) + coupl(nGC_21)*coupl(nGC_37)*coupl(nGC_40) + coupl(   &
                      nGC_22)**3d0 + 4d0*coupl(nGC_23)*coupl(nGC_65)*coupl(    &
                      nGC_68) + 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(nGC_72   &
                      ) + 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_84))/(96d0*&
                      pi**2d0)
    coupl(nGC_9983) = -coupl(nGC_3307)
    coupl(nGC_3308) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) - 4d0* &
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_75) - 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_79) - 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_1114)*coupl(     &
                      nGC_1410)*coupl(nGC_40) - 6d0*coupl(nGC_1114)*coupl(     &
                      nGC_25)*coupl(nGC_37) + coupl(nGC_1126)**2d0*coupl(      &
                      nGC_1250) + coupl(nGC_1250)*coupl(nGC_22)**2d0 - 6d0*    &
                      coupl(nGC_1422)*coupl(nGC_21)*coupl(nGC_220) - 6d0*coupl(&
                      nGC_202)*coupl(nGC_206)*coupl(nGC_21) + 4d0*coupl(nGC_23 &
                      )*coupl(nGC_65)*coupl(nGC_67) + 4d0*coupl(nGC_23)*coupl( &
                      nGC_69)*coupl(nGC_71) + 4d0*coupl(nGC_23)*coupl(nGC_81)* &
                      coupl(nGC_83))/(96d0*pi**2d0)
    coupl(nGC_9989) = -coupl(nGC_3308)
    coupl(nGC_3309) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) -  &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -   &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +   &
                      2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0* &
                      cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME* &
                      coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*coupl&
                      (nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*coupl(     &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*coupl(    &
                      nGC_19)*coupl(nGC_47) + 4d0*cima*coupl(nGC_194)*coupl(   &
                      nGC_51) - coupl(nGC_1126)*coupl(nGC_220)*coupl(nGC_52) - &
                      coupl(nGC_21)*coupl(nGC_220)*coupl(nGC_50) + 6d0*coupl(  &
                      nGC_220)*coupl(nGC_25)*coupl(nGC_47) + 6d0*coupl(nGC_220 &
                      )*coupl(nGC_3)*coupl(nGC_51) - coupl(nGC_25)*coupl(nGC_40&
                      )*coupl(nGC_47) - coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_47 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3310) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_53) + coupl(nGC_1114)*coupl&
                      (nGC_23)*coupl(nGC_54) + coupl(nGC_1422)*coupl(nGC_39)*  &
                      coupl(nGC_53) + coupl(nGC_2)*coupl(nGC_202)*coupl(nGC_53 &
                      ) + coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_55) + 8d0*coupl&
                      (nGC_34)*coupl(nGC_39)*coupl(nGC_53) + coupl(nGC_34)*    &
                      coupl(nGC_40)*coupl(nGC_53) - coupl(nGC_54)*coupl(nGC_77 &
                      )*coupl(nGC_80) - coupl(nGC_55)*coupl(nGC_77)*coupl(     &
                      nGC_79))/(32d0*pi**2d0)
    coupl(nGC_3311) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_77) + coupl(nGC_1126)*coupl&
                      (nGC_23)*coupl(nGC_79) + coupl(nGC_1422)*coupl(nGC_35)*  &
                      coupl(nGC_77) + coupl(nGC_2)*coupl(nGC_202)*coupl(nGC_77 &
                      ) + coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_78) + 8d0*coupl&
                      (nGC_35)*coupl(nGC_38)*coupl(nGC_77) + coupl(nGC_38)*    &
                      coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_53)*coupl(nGC_55 &
                      )*coupl(nGC_79) - coupl(nGC_53)*coupl(nGC_56)*coupl(     &
                      nGC_78))/(32d0*pi**2d0)
    coupl(nGC_3312) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57) - coupl(    &
                      nGC_1)*coupl(nGC_202)*coupl(nGC_57) - coupl(nGC_1114)*   &
                      coupl(nGC_23)*coupl(nGC_58) - coupl(nGC_1422)*coupl(     &
                      nGC_38)*coupl(nGC_57) - coupl(nGC_2)*coupl(nGC_4)*coupl( &
                      nGC_57) - coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_59) + 8d0&
                      *coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57) - coupl(nGC_35&
                      )*coupl(nGC_40)*coupl(nGC_57) - coupl(nGC_58)*coupl(     &
                      nGC_73)*coupl(nGC_76) - coupl(nGC_59)*coupl(nGC_73)*coupl&
                      (nGC_75))/(32d0*pi**2d0)
    coupl(nGC_3313) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73) - coupl(    &
                      nGC_1)*coupl(nGC_202)*coupl(nGC_73) - coupl(nGC_1126)*   &
                      coupl(nGC_23)*coupl(nGC_75) - coupl(nGC_1422)*coupl(     &
                      nGC_34)*coupl(nGC_73) - coupl(nGC_2)*coupl(nGC_4)*coupl( &
                      nGC_73) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_74) + 8d0&
                      *coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73) - coupl(nGC_39&
                      )*coupl(nGC_40)*coupl(nGC_73) - coupl(nGC_57)*coupl(     &
                      nGC_59)*coupl(nGC_75) - coupl(nGC_57)*coupl(nGC_60)*coupl&
                      (nGC_74))/(32d0*pi**2d0)
    coupl(nGC_3314) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_61) + coupl(nGC_1114)*coupl&
                      (nGC_23)*coupl(nGC_62) + coupl(nGC_1422)*coupl(nGC_39)*  &
                      coupl(nGC_61) + coupl(nGC_2)*coupl(nGC_202)*coupl(nGC_61 &
                      ) + coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_63) + 8d0*coupl&
                      (nGC_34)*coupl(nGC_39)*coupl(nGC_61) + coupl(nGC_34)*    &
                      coupl(nGC_40)*coupl(nGC_61) - coupl(nGC_62)*coupl(nGC_85 &
                      )*coupl(nGC_88) - coupl(nGC_63)*coupl(nGC_85)*coupl(     &
                      nGC_87))/(32d0*pi**2d0)
    coupl(nGC_3315) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_85) + coupl(nGC_1126)*coupl&
                      (nGC_23)*coupl(nGC_87) + coupl(nGC_1422)*coupl(nGC_35)*  &
                      coupl(nGC_85) + coupl(nGC_2)*coupl(nGC_202)*coupl(nGC_85 &
                      ) + coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_86) + 8d0*coupl&
                      (nGC_35)*coupl(nGC_38)*coupl(nGC_85) + coupl(nGC_38)*    &
                      coupl(nGC_40)*coupl(nGC_85) - coupl(nGC_61)*coupl(nGC_63 &
                      )*coupl(nGC_87) - coupl(nGC_61)*coupl(nGC_64)*coupl(     &
                      nGC_86))/(32d0*pi**2d0)
    coupl(nGC_3316) = (coupl(nGC_1114)*coupl(nGC_23)*coupl(nGC_66) + coupl(    &
                      nGC_1422)*coupl(nGC_41)*coupl(nGC_65) + coupl(nGC_21)*   &
                      coupl(nGC_23)*coupl(nGC_67) + coupl(nGC_36)*coupl(nGC_40 &
                      )*coupl(nGC_65) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl( &
                      nGC_65) + coupl(nGC_4)**2d0*coupl(nGC_65))/(32d0*pi**2d0)
    coupl(nGC_3317) = (coupl(nGC_1114)*coupl(nGC_23)*coupl(nGC_70) + coupl(    &
                      nGC_1422)*coupl(nGC_41)*coupl(nGC_69) + coupl(nGC_21)*   &
                      coupl(nGC_23)*coupl(nGC_71) + coupl(nGC_36)*coupl(nGC_40 &
                      )*coupl(nGC_69) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl( &
                      nGC_69) + coupl(nGC_4)**2d0*coupl(nGC_69))/(32d0*pi**2d0)
    coupl(nGC_3318) = (-coupl(nGC_1126)*coupl(nGC_23)*coupl(nGC_83) - coupl(   &
                      nGC_1422)*coupl(nGC_36)*coupl(nGC_81) - coupl(nGC_202)*  &
                      coupl(nGC_4)*coupl(nGC_81) - coupl(nGC_22)*coupl(nGC_23)*&
                      coupl(nGC_82) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(   &
                      nGC_81) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_81))/(   &
                      32d0*pi**2d0)
    coupl(nGC_3319) = (4d0*Nc*cMB*coupl(nGC_54)**2d0*coupl(nGC_55) + 16d0*Nc*  &
                      cMB*coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*  &
                      cMB*coupl(nGC_55)*coupl(nGC_56)**2d0 + 4d0*Nc*cMC*coupl( &
                      nGC_58)**2d0*coupl(nGC_59) + 16d0*Nc*cMC*coupl(nGC_58)*  &
                      coupl(nGC_59)*coupl(nGC_60) + 4d0*Nc*cMC*coupl(nGC_59)*  &
                      coupl(nGC_60)**2d0 + 4d0*Nc*cMD*coupl(nGC_62)**2d0*coupl(&
                      nGC_63) + 16d0*Nc*cMD*coupl(nGC_62)*coupl(nGC_63)*coupl( &
                      nGC_64) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_64)**2d0 +  &
                      4d0*Nc*cMS*coupl(nGC_74)**2d0*coupl(nGC_75) + 16d0*Nc*cMS&
                      *coupl(nGC_74)*coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*cMS* &
                      coupl(nGC_75)*coupl(nGC_76)**2d0 + 4d0*Nc*cMT*coupl(     &
                      nGC_78)**2d0*coupl(nGC_79) + 16d0*Nc*cMT*coupl(nGC_78)*  &
                      coupl(nGC_79)*coupl(nGC_80) + 4d0*Nc*cMT*coupl(nGC_79)*  &
                      coupl(nGC_80)**2d0 + 4d0*Nc*cMU*coupl(nGC_86)**2d0*coupl(&
                      nGC_87) + 16d0*Nc*cMU*coupl(nGC_86)*coupl(nGC_87)*coupl( &
                      nGC_88) + 4d0*Nc*cMU*coupl(nGC_87)*coupl(nGC_88)**2d0 +  &
                      4d0*cME*coupl(nGC_66)**2d0*coupl(nGC_67) + 16d0*cME*coupl&
                      (nGC_66)*coupl(nGC_67)*coupl(nGC_68) + 4d0*cME*coupl(    &
                      nGC_67)*coupl(nGC_68)**2d0 + 4d0*cMM*coupl(nGC_70)**2d0* &
                      coupl(nGC_71) + 16d0*cMM*coupl(nGC_70)*coupl(nGC_71)*    &
                      coupl(nGC_72) + 4d0*cMM*coupl(nGC_71)*coupl(nGC_72)**2d0 &
                       + 4d0*cMTA*coupl(nGC_82)**2d0*coupl(nGC_83) + 16d0*cMTA*&
                      coupl(nGC_82)*coupl(nGC_83)*coupl(nGC_84) + 4d0*cMTA*    &
                      coupl(nGC_83)*coupl(nGC_84)**2d0 + 4d0*cima*coupl(nGC_17 &
                      )*coupl(nGC_50) + 2d0*cima*coupl(nGC_46)*coupl(nGC_52) + &
                      2d0*coupl(nGC_1114)*coupl(nGC_22)*coupl(nGC_48) - 2d0*   &
                      coupl(nGC_1114)*coupl(nGC_22)*coupl(nGC_50) + coupl(     &
                      nGC_1410)**2d0*coupl(nGC_48) + coupl(nGC_1410)*coupl(    &
                      nGC_37)*coupl(nGC_49) - coupl(nGC_1410)*coupl(nGC_37)*   &
                      coupl(nGC_52) + coupl(nGC_37)**2d0*coupl(nGC_48))/(32d0* &
                      pi**2d0)
    coupl(nGC_3320) = (-4d0*Nc*coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_55) + 4d0*&
                      Nc*coupl(nGC_34)*coupl(nGC_55)*coupl(nGC_56) - 4d0*Nc*   &
                      coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_63) + 4d0*Nc*coupl(&
                      nGC_34)*coupl(nGC_63)*coupl(nGC_64) - 4d0*Nc*coupl(nGC_34&
                      )*coupl(nGC_74)*coupl(nGC_75) + 4d0*Nc*coupl(nGC_34)*    &
                      coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*coupl(nGC_35)*coupl(&
                      nGC_58)*coupl(nGC_59) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_59&
                      )*coupl(nGC_60) + 4d0*Nc*coupl(nGC_35)*coupl(nGC_78)*    &
                      coupl(nGC_79) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_79)*coupl(&
                      nGC_80) + 4d0*Nc*coupl(nGC_35)*coupl(nGC_86)*coupl(nGC_87&
                      ) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_87)*coupl(nGC_88) +   &
                      4d0*Nc*coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_55) - 4d0*Nc&
                      *coupl(nGC_38)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*coupl&
                      (nGC_38)*coupl(nGC_62)*coupl(nGC_63) - 4d0*Nc*coupl(     &
                      nGC_38)*coupl(nGC_63)*coupl(nGC_64) + 4d0*Nc*coupl(nGC_38&
                      )*coupl(nGC_74)*coupl(nGC_75) - 4d0*Nc*coupl(nGC_38)*    &
                      coupl(nGC_75)*coupl(nGC_76) - 4d0*Nc*coupl(nGC_39)*coupl(&
                      nGC_58)*coupl(nGC_59) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_59&
                      )*coupl(nGC_60) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_78)*    &
                      coupl(nGC_79) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_79)*coupl(&
                      nGC_80) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_87&
                      ) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_87)*coupl(nGC_88) +   &
                      coupl(nGC_1114)*coupl(nGC_1126)*coupl(nGC_1422) + coupl( &
                      nGC_1114)*coupl(nGC_1250)*coupl(nGC_40) + coupl(nGC_1410 &
                      )**3d0 - 6d0*coupl(nGC_20)*coupl(nGC_22)*coupl(nGC_220   &
                      ) - 6d0*coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_25) - 4d0* &
                      coupl(nGC_36)*coupl(nGC_66)*coupl(nGC_67) + 4d0*coupl(   &
                      nGC_36)*coupl(nGC_67)*coupl(nGC_68) - 4d0*coupl(nGC_36)* &
                      coupl(nGC_70)*coupl(nGC_71) + 4d0*coupl(nGC_36)*coupl(   &
                      nGC_71)*coupl(nGC_72) - 4d0*coupl(nGC_36)*coupl(nGC_82)* &
                      coupl(nGC_83) + 4d0*coupl(nGC_36)*coupl(nGC_83)*coupl(   &
                      nGC_84) + 4d0*coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_67   &
                      ) - 4d0*coupl(nGC_40)*coupl(nGC_67)*coupl(nGC_68) + 4d0* &
                      coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_71) - 4d0*coupl(   &
                      nGC_40)*coupl(nGC_71)*coupl(nGC_72) + 4d0*coupl(nGC_40)* &
                      coupl(nGC_82)*coupl(nGC_83) - 4d0*coupl(nGC_40)*coupl(   &
                      nGC_83)*coupl(nGC_84))/(96d0*pi**2d0)
    coupl(nGC_10083) = -coupl(nGC_3320)
    coupl(nGC_3321) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_56) - coupl(nGC_1410)*  &
                      coupl(nGC_34)*coupl(nGC_55) - coupl(nGC_22)*coupl(nGC_23 &
                      )*coupl(nGC_53) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_56) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_55) -    &
                      coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_80) - coupl(nGC_54 &
                      )*coupl(nGC_55)**2d0 - coupl(nGC_54)*coupl(nGC_56)**2d0  &
                      )/(32d0*pi**2d0)
    coupl(nGC_3323) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_54) - coupl(nGC_1114)*  &
                      coupl(nGC_23)*coupl(nGC_53) - coupl(nGC_1410)*coupl(     &
                      nGC_38)*coupl(nGC_55) - coupl(nGC_34)*coupl(nGC_37)*coupl&
                      (nGC_55) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_54  &
                      ) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_78) - coupl(   &
                      nGC_54)**2d0*coupl(nGC_56) - coupl(nGC_55)**2d0*coupl(   &
                      nGC_56))/(32d0*pi**2d0)
    coupl(nGC_3322) = coupl(nGC_11)**2d0*coupl(nGC_56)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3324) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3325) = (-coupl(nGC_1410)*coupl(nGC_35)*coupl(nGC_59) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_58) - coupl(nGC_22)*coupl(nGC_23)*&
                      coupl(nGC_57) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(   &
                      nGC_58) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_59) -    &
                      coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_74) - coupl(nGC_58 &
                      )**2d0*coupl(nGC_60) - coupl(nGC_59)**2d0*coupl(nGC_60   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3327) = (-coupl(nGC_1114)*coupl(nGC_23)*coupl(nGC_57) - coupl(   &
                      nGC_1410)*coupl(nGC_39)*coupl(nGC_59) + 8d0*coupl(nGC_2  &
                      )**2d0*coupl(nGC_60) - coupl(nGC_35)*coupl(nGC_37)*coupl(&
                      nGC_59) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_60   &
                      ) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_76) - coupl(   &
                      nGC_58)*coupl(nGC_59)**2d0 - coupl(nGC_58)*coupl(nGC_60  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3326) = coupl(nGC_11)**2d0*coupl(nGC_58)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3328) = coupl(nGC_11)**2d0*coupl(nGC_60)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3329) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_64) - coupl(nGC_1410)*  &
                      coupl(nGC_34)*coupl(nGC_63) - coupl(nGC_22)*coupl(nGC_23 &
                      )*coupl(nGC_61) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_64) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_63) -    &
                      coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_62 &
                      )*coupl(nGC_63)**2d0 - coupl(nGC_62)*coupl(nGC_64)**2d0  &
                      )/(32d0*pi**2d0)
    coupl(nGC_3331) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_62) - coupl(nGC_1114)*  &
                      coupl(nGC_23)*coupl(nGC_61) - coupl(nGC_1410)*coupl(     &
                      nGC_38)*coupl(nGC_63) - coupl(nGC_34)*coupl(nGC_37)*coupl&
                      (nGC_63) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_62  &
                      ) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_86) - coupl(   &
                      nGC_62)**2d0*coupl(nGC_64) - coupl(nGC_63)**2d0*coupl(   &
                      nGC_64))/(32d0*pi**2d0)
    coupl(nGC_3330) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3332) = coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3333) = (coupl(nGC_1410)*coupl(nGC_36)*coupl(nGC_67) + coupl(    &
                      nGC_22)*coupl(nGC_23)*coupl(nGC_65) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_66) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_66) -  &
                      coupl(nGC_66)**2d0*coupl(nGC_68) - coupl(nGC_67)**2d0*   &
                      coupl(nGC_68))/(32d0*pi**2d0)
    coupl(nGC_3334) = (coupl(nGC_1114)*coupl(nGC_23)*coupl(nGC_65) + coupl(    &
                      nGC_1410)*coupl(nGC_40)*coupl(nGC_67) + coupl(nGC_36)*   &
                      coupl(nGC_37)*coupl(nGC_67) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_68) - coupl(nGC_66)*coupl(nGC_67)**2d0 - coupl(nGC_66&
                      )*coupl(nGC_68)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3335) = (coupl(nGC_1410)*coupl(nGC_36)*coupl(nGC_71) + coupl(    &
                      nGC_22)*coupl(nGC_23)*coupl(nGC_69) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_70) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_70) -  &
                      coupl(nGC_70)**2d0*coupl(nGC_72) - coupl(nGC_71)**2d0*   &
                      coupl(nGC_72))/(32d0*pi**2d0)
    coupl(nGC_3336) = (coupl(nGC_1114)*coupl(nGC_23)*coupl(nGC_69) + coupl(    &
                      nGC_1410)*coupl(nGC_40)*coupl(nGC_71) + coupl(nGC_36)*   &
                      coupl(nGC_37)*coupl(nGC_71) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_72) - coupl(nGC_70)*coupl(nGC_71)**2d0 - coupl(nGC_70&
                      )*coupl(nGC_72)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3337) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_76) - coupl(nGC_1410)*  &
                      coupl(nGC_34)*coupl(nGC_75) - coupl(nGC_22)*coupl(nGC_23 &
                      )*coupl(nGC_73) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_76) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_75) -    &
                      coupl(nGC_57)*coupl(nGC_60)*coupl(nGC_73) - coupl(nGC_74 &
                      )*coupl(nGC_75)**2d0 - coupl(nGC_74)*coupl(nGC_76)**2d0  &
                      )/(32d0*pi**2d0)
    coupl(nGC_3339) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_74) - coupl(nGC_1114)*  &
                      coupl(nGC_23)*coupl(nGC_73) - coupl(nGC_1410)*coupl(     &
                      nGC_38)*coupl(nGC_75) - coupl(nGC_34)*coupl(nGC_37)*coupl&
                      (nGC_75) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_74  &
                      ) - coupl(nGC_57)*coupl(nGC_58)*coupl(nGC_73) - coupl(   &
                      nGC_74)**2d0*coupl(nGC_76) - coupl(nGC_75)**2d0*coupl(   &
                      nGC_76))/(32d0*pi**2d0)
    coupl(nGC_3338) = coupl(nGC_11)**2d0*coupl(nGC_76)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3340) = coupl(nGC_11)**2d0*coupl(nGC_74)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3341) = (-coupl(nGC_1114)*coupl(nGC_23)*coupl(nGC_77) - coupl(   &
                      nGC_1410)*coupl(nGC_39)*coupl(nGC_79) + 8d0*coupl(nGC_2  &
                      )**2d0*coupl(nGC_80) - coupl(nGC_35)*coupl(nGC_37)*coupl(&
                      nGC_79) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_80   &
                      ) - coupl(nGC_53)*coupl(nGC_56)*coupl(nGC_77) - coupl(   &
                      nGC_78)*coupl(nGC_79)**2d0 - coupl(nGC_78)*coupl(nGC_80  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3342) = (-coupl(nGC_1410)*coupl(nGC_35)*coupl(nGC_79) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_78) - coupl(nGC_22)*coupl(nGC_23)*&
                      coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(   &
                      nGC_78) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_79) -    &
                      coupl(nGC_53)*coupl(nGC_54)*coupl(nGC_77) - coupl(nGC_78 &
                      )**2d0*coupl(nGC_80) - coupl(nGC_79)**2d0*coupl(nGC_80   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3343) = (coupl(nGC_1410)*coupl(nGC_36)*coupl(nGC_83) + coupl(    &
                      nGC_22)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_82) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_82) -  &
                      coupl(nGC_82)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0*   &
                      coupl(nGC_84))/(32d0*pi**2d0)
    coupl(nGC_3344) = (coupl(nGC_1114)*coupl(nGC_23)*coupl(nGC_81) + coupl(    &
                      nGC_1410)*coupl(nGC_40)*coupl(nGC_83) + coupl(nGC_36)*   &
                      coupl(nGC_37)*coupl(nGC_83) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_84) - coupl(nGC_82)*coupl(nGC_83)**2d0 - coupl(nGC_82&
                      )*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3345) = (-coupl(nGC_1410)*coupl(nGC_35)*coupl(nGC_87) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_86) - coupl(nGC_22)*coupl(nGC_23)*&
                      coupl(nGC_85) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(   &
                      nGC_86) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_87) -    &
                      coupl(nGC_61)*coupl(nGC_62)*coupl(nGC_85) - coupl(nGC_86 &
                      )**2d0*coupl(nGC_88) - coupl(nGC_87)**2d0*coupl(nGC_88   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3347) = (-coupl(nGC_1114)*coupl(nGC_23)*coupl(nGC_85) - coupl(   &
                      nGC_1410)*coupl(nGC_39)*coupl(nGC_87) + 8d0*coupl(nGC_2  &
                      )**2d0*coupl(nGC_88) - coupl(nGC_35)*coupl(nGC_37)*coupl(&
                      nGC_87) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_88   &
                      ) - coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_85) - coupl(   &
                      nGC_86)*coupl(nGC_87)**2d0 - coupl(nGC_86)*coupl(nGC_88  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3346) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3348) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3349) = 3d0*(8d0*Nc*cMB*coupl(nGC_55)**3d0 + 8d0*Nc*cMC*coupl(   &
                      nGC_59)**3d0 + 8d0*Nc*cMD*coupl(nGC_63)**3d0 + 8d0*Nc*cMS&
                      *coupl(nGC_75)**3d0 + 8d0*Nc*cMT*coupl(nGC_79)**3d0 + 8d0&
                      *Nc*cMU*coupl(nGC_87)**3d0 + 8d0*cME*coupl(nGC_67)**3d0  &
                       + 8d0*cMM*coupl(nGC_71)**3d0 + 8d0*cMTA*coupl(nGC_83)** &
                      3d0 + 4d0*cima*coupl(nGC_17)*coupl(nGC_50) + 2d0*cima*   &
                      coupl(nGC_46)*coupl(nGC_52) + coupl(nGC_1126)*coupl(     &
                      nGC_20)*coupl(nGC_48) - coupl(nGC_1126)*coupl(nGC_20)*   &
                      coupl(nGC_50) + coupl(nGC_1250)*coupl(nGC_21)*coupl(     &
                      nGC_48) - coupl(nGC_1250)*coupl(nGC_21)*coupl(nGC_50) +  &
                      coupl(nGC_1410)*coupl(nGC_37)*coupl(nGC_48) - coupl(     &
                      nGC_1410)*coupl(nGC_37)*coupl(nGC_52))/(32d0*pi**2d0)
    coupl(nGC_3350) = (-4d0*Nc*cMB*coupl(nGC_23)**2d0*coupl(nGC_55) - 4d0*Nc*  &
                      cMC*coupl(nGC_23)**2d0*coupl(nGC_59) - 4d0*Nc*cMD*coupl( &
                      nGC_23)**2d0*coupl(nGC_63) - 4d0*Nc*cMS*coupl(nGC_23)**  &
                      2d0*coupl(nGC_75) - 4d0*Nc*cMT*coupl(nGC_23)**2d0*coupl( &
                      nGC_79) - 4d0*Nc*cMU*coupl(nGC_23)**2d0*coupl(nGC_87) -  &
                      4d0*cME*coupl(nGC_23)**2d0*coupl(nGC_67) - 4d0*cMM*coupl(&
                      nGC_23)**2d0*coupl(nGC_71) - 4d0*cMTA*coupl(nGC_23)**2d0*&
                      coupl(nGC_83) + 4d0*cima*coupl(nGC_18)*coupl(nGC_50) +   &
                      2d0*cima*coupl(nGC_198)*coupl(nGC_52) - coupl(nGC_1250)* &
                      coupl(nGC_206)*coupl(nGC_51) - coupl(nGC_1250)*coupl(    &
                      nGC_220)*coupl(nGC_47) + 6d0*coupl(nGC_206)**2d0*coupl(  &
                      nGC_50) - coupl(nGC_206)*coupl(nGC_21)*coupl(nGC_51) -   &
                      coupl(nGC_21)*coupl(nGC_220)*coupl(nGC_47) + 6d0*coupl(  &
                      nGC_220)**2d0*coupl(nGC_50) + 6d0*coupl(nGC_25)**2d0*    &
                      coupl(nGC_52))/(32d0*pi**2d0)
    coupl(nGC_3351) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_1126)*  &
                      coupl(nGC_23)*coupl(nGC_53) - coupl(nGC_1410)*coupl(     &
                      nGC_38)*coupl(nGC_56) - coupl(nGC_34)*coupl(nGC_37)*coupl&
                      (nGC_56) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55  &
                      ) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) - coupl(   &
                      nGC_55)**3d0 - coupl(nGC_55)*coupl(nGC_56)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3352) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_1410)*  &
                      coupl(nGC_34)*coupl(nGC_54) - coupl(nGC_20)*coupl(nGC_23 &
                      )*coupl(nGC_53) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_55) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_54) -    &
                      coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) - coupl(nGC_54 &
                      )**2d0*coupl(nGC_55) - coupl(nGC_55)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3353) = coupl(nGC_11)**2d0*coupl(nGC_55)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3354) = (-8d0*Nc*cMB*coupl(nGC_34)**2d0*coupl(nGC_55) + 8d0*Nc*  &
                      cMB*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55) - 8d0*Nc*  &
                      cMB*coupl(nGC_38)**2d0*coupl(nGC_55) - 8d0*Nc*cMC*coupl( &
                      nGC_35)**2d0*coupl(nGC_59) + 8d0*Nc*cMC*coupl(nGC_35)*   &
                      coupl(nGC_39)*coupl(nGC_59) - 8d0*Nc*cMC*coupl(nGC_39)** &
                      2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(nGC_34)**2d0*coupl( &
                      nGC_63) + 8d0*Nc*cMD*coupl(nGC_34)*coupl(nGC_38)*coupl(  &
                      nGC_63) - 8d0*Nc*cMD*coupl(nGC_38)**2d0*coupl(nGC_63) -  &
                      8d0*Nc*cMS*coupl(nGC_34)**2d0*coupl(nGC_75) + 8d0*Nc*cMS*&
                      coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75) - 8d0*Nc*cMS*  &
                      coupl(nGC_38)**2d0*coupl(nGC_75) - 8d0*Nc*cMT*coupl(     &
                      nGC_35)**2d0*coupl(nGC_79) + 8d0*Nc*cMT*coupl(nGC_35)*   &
                      coupl(nGC_39)*coupl(nGC_79) - 8d0*Nc*cMT*coupl(nGC_39)** &
                      2d0*coupl(nGC_79) - 8d0*Nc*cMU*coupl(nGC_35)**2d0*coupl( &
                      nGC_87) + 8d0*Nc*cMU*coupl(nGC_35)*coupl(nGC_39)*coupl(  &
                      nGC_87) - 8d0*Nc*cMU*coupl(nGC_39)**2d0*coupl(nGC_87) -  &
                      8d0*cME*coupl(nGC_36)**2d0*coupl(nGC_67) + 8d0*cME*coupl(&
                      nGC_36)*coupl(nGC_40)*coupl(nGC_67) - 8d0*cME*coupl(     &
                      nGC_40)**2d0*coupl(nGC_67) - 8d0*cMM*coupl(nGC_36)**2d0* &
                      coupl(nGC_71) + 8d0*cMM*coupl(nGC_36)*coupl(nGC_40)*coupl&
                      (nGC_71) - 8d0*cMM*coupl(nGC_40)**2d0*coupl(nGC_71) - 8d0&
                      *cMTA*coupl(nGC_36)**2d0*coupl(nGC_83) + 8d0*cMTA*coupl( &
                      nGC_36)*coupl(nGC_40)*coupl(nGC_83) - 8d0*cMTA*coupl(    &
                      nGC_40)**2d0*coupl(nGC_83) + 4d0*cima*coupl(nGC_198)*    &
                      coupl(nGC_50) - coupl(nGC_1126)*coupl(nGC_220)*coupl(    &
                      nGC_47) - coupl(nGC_1250)*coupl(nGC_25)*coupl(nGC_47) -  &
                      coupl(nGC_20)*coupl(nGC_220)*coupl(nGC_47) - coupl(nGC_21&
                      )*coupl(nGC_25)*coupl(nGC_47) + 6d0*coupl(nGC_220)**2d0* &
                      coupl(nGC_50) + 6d0*coupl(nGC_25)**2d0*coupl(nGC_50))/(  &
                      32d0*pi**2d0)
    coupl(nGC_3355) = (-coupl(nGC_1250)*coupl(nGC_23)*coupl(nGC_57) - coupl(   &
                      nGC_1410)*coupl(nGC_39)*coupl(nGC_58) + 8d0*coupl(nGC_2  &
                      )**2d0*coupl(nGC_59) - coupl(nGC_35)*coupl(nGC_37)*coupl(&
                      nGC_58) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_59   &
                      ) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) - coupl(   &
                      nGC_58)**2d0*coupl(nGC_59) - coupl(nGC_59)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3356) = (-coupl(nGC_1410)*coupl(nGC_35)*coupl(nGC_60) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_59) - coupl(nGC_21)*coupl(nGC_23)*&
                      coupl(nGC_57) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(   &
                      nGC_59) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_60) -    &
                      coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) - coupl(nGC_59 &
                      )**3d0 - coupl(nGC_59)*coupl(nGC_60)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3357) = coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3358) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_1126)*  &
                      coupl(nGC_23)*coupl(nGC_61) - coupl(nGC_1410)*coupl(     &
                      nGC_38)*coupl(nGC_64) - coupl(nGC_34)*coupl(nGC_37)*coupl&
                      (nGC_64) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_63  &
                      ) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) - coupl(   &
                      nGC_63)**3d0 - coupl(nGC_63)*coupl(nGC_64)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3359) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_1410)*  &
                      coupl(nGC_34)*coupl(nGC_62) - coupl(nGC_20)*coupl(nGC_23 &
                      )*coupl(nGC_61) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_63) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_62) -    &
                      coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_62 &
                      )**2d0*coupl(nGC_63) - coupl(nGC_63)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3360) = coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3361) = (coupl(nGC_1250)*coupl(nGC_23)*coupl(nGC_65) + coupl(    &
                      nGC_1410)*coupl(nGC_40)*coupl(nGC_66) + coupl(nGC_36)*   &
                      coupl(nGC_37)*coupl(nGC_66) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_67) - coupl(nGC_66)**2d0*coupl(nGC_67) - coupl(nGC_67&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_3362) = (coupl(nGC_1410)*coupl(nGC_36)*coupl(nGC_68) + coupl(    &
                      nGC_21)*coupl(nGC_23)*coupl(nGC_65) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_67) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_67) -  &
                      coupl(nGC_67)**3d0 - coupl(nGC_67)*coupl(nGC_68)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3363) = (coupl(nGC_1250)*coupl(nGC_23)*coupl(nGC_69) + coupl(    &
                      nGC_1410)*coupl(nGC_40)*coupl(nGC_70) + coupl(nGC_36)*   &
                      coupl(nGC_37)*coupl(nGC_70) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_71) - coupl(nGC_70)**2d0*coupl(nGC_71) - coupl(nGC_71&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_3364) = (coupl(nGC_1410)*coupl(nGC_36)*coupl(nGC_72) + coupl(    &
                      nGC_21)*coupl(nGC_23)*coupl(nGC_69) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_71) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_71) -  &
                      coupl(nGC_71)**3d0 - coupl(nGC_71)*coupl(nGC_72)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3365) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_55) - cMC*   &
                      coupl(nGC_59) - cMD*coupl(nGC_63) - cMS*coupl(nGC_75) -  &
                      cMU*coupl(nGC_87))/(16d0*pi**2d0)
    coupl(nGC_3366) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_55) + cMC*    &
                      coupl(nGC_59) + cMD*coupl(nGC_63) + cMS*coupl(nGC_75) +  &
                      cMU*coupl(nGC_87))/(16d0*pi**2d0*Nc)
    coupl(nGC_3367) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_1126)*  &
                      coupl(nGC_23)*coupl(nGC_73) - coupl(nGC_1410)*coupl(     &
                      nGC_38)*coupl(nGC_76) - coupl(nGC_34)*coupl(nGC_37)*coupl&
                      (nGC_76) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75  &
                      ) - coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) - coupl(   &
                      nGC_75)**3d0 - coupl(nGC_75)*coupl(nGC_76)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3368) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_1410)*  &
                      coupl(nGC_34)*coupl(nGC_74) - coupl(nGC_20)*coupl(nGC_23 &
                      )*coupl(nGC_73) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_75) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_74) -    &
                      coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) - coupl(nGC_74 &
                      )**2d0*coupl(nGC_75) - coupl(nGC_75)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3369) = coupl(nGC_11)**2d0*coupl(nGC_75)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3370) = (-coupl(nGC_1250)*coupl(nGC_23)*coupl(nGC_77) - coupl(   &
                      nGC_1410)*coupl(nGC_39)*coupl(nGC_78) + 8d0*coupl(nGC_2  &
                      )**2d0*coupl(nGC_79) - coupl(nGC_35)*coupl(nGC_37)*coupl(&
                      nGC_78) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_79   &
                      ) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) - coupl(   &
                      nGC_78)**2d0*coupl(nGC_79) - coupl(nGC_79)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3371) = (-coupl(nGC_1410)*coupl(nGC_35)*coupl(nGC_80) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_21)*coupl(nGC_23)*&
                      coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(   &
                      nGC_79) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_80) -    &
                      coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) - coupl(nGC_79 &
                      )**3d0 - coupl(nGC_79)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3372) = (coupl(nGC_1250)*coupl(nGC_23)*coupl(nGC_81) + coupl(    &
                      nGC_1410)*coupl(nGC_40)*coupl(nGC_82) + coupl(nGC_36)*   &
                      coupl(nGC_37)*coupl(nGC_82) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_83) - coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(nGC_83&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_3373) = (coupl(nGC_1410)*coupl(nGC_36)*coupl(nGC_84) + coupl(    &
                      nGC_21)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_83) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_83) -  &
                      coupl(nGC_83)**3d0 - coupl(nGC_83)*coupl(nGC_84)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3374) = (-coupl(nGC_1250)*coupl(nGC_23)*coupl(nGC_85) - coupl(   &
                      nGC_1410)*coupl(nGC_39)*coupl(nGC_86) + 8d0*coupl(nGC_2  &
                      )**2d0*coupl(nGC_87) - coupl(nGC_35)*coupl(nGC_37)*coupl(&
                      nGC_86) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_87   &
                      ) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) - coupl(   &
                      nGC_86)**2d0*coupl(nGC_87) - coupl(nGC_87)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3375) = (-coupl(nGC_1410)*coupl(nGC_35)*coupl(nGC_88) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_21)*coupl(nGC_23)*&
                      coupl(nGC_85) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(   &
                      nGC_87) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_88) -    &
                      coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) - coupl(nGC_87 &
                      )**3d0 - coupl(nGC_87)*coupl(nGC_88)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3376) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3377) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) + coupl(nGC_1)* &
                      coupl(nGC_206) + coupl(nGC_2)*coupl(nGC_3) + coupl(      &
                      nGC_220)*coupl(nGC_38) + coupl(nGC_25)*coupl(nGC_39) +   &
                      coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
    coupl(nGC_3378) = (-12d0*Nc*coupl(nGC_23)**2d0*coupl(nGC_38) + 12d0*Nc*    &
                      coupl(nGC_23)**2d0*coupl(nGC_39) + 11d0*coupl(nGC_206)** &
                      2d0*coupl(nGC_25) + 11d0*coupl(nGC_220)**2d0*coupl(nGC_25&
                      ) - 12d0*coupl(nGC_23)**2d0*coupl(nGC_40) + 12d0*coupl(  &
                      nGC_23)**2d0*coupl(nGC_41))/(96d0*pi**2d0)
    coupl(nGC_10418) = -coupl(nGC_3378)
    coupl(nGC_3379) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1)* &
                      coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_206) - coupl(      &
                      nGC_220)*coupl(nGC_39) - coupl(nGC_25)*coupl(nGC_38) +   &
                      coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
    coupl(nGC_3380) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3381) = coupl(nGC_23)*(coupl(nGC_206)*coupl(nGC_4) + coupl(      &
                      nGC_220)*coupl(nGC_40) + coupl(nGC_25)*coupl(nGC_41) +   &
                      coupl(nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
    coupl(nGC_3382) = coupl(nGC_23)*(-coupl(nGC_220)*coupl(nGC_41) - coupl(    &
                      nGC_25)*coupl(nGC_40) - coupl(nGC_3)*coupl(nGC_4) + coupl&
                      (nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
    coupl(nGC_3383) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_56) +     &
                      coupl(nGC_38)*coupl(nGC_55)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_53)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3385) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_220 &
                      )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_56) +    &
                      coupl(nGC_34)*coupl(nGC_55)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_77)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3384) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3386) = coupl(nGC_11)**2d0*coupl(nGC_38)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3387) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_57)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_39)*coupl(     &
                      nGC_59)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3389) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_73)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_35)*coupl(     &
                      nGC_59)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3388) = coupl(nGC_11)**2d0*coupl(nGC_35)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3390) = coupl(nGC_11)**2d0*coupl(nGC_39)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3391) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_68) +     &
                      coupl(nGC_40)*coupl(nGC_67)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_65)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3392) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_66)*coupl(&
                      nGC_68) + coupl(nGC_36)*coupl(nGC_67)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_3393) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64) +     &
                      coupl(nGC_38)*coupl(nGC_63)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_61)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3394) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_220 &
                      )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_64) +    &
                      coupl(nGC_34)*coupl(nGC_63)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_85)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3395) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_72) +     &
                      coupl(nGC_40)*coupl(nGC_71)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_69)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3396) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_70)*coupl(&
                      nGC_72) + coupl(nGC_36)*coupl(nGC_71)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_3397) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_69)**2d0  &
                       + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3398) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_81)**2d0  &
                       + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3399) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_65)**2d0  &
                       + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3400) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76) +     &
                      coupl(nGC_38)*coupl(nGC_75)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_73)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3401) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_220 &
                      )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_74)*coupl(nGC_76) +    &
                      coupl(nGC_34)*coupl(nGC_75)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_57)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3402) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_77)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_39)*coupl(     &
                      nGC_79)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3403) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_53)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_35)*coupl(     &
                      nGC_79)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3404) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84) +     &
                      coupl(nGC_40)*coupl(nGC_83)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_81)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3405) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_82)*coupl(&
                      nGC_84) + coupl(nGC_36)*coupl(nGC_83)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_3406) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_85)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_39)*coupl(     &
                      nGC_87)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3407) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_61)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_35)*coupl(     &
                      nGC_87)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3408) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10  &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_3409) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_38)**2d0 - coupl(nGC_54)*coupl(nGC_56) - coupl(nGC_55&
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_3410) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_34)**2d0 - coupl(nGC_54)*coupl(nGC_56) - coupl(nGC_55&
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_3411) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10 &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_3412) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_38)**2d0 + coupl(nGC_54)*coupl(nGC_56) + coupl(nGC_55&
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3413) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_34)**2d0 + coupl(nGC_54)*coupl(nGC_56) + coupl(nGC_55&
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3414) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_62)*   &
                      coupl(nGC_64) - coupl(nGC_63)**2d0 - coupl(nGC_85)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_3415) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_34)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_62)*coupl( &
                      nGC_64) - coupl(nGC_63)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3416) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_34)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_62)*coupl( &
                      nGC_64) + coupl(nGC_63)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3417) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_62)*   &
                      coupl(nGC_64) + coupl(nGC_63)**2d0 + coupl(nGC_85)**2d0  &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_3418) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                      nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_58)*   &
                      coupl(nGC_60) - coupl(nGC_59)**2d0 - coupl(nGC_73)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_3419) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                      nGC_35)**2d0 - coupl(nGC_57)**2d0 - coupl(nGC_58)*coupl( &
                      nGC_60) - coupl(nGC_59)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3420) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                      nGC_35)**2d0 + coupl(nGC_57)**2d0 + coupl(nGC_58)*coupl( &
                      nGC_60) + coupl(nGC_59)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3421) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_58)*   &
                      coupl(nGC_60) + coupl(nGC_59)**2d0 + coupl(nGC_73)**2d0  &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_3422) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10  &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_3423) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(    &
                      nGC_34)**2d0 + coupl(nGC_73)**2d0 + coupl(nGC_74)*coupl( &
                      nGC_76) + coupl(nGC_75)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3424) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_57)**  &
                      2d0 + coupl(nGC_74)*coupl(nGC_76) + coupl(nGC_75)**2d0)/(&
                      64d0*pi**2d0)
    coupl(nGC_3425) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10   &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_3426) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_34)**2d0 - coupl(nGC_73)**2d0 - coupl(nGC_74)*coupl( &
                      nGC_76) - coupl(nGC_75)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3427) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_57)**  &
                      2d0 - coupl(nGC_74)*coupl(nGC_76) - coupl(nGC_75)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_3428) = coupl(nGC_11)*coupl(nGC_77)**2d0*sq2/(64d0*pi**2d0)
    coupl(nGC_3429) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_23)**2d0 + coupl(nGC_53 &
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_3430) = -coupl(nGC_11)*coupl(nGC_77)**2d0*sq2/(64d0*pi**2d0*Nc)
    coupl(nGC_3431) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_23)**2d0 - coupl(nGC_53&
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3432) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                      nGC_35)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_86)*coupl( &
                      nGC_88) + coupl(nGC_87)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3433) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_61)**  &
                      2d0 + coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_87)**2d0)/(&
                      64d0*pi**2d0)
    coupl(nGC_3434) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(   &
                      nGC_35)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl( &
                      nGC_88) - coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3435) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(   &
                      nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_61)**  &
                      2d0 - coupl(nGC_86)*coupl(nGC_88) - coupl(nGC_87)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_3436) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 40d0*coupl(  &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_3437) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 40d0*coupl( &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_3438) = 5d0*cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(&
                      96d0*pi**2d0)
    coupl(nGC_10907) = coupl(nGC_3438)/5d0
    coupl(nGC_3439) = -5d0*cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0 &
                      /(96d0*pi**2d0*Nc)
    coupl(nGC_10909) = coupl(nGC_3439)/5d0
    coupl(nGC_3440) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-4d0*coupl(nGC_53)**2d0&
                       - 3d0*coupl(nGC_57)**2d0 - 3d0*coupl(nGC_61)**2d0 - 3d0*&
                      coupl(nGC_73)**2d0 - 4d0*coupl(nGC_77)**2d0 - 3d0*coupl( &
                      nGC_85)**2d0)/(96d0*pi**2d0)
    coupl(nGC_3441) = cima*coupl(nGC_11)**2d0*sq2**2d0*(4d0*coupl(nGC_53)**2d0 &
                       + 3d0*coupl(nGC_57)**2d0 + 3d0*coupl(nGC_61)**2d0 + 3d0*&
                      coupl(nGC_73)**2d0 + 4d0*coupl(nGC_77)**2d0 + 3d0*coupl( &
                      nGC_85)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_3442) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_54)*coupl(  &
                      nGC_56) - coupl(nGC_58)*coupl(nGC_60) - coupl(nGC_62)*   &
                      coupl(nGC_64) - coupl(nGC_74)*coupl(nGC_76) - coupl(     &
                      nGC_86)*coupl(nGC_88))/(16d0*pi**2d0)
    coupl(nGC_3443) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_54)*coupl(   &
                      nGC_56) + coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_62)*   &
                      coupl(nGC_64) + coupl(nGC_74)*coupl(nGC_76) + coupl(     &
                      nGC_86)*coupl(nGC_88))/(16d0*pi**2d0*Nc)
    coupl(nGC_3444) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_55)**2d0 -  &
                      coupl(nGC_59)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_75)**&
                      2d0 - coupl(nGC_87)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3445) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_55)**2d0 +   &
                      coupl(nGC_59)**2d0 + coupl(nGC_63)**2d0 + coupl(nGC_75)**&
                      2d0 + coupl(nGC_87)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_3446) = cima*coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_1)**2d0  &
                       + 2d0*coupl(nGC_2)**2d0)/(48d0*pi**2d0)
    coupl(nGC_3447) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_1)**2d0 &
                       - 2d0*coupl(nGC_2)**2d0)/(48d0*pi**2d0*Nc)
    coupl(nGC_3448) = cima*coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_1)*coupl(&
                      nGC_34) + 3d0*coupl(nGC_1)*coupl(nGC_38) + 2d0*coupl(    &
                      nGC_2)*coupl(nGC_35) + 2d0*coupl(nGC_2)*coupl(nGC_39))/( &
                      96d0*pi**2d0)
    coupl(nGC_3449) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_1)*coupl&
                      (nGC_34) - 3d0*coupl(nGC_1)*coupl(nGC_38) - 2d0*coupl(   &
                      nGC_2)*coupl(nGC_35) - 2d0*coupl(nGC_2)*coupl(nGC_39))/( &
                      96d0*pi**2d0*Nc)
    coupl(nGC_3450) = cima*coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_34)**2d0 &
                       + 2d0*coupl(nGC_35)**2d0 + 3d0*coupl(nGC_38)**2d0 + 2d0*&
                      coupl(nGC_39)**2d0)/(96d0*pi**2d0)
    coupl(nGC_3451) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_34)**2d0&
                       - 2d0*coupl(nGC_35)**2d0 - 3d0*coupl(nGC_38)**2d0 - 2d0*&
                      coupl(nGC_39)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_3452) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_1) + 2d0*&
                      coupl(nGC_2))/(192d0*pi**2d0)
    coupl(nGC_3453) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-3d0*coupl(nGC_1) - 2d0&
                      *coupl(nGC_2))/(96d0*pi**2d0*Nc)
    coupl(nGC_3454) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_1) + 2d0*&
                      coupl(nGC_2))/(48d0*pi**2d0*Nc**2d0)
    coupl(nGC_3455) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_34) + 2d0&
                      *coupl(nGC_35) + 3d0*coupl(nGC_38) + 2d0*coupl(nGC_39))/(&
                      384d0*pi**2d0)
    coupl(nGC_3456) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_34   &
                      ) + 2d0*coupl(nGC_35) - 3d0*coupl(nGC_38) - 2d0*coupl(   &
                      nGC_39))/(128d0*pi**2d0)
    coupl(nGC_11054) = -coupl(nGC_3456)
    coupl(nGC_3457) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-3d0*coupl(nGC_34) -   &
                      2d0*coupl(nGC_35) - 3d0*coupl(nGC_38) - 2d0*coupl(nGC_39 &
                      ))/(192d0*pi**2d0*Nc)
    coupl(nGC_3458) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_34) + 2d0&
                      *coupl(nGC_35) + 3d0*coupl(nGC_38) + 2d0*coupl(nGC_39))/(&
                      96d0*pi**2d0*Nc**2d0)
    coupl(nGC_3459) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(-3d0*coupl(nGC_34  &
                      ) - 2d0*coupl(nGC_35) + 3d0*coupl(nGC_38) + 2d0*coupl(   &
                      nGC_39))/(128d0*pi**2d0)
    coupl(nGC_11061) = -coupl(nGC_3459)
    coupl(nGC_3460) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 6d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_164) - 25d0*cima*coupl(  &
                      nGC_11)**4d0*sq2**2d0)/(384d0*pi**2d0)
    coupl(nGC_3461) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_12)**2d0 + 21d0*Nc*coupl(nGC_10)**2d0*coupl(   &
                      nGC_12)*sq2**2d0 + 15d0*cima*coupl(nGC_11)**4d0*sq2**4d0 &
                      )/(384d0*pi**2d0)
    coupl(nGC_3462) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_168) - 21d0*Nc*coupl(nGC_10)**2d0&
                      *coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl&
                      (nGC_164)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_168)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(     &
                      nGC_170)*sq2**2d0 - 5d0*cima*coupl(nGC_11)**4d0*sq2**4d0 &
                      )/(384d0*pi**2d0*Nc)
    coupl(nGC_3463) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_168)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2 &
                      **2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_164)*sq2**2d0 + &
                      18d0*coupl(nGC_10)**2d0*coupl(nGC_168)*sq2**2d0 + 3d0*   &
                      coupl(nGC_10)**2d0*coupl(nGC_170)*sq2**2d0)/(192d0*pi**  &
                      2d0)
    coupl(nGC_3464) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*coupl(&
                      nGC_12)**2d0 + 18d0*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2 &
                      **2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_170)*sq2**2d0)/(&
                      96d0*pi**2d0)
    coupl(nGC_3465) = 5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(192d0*pi**2d0*Nc** &
                      2d0)
    coupl(nGC_3466) = -5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0*Nc** &
                      3d0)
    coupl(nGC_3170) = -cima*ee
    coupl(nGC_3204) = 2d0*cima*ee**2d0
    coupl(nGC_3119) = -cima*cw*ee/sw**2d0
    coupl(nGC_3120) = cima*ee/sw
    coupl(nGC_3121) = cima*cw*ee/sw
    coupl(nGC_3097) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_3098) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_3130) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_3132) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_3131) = 2d0*cima*ee**2d0/sw
    coupl(nGC_3102) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_3100) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
