!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 13:16             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  implicit none
  contains
  subroutine fill_vertices_mdl4()
    use class_vertices
    use class_couplings
    allocate(vertices(46)%branchR2(0:0))
    call avR2(46, 0, 8, 5, 0, VSS0, 0, [0, 3], [nGC_9983])

    allocate(vertices(432)%branchR2(0:0))
    call avR2(432, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_9989])

    allocate(vertices(433)%branchR2(0:0))
    call avR2(433, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_3308])

    allocate(vertices(430)%branchR2(0:0))
    call avR2(430, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_3308])

    allocate(vertices(429)%branchR2(0:0))
    call avR2(429, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_9989])

    allocate(vertices(431)%branchR2(0:0))
    call avR2(431, 0, 8, 5, 0, VSS0, 0, [0, 3], [nGC_9989])

    allocate(vertices(47)%branchR2(0:0))
    call avR2(47, 0, 8, 5, 0, VSS0, 0, [0, 3], [nGC_3308])

    allocate(vertices(624)%branchR2(0:0))
    call avR2(624, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_3309])

    allocate(vertices(625)%branchR2(0:0))
    call avR2(625, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_3309])

    allocate(vertices(626)%branchR2(0:0))
    call avR2(626, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_3309])

    allocate(vertices(627)%branchR2(0:0))
    call avR2(627, 0, 8, 5, 0, VVS0, 0, [0, 3], [nGC_3309])

    allocate(vertices(628)%branchR2(0:0))
    call avR2(628, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_3309])

    allocate(vertices(62)%branchR2(0:0))
    call avR2(62, 0, 8, 5, 0, VVS0, 0, [0, 3], [nGC_3309])

    allocate(vertices(905)%branchR2(0:0))
    call avR2(905, 0, 17, 5, 0, FSFa0, 0, [0, 3], [nGC_3311, nGC_3310])

    allocate(vertices(110)%branchR2(0:0))
    call avR2(110, 0, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_3311, nGC_3310])

    allocate(vertices(903)%branchR2(0:0))
    call avR2(903, 0, 18, 5, 0, SFFa0, 0, [0, 3], [nGC_3311, nGC_3310])

    allocate(vertices(904)%branchR2(0:0))
    call avR2(904, 0, 19, 5, 0, SFaF0, 0, [0, 3], [nGC_3311, nGC_3310])

    allocate(vertices(907)%branchR2(0:0))
    call avR2(907, 0, 20, 5, 0, FaFS0, 0, [0, 3], [nGC_3311, nGC_3310])

    allocate(vertices(906)%branchR2(0:0))
    call avR2(906, 0, 21, 5, 0, FaSF0, 0, [0, 3], [nGC_3311, nGC_3310])

    allocate(vertices(899)%branchR2(0:1))
    call avR2(899, 0, 18, 5, 0, SFFa0, 0, [2, 1], [nGC_3297, nGC_3299])

    call avR2(899, 1, 18, 5, 0, SFFa0, 0, [0, 3], [nGC_3312, nGC_3313])

    allocate(vertices(898)%branchR2(0:1))
    call avR2(898, 0, 19, 5, 0, SFaF0, 0, [2, 1], [nGC_3297, nGC_3299])

    call avR2(898, 1, 19, 5, 0, SFaF0, 0, [0, 3], [nGC_3312, nGC_3313])

    allocate(vertices(902)%branchR2(0:1))
    call avR2(902, 0, 17, 5, 0, FSFa0, 0, [2, 1], [nGC_3297, nGC_3299])

    call avR2(902, 1, 17, 5, 0, FSFa0, 0, [0, 3], [nGC_3312, nGC_3313])

    allocate(vertices(109)%branchR2(0:1))
    call avR2(109, 0, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_3297, nGC_3299])

    call avR2(109, 1, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_3312, nGC_3313])

    allocate(vertices(900)%branchR2(0:1))
    call avR2(900, 0, 21, 5, 0, FaSF0, 0, [2, 1], [nGC_3297, nGC_3299])

    call avR2(900, 1, 21, 5, 0, FaSF0, 0, [0, 3], [nGC_3312, nGC_3313])

    allocate(vertices(901)%branchR2(0:1))
    call avR2(901, 0, 20, 5, 0, FaFS0, 0, [2, 1], [nGC_3297, nGC_3299])

    call avR2(901, 1, 20, 5, 0, FaFS0, 0, [0, 3], [nGC_3312, nGC_3313])

    allocate(vertices(893)%branchR2(0:1))
    call avR2(893, 0, 19, 5, 0, SFaF0, 0, [2, 1], [nGC_3303, nGC_3301])

    call avR2(893, 1, 19, 5, 0, SFaF0, 0, [0, 3], [nGC_3315, nGC_3314])

    allocate(vertices(894)%branchR2(0:1))
    call avR2(894, 0, 18, 5, 0, SFFa0, 0, [2, 1], [nGC_3303, nGC_3301])

    call avR2(894, 1, 18, 5, 0, SFFa0, 0, [0, 3], [nGC_3315, nGC_3314])

    allocate(vertices(108)%branchR2(0:1))
    call avR2(108, 0, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_3303, nGC_3301])

    call avR2(108, 1, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_3315, nGC_3314])

    allocate(vertices(897)%branchR2(0:1))
    call avR2(897, 0, 17, 5, 0, FSFa0, 0, [2, 1], [nGC_3303, nGC_3301])

    call avR2(897, 1, 17, 5, 0, FSFa0, 0, [0, 3], [nGC_3315, nGC_3314])

    allocate(vertices(895)%branchR2(0:1))
    call avR2(895, 0, 21, 5, 0, FaSF0, 0, [2, 1], [nGC_3303, nGC_3301])

    call avR2(895, 1, 21, 5, 0, FaSF0, 0, [0, 3], [nGC_3315, nGC_3314])

    allocate(vertices(896)%branchR2(0:1))
    call avR2(896, 0, 20, 5, 0, FaFS0, 0, [2, 1], [nGC_3303, nGC_3301])

    call avR2(896, 1, 20, 5, 0, FaFS0, 0, [0, 3], [nGC_3315, nGC_3314])

    allocate(vertices(940)%branchR2(0:0))
    call avR2(940, 0, 8, 5, 0, SFaF1, 0, [0, 3], [nGC_3316])

    allocate(vertices(941)%branchR2(0:0))
    call avR2(941, 0, 8, 5, 0, SFFa1, 0, [0, 3], [nGC_3316])

    allocate(vertices(117)%branchR2(0:0))
    call avR2(117, 0, 8, 5, 0, FFaS1, 0, [0, 3], [nGC_3316])

    allocate(vertices(942)%branchR2(0:0))
    call avR2(942, 0, 8, 5, 0, FSFa1, 0, [0, 3], [nGC_3316])

    allocate(vertices(938)%branchR2(0:0))
    call avR2(938, 0, 8, 5, 0, FaSF1, 0, [0, 3], [nGC_3316])

    allocate(vertices(939)%branchR2(0:0))
    call avR2(939, 0, 8, 5, 0, FaFS1, 0, [0, 3], [nGC_3316])

    allocate(vertices(943)%branchR2(0:0))
    call avR2(943, 0, 8, 5, 0, SFFa1, 0, [0, 3], [nGC_3317])

    allocate(vertices(944)%branchR2(0:0))
    call avR2(944, 0, 8, 5, 0, SFaF1, 0, [0, 3], [nGC_3317])

    allocate(vertices(945)%branchR2(0:0))
    call avR2(945, 0, 8, 5, 0, FSFa1, 0, [0, 3], [nGC_3317])

    allocate(vertices(118)%branchR2(0:0))
    call avR2(118, 0, 8, 5, 0, FFaS1, 0, [0, 3], [nGC_3317])

    allocate(vertices(946)%branchR2(0:0))
    call avR2(946, 0, 8, 5, 0, FaSF1, 0, [0, 3], [nGC_3317])

    allocate(vertices(947)%branchR2(0:0))
    call avR2(947, 0, 8, 5, 0, FaFS1, 0, [0, 3], [nGC_3317])

    allocate(vertices(952)%branchR2(0:0))
    call avR2(952, 0, 8, 5, 0, FSFa1, 0, [0, 3], [nGC_3318])

    allocate(vertices(119)%branchR2(0:0))
    call avR2(119, 0, 8, 5, 0, FFaS1, 0, [0, 3], [nGC_3318])

    allocate(vertices(949)%branchR2(0:0))
    call avR2(949, 0, 8, 5, 0, SFFa1, 0, [0, 3], [nGC_3318])

    allocate(vertices(948)%branchR2(0:0))
    call avR2(948, 0, 8, 5, 0, SFaF1, 0, [0, 3], [nGC_3318])

    allocate(vertices(951)%branchR2(0:0))
    call avR2(951, 0, 8, 5, 0, FaFS1, 0, [0, 3], [nGC_3318])

    allocate(vertices(950)%branchR2(0:0))
    call avR2(950, 0, 8, 5, 0, FaSF1, 0, [0, 3], [nGC_3318])

    allocate(vertices(351)%branchR2(0:0))
    call avR2(351, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_3319])

    allocate(vertices(350)%branchR2(0:0))
    call avR2(350, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_3319])

    allocate(vertices(38)%branchR2(0:0))
    call avR2(38, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_3319])

    allocate(vertices(571)%branchR2(0:0))
    call avR2(571, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_10083])

    allocate(vertices(572)%branchR2(0:0))
    call avR2(572, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_3320])

    allocate(vertices(569)%branchR2(0:0))
    call avR2(569, 0, 8, 5, 0, SSV0, 0, [0, 3], [nGC_3320])

    allocate(vertices(568)%branchR2(0:0))
    call avR2(568, 0, 8, 5, 0, SVS0, 0, [0, 3], [nGC_10083])

    allocate(vertices(570)%branchR2(0:0))
    call avR2(570, 0, 8, 5, 0, VSS0, 0, [0, 3], [nGC_10083])

    allocate(vertices(58)%branchR2(0:0))
    call avR2(58, 0, 8, 5, 0, VSS0, 0, [0, 3], [nGC_3320])

    allocate(vertices(922)%branchR2(0:1))
    call avR2(922, 0, 17, 5, 0, FSFa0, 0, [0, 3], [nGC_3321, nGC_3323])

    call avR2(922, 1, 17, 5, 0, FSFa0, 0, [2, 1], [nGC_3322, nGC_3324])

    allocate(vertices(113)%branchR2(0:1))
    call avR2(113, 0, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_3321, nGC_3323])

    call avR2(113, 1, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_3322, nGC_3324])

    allocate(vertices(919)%branchR2(0:1))
    call avR2(919, 0, 18, 5, 0, SFFa0, 0, [0, 3], [nGC_3321, nGC_3323])

    call avR2(919, 1, 18, 5, 0, SFFa0, 0, [2, 1], [nGC_3322, nGC_3324])

    allocate(vertices(918)%branchR2(0:1))
    call avR2(918, 0, 19, 5, 0, SFaF0, 0, [0, 3], [nGC_3321, nGC_3323])

    call avR2(918, 1, 19, 5, 0, SFaF0, 0, [2, 1], [nGC_3322, nGC_3324])

    allocate(vertices(921)%branchR2(0:1))
    call avR2(921, 0, 20, 5, 0, FaFS0, 0, [0, 3], [nGC_3321, nGC_3323])

    call avR2(921, 1, 20, 5, 0, FaFS0, 0, [2, 1], [nGC_3322, nGC_3324])

    allocate(vertices(920)%branchR2(0:1))
    call avR2(920, 0, 21, 5, 0, FaSF0, 0, [0, 3], [nGC_3321, nGC_3323])

    call avR2(920, 1, 21, 5, 0, FaSF0, 0, [2, 1], [nGC_3322, nGC_3324])

    allocate(vertices(1007)%branchR2(0:1))
    call avR2(1007, 0, 17, 5, 0, FSFa0, 0, [0, 3], [nGC_3325, nGC_3327])

    call avR2(1007, 1, 17, 5, 0, FSFa0, 0, [2, 1], [nGC_3326, nGC_3328])

    allocate(vertices(130)%branchR2(0:1))
    call avR2(130, 0, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_3325, nGC_3327])

    call avR2(130, 1, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_3326, nGC_3328])

    allocate(vertices(1006)%branchR2(0:1))
    call avR2(1006, 0, 18, 5, 0, SFFa0, 0, [0, 3], [nGC_3325, nGC_3327])

    call avR2(1006, 1, 18, 5, 0, SFFa0, 0, [2, 1], [nGC_3326, nGC_3328])

    allocate(vertices(1005)%branchR2(0:1))
    call avR2(1005, 0, 19, 5, 0, SFaF0, 0, [0, 3], [nGC_3325, nGC_3327])

    call avR2(1005, 1, 19, 5, 0, SFaF0, 0, [2, 1], [nGC_3326, nGC_3328])

    allocate(vertices(1004)%branchR2(0:1))
    call avR2(1004, 0, 20, 5, 0, FaFS0, 0, [0, 3], [nGC_3325, nGC_3327])

    call avR2(1004, 1, 20, 5, 0, FaFS0, 0, [2, 1], [nGC_3326, nGC_3328])

    allocate(vertices(1003)%branchR2(0:1))
    call avR2(1003, 0, 21, 5, 0, FaSF0, 0, [0, 3], [nGC_3325, nGC_3327])

    call avR2(1003, 1, 21, 5, 0, FaSF0, 0, [2, 1], [nGC_3326, nGC_3328])

    allocate(vertices(912)%branchR2(0:1))
    call avR2(912, 0, 21, 5, 0, FaSF0, 0, [0, 3], [nGC_3329, nGC_3331])

    call avR2(912, 1, 21, 5, 0, FaSF0, 0, [2, 1], [nGC_3330, nGC_3332])

    allocate(vertices(911)%branchR2(0:1))
    call avR2(911, 0, 20, 5, 0, FaFS0, 0, [0, 3], [nGC_3329, nGC_3331])

    call avR2(911, 1, 20, 5, 0, FaFS0, 0, [2, 1], [nGC_3330, nGC_3332])

    allocate(vertices(910)%branchR2(0:1))
    call avR2(910, 0, 19, 5, 0, SFaF0, 0, [0, 3], [nGC_3329, nGC_3331])

    call avR2(910, 1, 19, 5, 0, SFaF0, 0, [2, 1], [nGC_3330, nGC_3332])

    allocate(vertices(909)%branchR2(0:1))
    call avR2(909, 0, 18, 5, 0, SFFa0, 0, [0, 3], [nGC_3329, nGC_3331])

    call avR2(909, 1, 18, 5, 0, SFFa0, 0, [2, 1], [nGC_3330, nGC_3332])

    allocate(vertices(111)%branchR2(0:1))
    call avR2(111, 0, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_3329, nGC_3331])

    call avR2(111, 1, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_3330, nGC_3332])

    allocate(vertices(908)%branchR2(0:1))
    call avR2(908, 0, 17, 5, 0, FSFa0, 0, [0, 3], [nGC_3329, nGC_3331])

    call avR2(908, 1, 17, 5, 0, FSFa0, 0, [2, 1], [nGC_3330, nGC_3332])

    allocate(vertices(953)%branchR2(0:0))
    call avR2(953, 0, 8, 5, 0, FaSF0, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(954)%branchR2(0:0))
    call avR2(954, 0, 8, 5, 0, FaFS0, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(955)%branchR2(0:0))
    call avR2(955, 0, 8, 5, 0, SFaF0, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(956)%branchR2(0:0))
    call avR2(956, 0, 8, 5, 0, SFFa0, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(120)%branchR2(0:0))
    call avR2(120, 0, 8, 5, 0, FFaS0, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(957)%branchR2(0:0))
    call avR2(957, 0, 8, 5, 0, FSFa0, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(958)%branchR2(0:0))
    call avR2(958, 0, 8, 5, 0, SFFa0, 0, [0, 3], [nGC_3336, nGC_3335])

    allocate(vertices(959)%branchR2(0:0))
    call avR2(959, 0, 8, 5, 0, SFaF0, 0, [0, 3], [nGC_3336, nGC_3335])

    allocate(vertices(960)%branchR2(0:0))
    call avR2(960, 0, 8, 5, 0, FSFa0, 0, [0, 3], [nGC_3336, nGC_3335])

    allocate(vertices(121)%branchR2(0:0))
    call avR2(121, 0, 8, 5, 0, FFaS0, 0, [0, 3], [nGC_3336, nGC_3335])

    allocate(vertices(961)%branchR2(0:0))
    call avR2(961, 0, 8, 5, 0, FaSF0, 0, [0, 3], [nGC_3336, nGC_3335])

    allocate(vertices(962)%branchR2(0:0))
    call avR2(962, 0, 8, 5, 0, FaFS0, 0, [0, 3], [nGC_3336, nGC_3335])

    allocate(vertices(916)%branchR2(0:1))
    call avR2(916, 0, 18, 5, 0, SFFa0, 0, [0, 3], [nGC_3337, nGC_3339])

    call avR2(916, 1, 18, 5, 0, SFFa0, 0, [2, 1], [nGC_3338, nGC_3340])

    allocate(vertices(915)%branchR2(0:1))
    call avR2(915, 0, 19, 5, 0, SFaF0, 0, [0, 3], [nGC_3337, nGC_3339])

    call avR2(915, 1, 19, 5, 0, SFaF0, 0, [2, 1], [nGC_3338, nGC_3340])

    allocate(vertices(917)%branchR2(0:1))
    call avR2(917, 0, 17, 5, 0, FSFa0, 0, [0, 3], [nGC_3337, nGC_3339])

    call avR2(917, 1, 17, 5, 0, FSFa0, 0, [2, 1], [nGC_3338, nGC_3340])

    allocate(vertices(112)%branchR2(0:1))
    call avR2(112, 0, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_3337, nGC_3339])

    call avR2(112, 1, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_3338, nGC_3340])

    allocate(vertices(913)%branchR2(0:1))
    call avR2(913, 0, 21, 5, 0, FaSF0, 0, [0, 3], [nGC_3337, nGC_3339])

    call avR2(913, 1, 21, 5, 0, FaSF0, 0, [2, 1], [nGC_3338, nGC_3340])

    allocate(vertices(914)%branchR2(0:1))
    call avR2(914, 0, 20, 5, 0, FaFS0, 0, [0, 3], [nGC_3337, nGC_3339])

    call avR2(914, 1, 20, 5, 0, FaFS0, 0, [2, 1], [nGC_3338, nGC_3340])

    allocate(vertices(131)%branchR2(0:0))
    call avR2(131, 0, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_3342, nGC_3341])

    allocate(vertices(1010)%branchR2(0:0))
    call avR2(1010, 0, 17, 5, 0, FSFa0, 0, [0, 3], [nGC_3342, nGC_3341])

    allocate(vertices(1008)%branchR2(0:0))
    call avR2(1008, 0, 18, 5, 0, SFFa0, 0, [0, 3], [nGC_3342, nGC_3341])

    allocate(vertices(1009)%branchR2(0:0))
    call avR2(1009, 0, 19, 5, 0, SFaF0, 0, [0, 3], [nGC_3342, nGC_3341])

    allocate(vertices(1012)%branchR2(0:0))
    call avR2(1012, 0, 20, 5, 0, FaFS0, 0, [0, 3], [nGC_3342, nGC_3341])

    allocate(vertices(1011)%branchR2(0:0))
    call avR2(1011, 0, 21, 5, 0, FaSF0, 0, [0, 3], [nGC_3342, nGC_3341])

    allocate(vertices(963)%branchR2(0:0))
    call avR2(963, 0, 8, 5, 0, FSFa0, 0, [0, 3], [nGC_3344, nGC_3343])

    allocate(vertices(122)%branchR2(0:0))
    call avR2(122, 0, 8, 5, 0, FFaS0, 0, [0, 3], [nGC_3344, nGC_3343])

    allocate(vertices(964)%branchR2(0:0))
    call avR2(964, 0, 8, 5, 0, SFFa0, 0, [0, 3], [nGC_3344, nGC_3343])

    allocate(vertices(965)%branchR2(0:0))
    call avR2(965, 0, 8, 5, 0, SFaF0, 0, [0, 3], [nGC_3344, nGC_3343])

    allocate(vertices(966)%branchR2(0:0))
    call avR2(966, 0, 8, 5, 0, FaFS0, 0, [0, 3], [nGC_3344, nGC_3343])

    allocate(vertices(967)%branchR2(0:0))
    call avR2(967, 0, 8, 5, 0, FaSF0, 0, [0, 3], [nGC_3344, nGC_3343])

    allocate(vertices(1001)%branchR2(0:1))
    call avR2(1001, 0, 18, 5, 0, SFFa0, 0, [0, 3], [nGC_3345, nGC_3347])

    call avR2(1001, 1, 18, 5, 0, SFFa0, 0, [2, 1], [nGC_3346, nGC_3348])

    allocate(vertices(1000)%branchR2(0:1))
    call avR2(1000, 0, 19, 5, 0, SFaF0, 0, [0, 3], [nGC_3345, nGC_3347])

    call avR2(1000, 1, 19, 5, 0, SFaF0, 0, [2, 1], [nGC_3346, nGC_3348])

    allocate(vertices(1002)%branchR2(0:1))
    call avR2(1002, 0, 17, 5, 0, FSFa0, 0, [0, 3], [nGC_3345, nGC_3347])

    call avR2(1002, 1, 17, 5, 0, FSFa0, 0, [2, 1], [nGC_3346, nGC_3348])

    allocate(vertices(129)%branchR2(0:1))
    call avR2(129, 0, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_3345, nGC_3347])

    call avR2(129, 1, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_3346, nGC_3348])

    allocate(vertices(998)%branchR2(0:1))
    call avR2(998, 0, 21, 5, 0, FaSF0, 0, [0, 3], [nGC_3345, nGC_3347])

    call avR2(998, 1, 21, 5, 0, FaSF0, 0, [2, 1], [nGC_3346, nGC_3348])

    allocate(vertices(999)%branchR2(0:1))
    call avR2(999, 0, 20, 5, 0, FaFS0, 0, [0, 3], [nGC_3345, nGC_3347])

    call avR2(999, 1, 20, 5, 0, FaFS0, 0, [2, 1], [nGC_3346, nGC_3348])

    allocate(vertices(40)%branchR2(0:0))
    call avR2(40, 0, 8, 5, 0, SSS0, 0, [0, 3], [nGC_3349])

    allocate(vertices(543)%branchR2(0:0))
    call avR2(543, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_3350])

    allocate(vertices(544)%branchR2(0:0))
    call avR2(544, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_3350])

    allocate(vertices(541)%branchR2(0:0))
    call avR2(541, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_3350])

    allocate(vertices(540)%branchR2(0:0))
    call avR2(540, 0, 8, 5, 0, VVS0, 0, [0, 3], [nGC_3350])

    allocate(vertices(542)%branchR2(0:0))
    call avR2(542, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_3350])

    allocate(vertices(56)%branchR2(0:0))
    call avR2(56, 0, 8, 5, 0, VVS0, 0, [0, 3], [nGC_3350])

    allocate(vertices(937)%branchR2(0:1))
    call avR2(937, 0, 18, 5, 0, SFFa0, 0, [0, 3], [nGC_3351, nGC_3352])

    call avR2(937, 1, 18, 5, 0, SFFa0, 0, [2, 1], [nGC_3353, nGC_3353])

    allocate(vertices(936)%branchR2(0:1))
    call avR2(936, 0, 19, 5, 0, SFaF0, 0, [0, 3], [nGC_3351, nGC_3352])

    call avR2(936, 1, 19, 5, 0, SFaF0, 0, [2, 1], [nGC_3353, nGC_3353])

    allocate(vertices(935)%branchR2(0:1))
    call avR2(935, 0, 17, 5, 0, FSFa0, 0, [0, 3], [nGC_3351, nGC_3352])

    call avR2(935, 1, 17, 5, 0, FSFa0, 0, [2, 1], [nGC_3353, nGC_3353])

    allocate(vertices(116)%branchR2(0:1))
    call avR2(116, 0, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_3351, nGC_3352])

    call avR2(116, 1, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_3353, nGC_3353])

    allocate(vertices(934)%branchR2(0:1))
    call avR2(934, 0, 21, 5, 0, FaSF0, 0, [0, 3], [nGC_3351, nGC_3352])

    call avR2(934, 1, 21, 5, 0, FaSF0, 0, [2, 1], [nGC_3353, nGC_3353])

    allocate(vertices(933)%branchR2(0:1))
    call avR2(933, 0, 20, 5, 0, FaFS0, 0, [0, 3], [nGC_3351, nGC_3352])

    call avR2(933, 1, 20, 5, 0, FaFS0, 0, [2, 1], [nGC_3353, nGC_3353])

    allocate(vertices(702)%branchR2(0:0))
    call avR2(702, 0, 8, 5, 0, SVV0, 0, [0, 3], [nGC_3354])

    allocate(vertices(701)%branchR2(0:0))
    call avR2(701, 0, 8, 5, 0, VSV0, 0, [0, 3], [nGC_3354])

    allocate(vertices(69)%branchR2(0:0))
    call avR2(69, 0, 8, 5, 0, VVS0, 0, [0, 3], [nGC_3354])

    allocate(vertices(1022)%branchR2(0:1))
    call avR2(1022, 0, 18, 5, 0, SFFa0, 0, [0, 3], [nGC_3355, nGC_3356])

    call avR2(1022, 1, 18, 5, 0, SFFa0, 0, [2, 1], [nGC_3357, nGC_3357])

    allocate(vertices(1021)%branchR2(0:1))
    call avR2(1021, 0, 19, 5, 0, SFaF0, 0, [0, 3], [nGC_3355, nGC_3356])

    call avR2(1021, 1, 19, 5, 0, SFaF0, 0, [2, 1], [nGC_3357, nGC_3357])

    allocate(vertices(1020)%branchR2(0:1))
    call avR2(1020, 0, 17, 5, 0, FSFa0, 0, [0, 3], [nGC_3355, nGC_3356])

    call avR2(1020, 1, 17, 5, 0, FSFa0, 0, [2, 1], [nGC_3357, nGC_3357])

    allocate(vertices(133)%branchR2(0:1))
    call avR2(133, 0, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_3355, nGC_3356])

    call avR2(133, 1, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_3357, nGC_3357])

    allocate(vertices(1019)%branchR2(0:1))
    call avR2(1019, 0, 21, 5, 0, FaSF0, 0, [0, 3], [nGC_3355, nGC_3356])

    call avR2(1019, 1, 21, 5, 0, FaSF0, 0, [2, 1], [nGC_3357, nGC_3357])

    allocate(vertices(1018)%branchR2(0:1))
    call avR2(1018, 0, 20, 5, 0, FaFS0, 0, [0, 3], [nGC_3355, nGC_3356])

    call avR2(1018, 1, 20, 5, 0, FaFS0, 0, [2, 1], [nGC_3357, nGC_3357])

    allocate(vertices(927)%branchR2(0:1))
    call avR2(927, 0, 19, 5, 0, SFaF0, 0, [0, 3], [nGC_3358, nGC_3359])

    call avR2(927, 1, 19, 5, 0, SFaF0, 0, [2, 1], [nGC_3360, nGC_3360])

    allocate(vertices(926)%branchR2(0:1))
    call avR2(926, 0, 18, 5, 0, SFFa0, 0, [0, 3], [nGC_3358, nGC_3359])

    call avR2(926, 1, 18, 5, 0, SFFa0, 0, [2, 1], [nGC_3360, nGC_3360])

    allocate(vertices(925)%branchR2(0:1))
    call avR2(925, 0, 21, 5, 0, FaSF0, 0, [0, 3], [nGC_3358, nGC_3359])

    call avR2(925, 1, 21, 5, 0, FaSF0, 0, [2, 1], [nGC_3360, nGC_3360])

    allocate(vertices(924)%branchR2(0:1))
    call avR2(924, 0, 20, 5, 0, FaFS0, 0, [0, 3], [nGC_3358, nGC_3359])

    call avR2(924, 1, 20, 5, 0, FaFS0, 0, [2, 1], [nGC_3360, nGC_3360])

    allocate(vertices(923)%branchR2(0:1))
    call avR2(923, 0, 17, 5, 0, FSFa0, 0, [0, 3], [nGC_3358, nGC_3359])

    call avR2(923, 1, 17, 5, 0, FSFa0, 0, [2, 1], [nGC_3360, nGC_3360])

    allocate(vertices(114)%branchR2(0:1))
    call avR2(114, 0, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_3358, nGC_3359])

    call avR2(114, 1, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_3360, nGC_3360])

    allocate(vertices(971)%branchR2(0:0))
    call avR2(971, 0, 8, 5, 0, SFaF0, 0, [0, 3], [nGC_3362, nGC_3361])

    allocate(vertices(972)%branchR2(0:0))
    call avR2(972, 0, 8, 5, 0, SFFa0, 0, [0, 3], [nGC_3362, nGC_3361])

    allocate(vertices(969)%branchR2(0:0))
    call avR2(969, 0, 8, 5, 0, FaSF0, 0, [0, 3], [nGC_3362, nGC_3361])

    allocate(vertices(968)%branchR2(0:0))
    call avR2(968, 0, 8, 5, 0, FaFS0, 0, [0, 3], [nGC_3362, nGC_3361])

    allocate(vertices(970)%branchR2(0:0))
    call avR2(970, 0, 8, 5, 0, FSFa0, 0, [0, 3], [nGC_3362, nGC_3361])

    allocate(vertices(123)%branchR2(0:0))
    call avR2(123, 0, 8, 5, 0, FFaS0, 0, [0, 3], [nGC_3362, nGC_3361])

    allocate(vertices(976)%branchR2(0:0))
    call avR2(976, 0, 8, 5, 0, SFFa0, 0, [0, 3], [nGC_3364, nGC_3363])

    allocate(vertices(977)%branchR2(0:0))
    call avR2(977, 0, 8, 5, 0, SFaF0, 0, [0, 3], [nGC_3364, nGC_3363])

    allocate(vertices(973)%branchR2(0:0))
    call avR2(973, 0, 8, 5, 0, FSFa0, 0, [0, 3], [nGC_3364, nGC_3363])

    allocate(vertices(124)%branchR2(0:0))
    call avR2(124, 0, 8, 5, 0, FFaS0, 0, [0, 3], [nGC_3364, nGC_3363])

    allocate(vertices(975)%branchR2(0:0))
    call avR2(975, 0, 8, 5, 0, FaSF0, 0, [0, 3], [nGC_3364, nGC_3363])

    allocate(vertices(974)%branchR2(0:0))
    call avR2(974, 0, 8, 5, 0, FaFS0, 0, [0, 3], [nGC_3364, nGC_3363])

    allocate(vertices(1143)%branchR2(0:1))
    call avR2(1143, 0, 33, 5, 0, SVV0, 0, [2, 1], [nGC_3365])

    call avR2(1143, 1, 34, 5, 0, SVV0, 0, [2, 1], [nGC_3366])

    allocate(vertices(1144)%branchR2(0:1))
    call avR2(1144, 0, 35, 5, 0, VSV0, 0, [2, 1], [nGC_3365])

    call avR2(1144, 1, 36, 5, 0, VSV0, 0, [2, 1], [nGC_3366])

    allocate(vertices(1145)%branchR2(0:1))
    call avR2(1145, 0, 37, 5, 0, VVS0, 0, [2, 1], [nGC_3365])

    call avR2(1145, 1, 38, 5, 0, VVS0, 0, [2, 1], [nGC_3366])

    allocate(vertices(931)%branchR2(0:1))
    call avR2(931, 0, 18, 5, 0, SFFa0, 0, [0, 3], [nGC_3367, nGC_3368])

    call avR2(931, 1, 18, 5, 0, SFFa0, 0, [2, 1], [nGC_3369, nGC_3369])

    allocate(vertices(930)%branchR2(0:1))
    call avR2(930, 0, 19, 5, 0, SFaF0, 0, [0, 3], [nGC_3367, nGC_3368])

    call avR2(930, 1, 19, 5, 0, SFaF0, 0, [2, 1], [nGC_3369, nGC_3369])

    allocate(vertices(932)%branchR2(0:1))
    call avR2(932, 0, 17, 5, 0, FSFa0, 0, [0, 3], [nGC_3367, nGC_3368])

    call avR2(932, 1, 17, 5, 0, FSFa0, 0, [2, 1], [nGC_3369, nGC_3369])

    allocate(vertices(115)%branchR2(0:1))
    call avR2(115, 0, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_3367, nGC_3368])

    call avR2(115, 1, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_3369, nGC_3369])

    allocate(vertices(928)%branchR2(0:1))
    call avR2(928, 0, 21, 5, 0, FaSF0, 0, [0, 3], [nGC_3367, nGC_3368])

    call avR2(928, 1, 21, 5, 0, FaSF0, 0, [2, 1], [nGC_3369, nGC_3369])

    allocate(vertices(929)%branchR2(0:1))
    call avR2(929, 0, 20, 5, 0, FaFS0, 0, [0, 3], [nGC_3367, nGC_3368])

    call avR2(929, 1, 20, 5, 0, FaFS0, 0, [2, 1], [nGC_3369, nGC_3369])

    allocate(vertices(1026)%branchR2(0:0))
    call avR2(1026, 0, 18, 5, 0, SFFa0, 0, [0, 3], [nGC_3370, nGC_3371])

    allocate(vertices(1027)%branchR2(0:0))
    call avR2(1027, 0, 19, 5, 0, SFaF0, 0, [0, 3], [nGC_3370, nGC_3371])

    allocate(vertices(1023)%branchR2(0:0))
    call avR2(1023, 0, 17, 5, 0, FSFa0, 0, [0, 3], [nGC_3370, nGC_3371])

    allocate(vertices(134)%branchR2(0:0))
    call avR2(134, 0, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_3370, nGC_3371])

    allocate(vertices(1025)%branchR2(0:0))
    call avR2(1025, 0, 21, 5, 0, FaSF0, 0, [0, 3], [nGC_3370, nGC_3371])

    allocate(vertices(1024)%branchR2(0:0))
    call avR2(1024, 0, 20, 5, 0, FaFS0, 0, [0, 3], [nGC_3370, nGC_3371])

    allocate(vertices(981)%branchR2(0:0))
    call avR2(981, 0, 8, 5, 0, SFFa0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(982)%branchR2(0:0))
    call avR2(982, 0, 8, 5, 0, SFaF0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(978)%branchR2(0:0))
    call avR2(978, 0, 8, 5, 0, FSFa0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(125)%branchR2(0:0))
    call avR2(125, 0, 8, 5, 0, FFaS0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(980)%branchR2(0:0))
    call avR2(980, 0, 8, 5, 0, FaSF0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(979)%branchR2(0:0))
    call avR2(979, 0, 8, 5, 0, FaFS0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(1016)%branchR2(0:1))
    call avR2(1016, 0, 18, 5, 0, SFFa0, 0, [0, 3], [nGC_3374, nGC_3375])

    call avR2(1016, 1, 18, 5, 0, SFFa0, 0, [2, 1], [nGC_3376, nGC_3376])

    allocate(vertices(1015)%branchR2(0:1))
    call avR2(1015, 0, 19, 5, 0, SFaF0, 0, [0, 3], [nGC_3374, nGC_3375])

    call avR2(1015, 1, 19, 5, 0, SFaF0, 0, [2, 1], [nGC_3376, nGC_3376])

    allocate(vertices(1017)%branchR2(0:1))
    call avR2(1017, 0, 17, 5, 0, FSFa0, 0, [0, 3], [nGC_3374, nGC_3375])

    call avR2(1017, 1, 17, 5, 0, FSFa0, 0, [2, 1], [nGC_3376, nGC_3376])

    allocate(vertices(132)%branchR2(0:1))
    call avR2(132, 0, 10, 5, 0, FFaS0, 0, [0, 3], [nGC_3374, nGC_3375])

    call avR2(132, 1, 10, 5, 0, FFaS0, 0, [2, 1], [nGC_3376, nGC_3376])

    allocate(vertices(1013)%branchR2(0:1))
    call avR2(1013, 0, 21, 5, 0, FaSF0, 0, [0, 3], [nGC_3374, nGC_3375])

    call avR2(1013, 1, 21, 5, 0, FaSF0, 0, [2, 1], [nGC_3376, nGC_3376])

    allocate(vertices(1014)%branchR2(0:1))
    call avR2(1014, 0, 20, 5, 0, FaFS0, 0, [0, 3], [nGC_3374, nGC_3375])

    call avR2(1014, 1, 20, 5, 0, FaFS0, 0, [2, 1], [nGC_3376, nGC_3376])

    allocate(vertices(86)%branchR2(0:0))
    call avR2(86, 0, 10, 5, 0, FFaV1, 0, [0, 3], [nGC_3377])

    allocate(vertices(785)%branchR2(0:0))
    call avR2(785, 0, 17, 5, 0, FVFa1, 0, [0, 3], [nGC_3377])

    allocate(vertices(786)%branchR2(0:0))
    call avR2(786, 0, 20, 5, 0, FaFV1, 0, [0, 3], [nGC_3377])

    allocate(vertices(787)%branchR2(0:0))
    call avR2(787, 0, 21, 5, 0, FaVF1, 0, [0, 3], [nGC_3377])

    allocate(vertices(783)%branchR2(0:0))
    call avR2(783, 0, 18, 5, 0, VFFa1, 0, [0, 3], [nGC_3377])

    allocate(vertices(784)%branchR2(0:0))
    call avR2(784, 0, 19, 5, 0, VFaF1, 0, [0, 3], [nGC_3377])

    allocate(vertices(154)%branchR2(0:0))
    call avR2(154, 0, 8, 5, 0, VVV0, 0, [0, 3], [nGC_10418])

    allocate(vertices(155)%branchR2(0:0))
    call avR2(155, 0, 8, 5, 0, VVV0, 0, [0, 3], [nGC_3378])

    allocate(vertices(156)%branchR2(0:0))
    call avR2(156, 0, 8, 5, 0, VVV0, 0, [0, 3], [nGC_3378])

    allocate(vertices(157)%branchR2(0:0))
    call avR2(157, 0, 8, 5, 0, VVV0, 0, [0, 3], [nGC_10418])

    allocate(vertices(158)%branchR2(0:0))
    call avR2(158, 0, 8, 5, 0, VVV0, 0, [0, 3], [nGC_10418])

    allocate(vertices(4)%branchR2(0:0))
    call avR2(4, 0, 8, 5, 0, VVV0, 0, [0, 3], [nGC_3378])

    allocate(vertices(85)%branchR2(0:1))
    call avR2(85, 0, 10, 5, 0, FFaV1, 0, [0, 3], [nGC_3379])

    call avR2(85, 1, 10, 5, 0, FFaV1, 0, [2, 1], [nGC_3380])

    allocate(vertices(782)%branchR2(0:1))
    call avR2(782, 0, 17, 5, 0, FVFa1, 0, [0, 3], [nGC_3379])

    call avR2(782, 1, 17, 5, 0, FVFa1, 0, [2, 1], [nGC_3380])

    allocate(vertices(779)%branchR2(0:1))
    call avR2(779, 0, 20, 5, 0, FaFV1, 0, [0, 3], [nGC_3379])

    call avR2(779, 1, 20, 5, 0, FaFV1, 0, [2, 1], [nGC_3380])

    allocate(vertices(778)%branchR2(0:1))
    call avR2(778, 0, 21, 5, 0, FaVF1, 0, [0, 3], [nGC_3379])

    call avR2(778, 1, 21, 5, 0, FaVF1, 0, [2, 1], [nGC_3380])

    allocate(vertices(781)%branchR2(0:1))
    call avR2(781, 0, 18, 5, 0, VFFa1, 0, [0, 3], [nGC_3379])

    call avR2(781, 1, 18, 5, 0, VFFa1, 0, [2, 1], [nGC_3380])

    allocate(vertices(780)%branchR2(0:1))
    call avR2(780, 0, 19, 5, 0, VFaF1, 0, [0, 3], [nGC_3379])

    call avR2(780, 1, 19, 5, 0, VFaF1, 0, [2, 1], [nGC_3380])

    allocate(vertices(775)%branchR2(0:1))
    call avR2(775, 0, 21, 5, 0, FaVF1, 0, [0, 3], [nGC_3377])

    call avR2(775, 1, 21, 5, 0, FaVF1, 0, [2, 1], [nGC_3380])

    allocate(vertices(774)%branchR2(0:1))
    call avR2(774, 0, 20, 5, 0, FaFV1, 0, [0, 3], [nGC_3377])

    call avR2(774, 1, 20, 5, 0, FaFV1, 0, [2, 1], [nGC_3380])

    allocate(vertices(776)%branchR2(0:1))
    call avR2(776, 0, 18, 5, 0, VFFa1, 0, [0, 3], [nGC_3377])

    call avR2(776, 1, 18, 5, 0, VFFa1, 0, [2, 1], [nGC_3380])

    allocate(vertices(777)%branchR2(0:1))
    call avR2(777, 0, 19, 5, 0, VFaF1, 0, [0, 3], [nGC_3377])

    call avR2(777, 1, 19, 5, 0, VFaF1, 0, [2, 1], [nGC_3380])

    allocate(vertices(773)%branchR2(0:1))
    call avR2(773, 0, 17, 5, 0, FVFa1, 0, [0, 3], [nGC_3377])

    call avR2(773, 1, 17, 5, 0, FVFa1, 0, [2, 1], [nGC_3380])

    allocate(vertices(84)%branchR2(0:1))
    call avR2(84, 0, 10, 5, 0, FFaV1, 0, [0, 3], [nGC_3377])

    call avR2(84, 1, 10, 5, 0, FFaV1, 0, [2, 1], [nGC_3380])

    allocate(vertices(807)%branchR2(0:0))
    call avR2(807, 0, 8, 5, 0, FaVF1, 0, [0, 3], [nGC_3381])

    allocate(vertices(806)%branchR2(0:0))
    call avR2(806, 0, 8, 5, 0, FaFV1, 0, [0, 3], [nGC_3381])

    allocate(vertices(803)%branchR2(0:0))
    call avR2(803, 0, 8, 5, 0, VFFa1, 0, [0, 3], [nGC_3381])

    allocate(vertices(804)%branchR2(0:0))
    call avR2(804, 0, 8, 5, 0, VFaF1, 0, [0, 3], [nGC_3381])

    allocate(vertices(805)%branchR2(0:0))
    call avR2(805, 0, 8, 5, 0, FVFa1, 0, [0, 3], [nGC_3381])

    allocate(vertices(90)%branchR2(0:0))
    call avR2(90, 0, 8, 5, 0, FFaV1, 0, [0, 3], [nGC_3381])

    allocate(vertices(91)%branchR2(0:0))
    call avR2(91, 0, 8, 5, 0, FFaV1, 0, [0, 3], [nGC_3381])

    allocate(vertices(808)%branchR2(0:0))
    call avR2(808, 0, 8, 5, 0, FVFa1, 0, [0, 3], [nGC_3381])

    allocate(vertices(809)%branchR2(0:0))
    call avR2(809, 0, 8, 5, 0, FaFV1, 0, [0, 3], [nGC_3381])

    allocate(vertices(810)%branchR2(0:0))
    call avR2(810, 0, 8, 5, 0, FaVF1, 0, [0, 3], [nGC_3381])

    allocate(vertices(811)%branchR2(0:0))
    call avR2(811, 0, 8, 5, 0, VFFa1, 0, [0, 3], [nGC_3381])

    allocate(vertices(812)%branchR2(0:0))
    call avR2(812, 0, 8, 5, 0, VFaF1, 0, [0, 3], [nGC_3381])

    allocate(vertices(92)%branchR2(0:0))
    call avR2(92, 0, 8, 5, 0, FFaV1, 0, [0, 3], [nGC_3382])

    allocate(vertices(813)%branchR2(0:0))
    call avR2(813, 0, 8, 5, 0, FVFa1, 0, [0, 3], [nGC_3382])

    allocate(vertices(814)%branchR2(0:0))
    call avR2(814, 0, 8, 5, 0, FaFV1, 0, [0, 3], [nGC_3382])

    allocate(vertices(815)%branchR2(0:0))
    call avR2(815, 0, 8, 5, 0, FaVF1, 0, [0, 3], [nGC_3382])

    allocate(vertices(816)%branchR2(0:0))
    call avR2(816, 0, 8, 5, 0, VFFa1, 0, [0, 3], [nGC_3382])

    allocate(vertices(817)%branchR2(0:0))
    call avR2(817, 0, 8, 5, 0, VFaF1, 0, [0, 3], [nGC_3382])

    allocate(vertices(89)%branchR2(0:0))
    call avR2(89, 0, 10, 5, 0, FFaV1, 0, [0, 3], [nGC_3379])

    allocate(vertices(798)%branchR2(0:0))
    call avR2(798, 0, 17, 5, 0, FVFa1, 0, [0, 3], [nGC_3379])

    allocate(vertices(799)%branchR2(0:0))
    call avR2(799, 0, 20, 5, 0, FaFV1, 0, [0, 3], [nGC_3379])

    allocate(vertices(800)%branchR2(0:0))
    call avR2(800, 0, 21, 5, 0, FaVF1, 0, [0, 3], [nGC_3379])

    allocate(vertices(801)%branchR2(0:0))
    call avR2(801, 0, 18, 5, 0, VFFa1, 0, [0, 3], [nGC_3379])

    allocate(vertices(802)%branchR2(0:0))
    call avR2(802, 0, 19, 5, 0, VFaF1, 0, [0, 3], [nGC_3379])

    allocate(vertices(797)%branchR2(0:1))
    call avR2(797, 0, 17, 5, 0, FVFa1, 0, [0, 3], [nGC_3377])

    call avR2(797, 1, 17, 5, 0, FVFa1, 0, [2, 1], [nGC_3380])

    allocate(vertices(88)%branchR2(0:1))
    call avR2(88, 0, 10, 5, 0, FFaV1, 0, [0, 3], [nGC_3377])

    call avR2(88, 1, 10, 5, 0, FFaV1, 0, [2, 1], [nGC_3380])

    allocate(vertices(796)%branchR2(0:1))
    call avR2(796, 0, 18, 5, 0, VFFa1, 0, [0, 3], [nGC_3377])

    call avR2(796, 1, 18, 5, 0, VFFa1, 0, [2, 1], [nGC_3380])

    allocate(vertices(795)%branchR2(0:1))
    call avR2(795, 0, 19, 5, 0, VFaF1, 0, [0, 3], [nGC_3377])

    call avR2(795, 1, 19, 5, 0, VFaF1, 0, [2, 1], [nGC_3380])

    allocate(vertices(794)%branchR2(0:1))
    call avR2(794, 0, 20, 5, 0, FaFV1, 0, [0, 3], [nGC_3377])

    call avR2(794, 1, 20, 5, 0, FaFV1, 0, [2, 1], [nGC_3380])

    allocate(vertices(793)%branchR2(0:1))
    call avR2(793, 0, 21, 5, 0, FaVF1, 0, [0, 3], [nGC_3377])

    call avR2(793, 1, 21, 5, 0, FaVF1, 0, [2, 1], [nGC_3380])

    allocate(vertices(818)%branchR2(0:0))
    call avR2(818, 0, 8, 5, 0, FaFV1, 0, [0, 3], [nGC_3382])

    allocate(vertices(819)%branchR2(0:0))
    call avR2(819, 0, 8, 5, 0, FaVF1, 0, [0, 3], [nGC_3382])

    allocate(vertices(93)%branchR2(0:0))
    call avR2(93, 0, 8, 5, 0, FFaV1, 0, [0, 3], [nGC_3382])

    allocate(vertices(820)%branchR2(0:0))
    call avR2(820, 0, 8, 5, 0, FVFa1, 0, [0, 3], [nGC_3382])

    allocate(vertices(821)%branchR2(0:0))
    call avR2(821, 0, 8, 5, 0, VFaF1, 0, [0, 3], [nGC_3382])

    allocate(vertices(822)%branchR2(0:0))
    call avR2(822, 0, 8, 5, 0, VFFa1, 0, [0, 3], [nGC_3382])

    allocate(vertices(791)%branchR2(0:1))
    call avR2(791, 0, 20, 5, 0, FaFV1, 0, [0, 3], [nGC_3379])

    call avR2(791, 1, 20, 5, 0, FaFV1, 0, [2, 1], [nGC_3380])

    allocate(vertices(790)%branchR2(0:1))
    call avR2(790, 0, 21, 5, 0, FaVF1, 0, [0, 3], [nGC_3379])

    call avR2(790, 1, 21, 5, 0, FaVF1, 0, [2, 1], [nGC_3380])

    allocate(vertices(87)%branchR2(0:1))
    call avR2(87, 0, 10, 5, 0, FFaV1, 0, [0, 3], [nGC_3379])

    call avR2(87, 1, 10, 5, 0, FFaV1, 0, [2, 1], [nGC_3380])

    allocate(vertices(792)%branchR2(0:1))
    call avR2(792, 0, 17, 5, 0, FVFa1, 0, [0, 3], [nGC_3379])

    call avR2(792, 1, 17, 5, 0, FVFa1, 0, [2, 1], [nGC_3380])

    allocate(vertices(788)%branchR2(0:1))
    call avR2(788, 0, 19, 5, 0, VFaF1, 0, [0, 3], [nGC_3379])

    call avR2(788, 1, 19, 5, 0, VFaF1, 0, [2, 1], [nGC_3380])

    allocate(vertices(789)%branchR2(0:1))
    call avR2(789, 0, 18, 5, 0, VFFa1, 0, [0, 3], [nGC_3379])

    call avR2(789, 1, 18, 5, 0, VFFa1, 0, [2, 1], [nGC_3380])

    allocate(vertices(823)%branchR2(0:0))
    call avR2(823, 0, 8, 5, 0, FVFa1, 0, [0, 3], [nGC_3382])

    allocate(vertices(94)%branchR2(0:0))
    call avR2(94, 0, 8, 5, 0, FFaV1, 0, [0, 3], [nGC_3382])

    allocate(vertices(824)%branchR2(0:0))
    call avR2(824, 0, 8, 5, 0, VFFa1, 0, [0, 3], [nGC_3382])

    allocate(vertices(825)%branchR2(0:0))
    call avR2(825, 0, 8, 5, 0, VFaF1, 0, [0, 3], [nGC_3382])

    allocate(vertices(826)%branchR2(0:0))
    call avR2(826, 0, 8, 5, 0, FaFV1, 0, [0, 3], [nGC_3382])

    allocate(vertices(827)%branchR2(0:0))
    call avR2(827, 0, 8, 5, 0, FaVF1, 0, [0, 3], [nGC_3382])

    allocate(vertices(95)%branchR2(0:0))
    call avR2(95, 0, 8, 5, 0, FFaV1, 0, [0, 3], [nGC_3381])

    allocate(vertices(832)%branchR2(0:0))
    call avR2(832, 0, 8, 5, 0, FVFa1, 0, [0, 3], [nGC_3381])

    allocate(vertices(831)%branchR2(0:0))
    call avR2(831, 0, 8, 5, 0, FaFV1, 0, [0, 3], [nGC_3381])

    allocate(vertices(830)%branchR2(0:0))
    call avR2(830, 0, 8, 5, 0, FaVF1, 0, [0, 3], [nGC_3381])

    allocate(vertices(829)%branchR2(0:0))
    call avR2(829, 0, 8, 5, 0, VFFa1, 0, [0, 3], [nGC_3381])

    allocate(vertices(828)%branchR2(0:0))
    call avR2(828, 0, 8, 5, 0, VFaF1, 0, [0, 3], [nGC_3381])

    allocate(vertices(862)%branchR2(0:1))
    call avR2(862, 0, 17, 5, 0, FVFa0, 0, [0, 3], [nGC_3383, nGC_3385])

    call avR2(862, 1, 17, 5, 0, FVFa0, 0, [2, 1], [nGC_3384, nGC_3386])

    allocate(vertices(101)%branchR2(0:1))
    call avR2(101, 0, 10, 5, 0, FFaV0, 0, [0, 3], [nGC_3383, nGC_3385])

    call avR2(101, 1, 10, 5, 0, FFaV0, 0, [2, 1], [nGC_3384, nGC_3386])

    allocate(vertices(859)%branchR2(0:1))
    call avR2(859, 0, 18, 5, 0, VFFa0, 0, [0, 3], [nGC_3383, nGC_3385])

    call avR2(859, 1, 18, 5, 0, VFFa0, 0, [2, 1], [nGC_3384, nGC_3386])

    allocate(vertices(858)%branchR2(0:1))
    call avR2(858, 0, 19, 5, 0, VFaF0, 0, [0, 3], [nGC_3383, nGC_3385])

    call avR2(858, 1, 19, 5, 0, VFaF0, 0, [2, 1], [nGC_3384, nGC_3386])

    allocate(vertices(861)%branchR2(0:1))
    call avR2(861, 0, 20, 5, 0, FaFV0, 0, [0, 3], [nGC_3383, nGC_3385])

    call avR2(861, 1, 20, 5, 0, FaFV0, 0, [2, 1], [nGC_3384, nGC_3386])

    allocate(vertices(860)%branchR2(0:1))
    call avR2(860, 0, 21, 5, 0, FaVF0, 0, [0, 3], [nGC_3383, nGC_3385])

    call avR2(860, 1, 21, 5, 0, FaVF0, 0, [2, 1], [nGC_3384, nGC_3386])

    allocate(vertices(842)%branchR2(0:1))
    call avR2(842, 0, 17, 5, 0, FVFa0, 0, [0, 3], [nGC_3387, nGC_3389])

    call avR2(842, 1, 17, 5, 0, FVFa0, 0, [2, 1], [nGC_3388, nGC_3390])

    allocate(vertices(97)%branchR2(0:1))
    call avR2(97, 0, 10, 5, 0, FFaV0, 0, [0, 3], [nGC_3387, nGC_3389])

    call avR2(97, 1, 10, 5, 0, FFaV0, 0, [2, 1], [nGC_3388, nGC_3390])

    allocate(vertices(841)%branchR2(0:1))
    call avR2(841, 0, 18, 5, 0, VFFa0, 0, [0, 3], [nGC_3387, nGC_3389])

    call avR2(841, 1, 18, 5, 0, VFFa0, 0, [2, 1], [nGC_3388, nGC_3390])

    allocate(vertices(840)%branchR2(0:1))
    call avR2(840, 0, 19, 5, 0, VFaF0, 0, [0, 3], [nGC_3387, nGC_3389])

    call avR2(840, 1, 19, 5, 0, VFaF0, 0, [2, 1], [nGC_3388, nGC_3390])

    allocate(vertices(839)%branchR2(0:1))
    call avR2(839, 0, 20, 5, 0, FaFV0, 0, [0, 3], [nGC_3387, nGC_3389])

    call avR2(839, 1, 20, 5, 0, FaFV0, 0, [2, 1], [nGC_3388, nGC_3390])

    allocate(vertices(838)%branchR2(0:1))
    call avR2(838, 0, 21, 5, 0, FaVF0, 0, [0, 3], [nGC_3387, nGC_3389])

    call avR2(838, 1, 21, 5, 0, FaVF0, 0, [2, 1], [nGC_3388, nGC_3390])

    allocate(vertices(878)%branchR2(0:0))
    call avR2(878, 0, 8, 5, 0, FaVF0, 0, [0, 3], [nGC_3391, nGC_3392])

    allocate(vertices(879)%branchR2(0:0))
    call avR2(879, 0, 8, 5, 0, FaFV0, 0, [0, 3], [nGC_3391, nGC_3392])

    allocate(vertices(880)%branchR2(0:0))
    call avR2(880, 0, 8, 5, 0, VFaF0, 0, [0, 3], [nGC_3391, nGC_3392])

    allocate(vertices(881)%branchR2(0:0))
    call avR2(881, 0, 8, 5, 0, VFFa0, 0, [0, 3], [nGC_3391, nGC_3392])

    allocate(vertices(105)%branchR2(0:0))
    call avR2(105, 0, 8, 5, 0, FFaV0, 0, [0, 3], [nGC_3391, nGC_3392])

    allocate(vertices(882)%branchR2(0:0))
    call avR2(882, 0, 8, 5, 0, FVFa0, 0, [0, 3], [nGC_3391, nGC_3392])

    allocate(vertices(852)%branchR2(0:1))
    call avR2(852, 0, 21, 5, 0, FaVF0, 0, [2, 1], [nGC_3384, nGC_3386])

    call avR2(852, 1, 21, 5, 0, FaVF0, 0, [0, 3], [nGC_3393, nGC_3394])

    allocate(vertices(851)%branchR2(0:1))
    call avR2(851, 0, 20, 5, 0, FaFV0, 0, [2, 1], [nGC_3384, nGC_3386])

    call avR2(851, 1, 20, 5, 0, FaFV0, 0, [0, 3], [nGC_3393, nGC_3394])

    allocate(vertices(850)%branchR2(0:1))
    call avR2(850, 0, 19, 5, 0, VFaF0, 0, [2, 1], [nGC_3384, nGC_3386])

    call avR2(850, 1, 19, 5, 0, VFaF0, 0, [0, 3], [nGC_3393, nGC_3394])

    allocate(vertices(849)%branchR2(0:1))
    call avR2(849, 0, 18, 5, 0, VFFa0, 0, [2, 1], [nGC_3384, nGC_3386])

    call avR2(849, 1, 18, 5, 0, VFFa0, 0, [0, 3], [nGC_3393, nGC_3394])

    allocate(vertices(99)%branchR2(0:1))
    call avR2(99, 0, 10, 5, 0, FFaV0, 0, [2, 1], [nGC_3384, nGC_3386])

    call avR2(99, 1, 10, 5, 0, FFaV0, 0, [0, 3], [nGC_3393, nGC_3394])

    allocate(vertices(848)%branchR2(0:1))
    call avR2(848, 0, 17, 5, 0, FVFa0, 0, [2, 1], [nGC_3384, nGC_3386])

    call avR2(848, 1, 17, 5, 0, FVFa0, 0, [0, 3], [nGC_3393, nGC_3394])

    allocate(vertices(884)%branchR2(0:0))
    call avR2(884, 0, 8, 5, 0, VFFa0, 0, [0, 3], [nGC_3395, nGC_3396])

    allocate(vertices(885)%branchR2(0:0))
    call avR2(885, 0, 8, 5, 0, VFaF0, 0, [0, 3], [nGC_3395, nGC_3396])

    allocate(vertices(883)%branchR2(0:0))
    call avR2(883, 0, 8, 5, 0, FVFa0, 0, [0, 3], [nGC_3395, nGC_3396])

    allocate(vertices(106)%branchR2(0:0))
    call avR2(106, 0, 8, 5, 0, FFaV0, 0, [0, 3], [nGC_3395, nGC_3396])

    allocate(vertices(887)%branchR2(0:0))
    call avR2(887, 0, 8, 5, 0, FaVF0, 0, [0, 3], [nGC_3395, nGC_3396])

    allocate(vertices(886)%branchR2(0:0))
    call avR2(886, 0, 8, 5, 0, FaFV0, 0, [0, 3], [nGC_3395, nGC_3396])

    allocate(vertices(868)%branchR2(0:0))
    call avR2(868, 0, 8, 5, 0, FVFa1, 0, [0, 3], [nGC_3397])

    allocate(vertices(103)%branchR2(0:0))
    call avR2(103, 0, 8, 5, 0, FFaV1, 0, [0, 3], [nGC_3397])

    allocate(vertices(869)%branchR2(0:0))
    call avR2(869, 0, 8, 5, 0, VFFa1, 0, [0, 3], [nGC_3397])

    allocate(vertices(870)%branchR2(0:0))
    call avR2(870, 0, 8, 5, 0, VFaF1, 0, [0, 3], [nGC_3397])

    allocate(vertices(871)%branchR2(0:0))
    call avR2(871, 0, 8, 5, 0, FaFV1, 0, [0, 3], [nGC_3397])

    allocate(vertices(872)%branchR2(0:0))
    call avR2(872, 0, 8, 5, 0, FaVF1, 0, [0, 3], [nGC_3397])

    allocate(vertices(104)%branchR2(0:0))
    call avR2(104, 0, 8, 5, 0, FFaV1, 0, [0, 3], [nGC_3398])

    allocate(vertices(877)%branchR2(0:0))
    call avR2(877, 0, 8, 5, 0, FVFa1, 0, [0, 3], [nGC_3398])

    allocate(vertices(874)%branchR2(0:0))
    call avR2(874, 0, 8, 5, 0, FaFV1, 0, [0, 3], [nGC_3398])

    allocate(vertices(873)%branchR2(0:0))
    call avR2(873, 0, 8, 5, 0, FaVF1, 0, [0, 3], [nGC_3398])

    allocate(vertices(876)%branchR2(0:0))
    call avR2(876, 0, 8, 5, 0, VFFa1, 0, [0, 3], [nGC_3398])

    allocate(vertices(875)%branchR2(0:0))
    call avR2(875, 0, 8, 5, 0, VFaF1, 0, [0, 3], [nGC_3398])

    allocate(vertices(863)%branchR2(0:0))
    call avR2(863, 0, 8, 5, 0, FVFa1, 0, [0, 3], [nGC_3399])

    allocate(vertices(102)%branchR2(0:0))
    call avR2(102, 0, 8, 5, 0, FFaV1, 0, [0, 3], [nGC_3399])

    allocate(vertices(864)%branchR2(0:0))
    call avR2(864, 0, 8, 5, 0, VFFa1, 0, [0, 3], [nGC_3399])

    allocate(vertices(865)%branchR2(0:0))
    call avR2(865, 0, 8, 5, 0, VFaF1, 0, [0, 3], [nGC_3399])

    allocate(vertices(867)%branchR2(0:0))
    call avR2(867, 0, 8, 5, 0, FaVF1, 0, [0, 3], [nGC_3399])

    allocate(vertices(866)%branchR2(0:0))
    call avR2(866, 0, 8, 5, 0, FaFV1, 0, [0, 3], [nGC_3399])

    allocate(vertices(856)%branchR2(0:1))
    call avR2(856, 0, 18, 5, 0, VFFa0, 0, [2, 1], [nGC_3384, nGC_3386])

    call avR2(856, 1, 18, 5, 0, VFFa0, 0, [0, 3], [nGC_3400, nGC_3401])

    allocate(vertices(855)%branchR2(0:1))
    call avR2(855, 0, 19, 5, 0, VFaF0, 0, [2, 1], [nGC_3384, nGC_3386])

    call avR2(855, 1, 19, 5, 0, VFaF0, 0, [0, 3], [nGC_3400, nGC_3401])

    allocate(vertices(857)%branchR2(0:1))
    call avR2(857, 0, 17, 5, 0, FVFa0, 0, [2, 1], [nGC_3384, nGC_3386])

    call avR2(857, 1, 17, 5, 0, FVFa0, 0, [0, 3], [nGC_3400, nGC_3401])

    allocate(vertices(100)%branchR2(0:1))
    call avR2(100, 0, 10, 5, 0, FFaV0, 0, [2, 1], [nGC_3384, nGC_3386])

    call avR2(100, 1, 10, 5, 0, FFaV0, 0, [0, 3], [nGC_3400, nGC_3401])

    allocate(vertices(853)%branchR2(0:1))
    call avR2(853, 0, 21, 5, 0, FaVF0, 0, [2, 1], [nGC_3384, nGC_3386])

    call avR2(853, 1, 21, 5, 0, FaVF0, 0, [0, 3], [nGC_3400, nGC_3401])

    allocate(vertices(854)%branchR2(0:1))
    call avR2(854, 0, 20, 5, 0, FaFV0, 0, [2, 1], [nGC_3384, nGC_3386])

    call avR2(854, 1, 20, 5, 0, FaFV0, 0, [0, 3], [nGC_3400, nGC_3401])

    allocate(vertices(98)%branchR2(0:0))
    call avR2(98, 0, 10, 5, 0, FFaV0, 0, [0, 3], [nGC_3402, nGC_3403])

    allocate(vertices(843)%branchR2(0:0))
    call avR2(843, 0, 17, 5, 0, FVFa0, 0, [0, 3], [nGC_3402, nGC_3403])

    allocate(vertices(846)%branchR2(0:0))
    call avR2(846, 0, 20, 5, 0, FaFV0, 0, [0, 3], [nGC_3402, nGC_3403])

    allocate(vertices(847)%branchR2(0:0))
    call avR2(847, 0, 21, 5, 0, FaVF0, 0, [0, 3], [nGC_3402, nGC_3403])

    allocate(vertices(844)%branchR2(0:0))
    call avR2(844, 0, 18, 5, 0, VFFa0, 0, [0, 3], [nGC_3402, nGC_3403])

    allocate(vertices(845)%branchR2(0:0))
    call avR2(845, 0, 19, 5, 0, VFaF0, 0, [0, 3], [nGC_3402, nGC_3403])

    allocate(vertices(888)%branchR2(0:0))
    call avR2(888, 0, 8, 5, 0, FVFa0, 0, [0, 3], [nGC_3404, nGC_3405])

    allocate(vertices(107)%branchR2(0:0))
    call avR2(107, 0, 8, 5, 0, FFaV0, 0, [0, 3], [nGC_3404, nGC_3405])

    allocate(vertices(889)%branchR2(0:0))
    call avR2(889, 0, 8, 5, 0, VFFa0, 0, [0, 3], [nGC_3404, nGC_3405])

    allocate(vertices(890)%branchR2(0:0))
    call avR2(890, 0, 8, 5, 0, VFaF0, 0, [0, 3], [nGC_3404, nGC_3405])

    allocate(vertices(891)%branchR2(0:0))
    call avR2(891, 0, 8, 5, 0, FaFV0, 0, [0, 3], [nGC_3404, nGC_3405])

    allocate(vertices(892)%branchR2(0:0))
    call avR2(892, 0, 8, 5, 0, FaVF0, 0, [0, 3], [nGC_3404, nGC_3405])

    allocate(vertices(836)%branchR2(0:1))
    call avR2(836, 0, 18, 5, 0, VFFa0, 0, [2, 1], [nGC_3388, nGC_3390])

    call avR2(836, 1, 18, 5, 0, VFFa0, 0, [0, 3], [nGC_3406, nGC_3407])

    allocate(vertices(835)%branchR2(0:1))
    call avR2(835, 0, 19, 5, 0, VFaF0, 0, [2, 1], [nGC_3388, nGC_3390])

    call avR2(835, 1, 19, 5, 0, VFaF0, 0, [0, 3], [nGC_3406, nGC_3407])

    allocate(vertices(837)%branchR2(0:1))
    call avR2(837, 0, 17, 5, 0, FVFa0, 0, [2, 1], [nGC_3388, nGC_3390])

    call avR2(837, 1, 17, 5, 0, FVFa0, 0, [0, 3], [nGC_3406, nGC_3407])

    allocate(vertices(96)%branchR2(0:1))
    call avR2(96, 0, 10, 5, 0, FFaV0, 0, [2, 1], [nGC_3388, nGC_3390])

    call avR2(96, 1, 10, 5, 0, FFaV0, 0, [0, 3], [nGC_3406, nGC_3407])

    allocate(vertices(833)%branchR2(0:1))
    call avR2(833, 0, 21, 5, 0, FaVF0, 0, [2, 1], [nGC_3388, nGC_3390])

    call avR2(833, 1, 21, 5, 0, FaVF0, 0, [0, 3], [nGC_3406, nGC_3407])

    allocate(vertices(834)%branchR2(0:1))
    call avR2(834, 0, 20, 5, 0, FaFV0, 0, [2, 1], [nGC_3388, nGC_3390])

    call avR2(834, 1, 20, 5, 0, FaFV0, 0, [0, 3], [nGC_3406, nGC_3407])

    allocate(vertices(772)%branchR2(0:3))
    call avR2(772, 0, 22, 5, 0, FVFa0, 0, [3, 0], [nGC_3408, nGC_3408])

    call avR2(772, 1, 22, 5, 0, FVFa0, 0, [1, 2], [nGC_3410, nGC_3409])

    call avR2(772, 2, 23, 5, 0, FVFa0, 0, [3, 0], [nGC_3411, nGC_3411])

    call avR2(772, 3, 23, 5, 0, FVFa0, 0, [1, 2], [nGC_3413, nGC_3412])

    allocate(vertices(83)%branchR2(0:3))
    call avR2(83, 0, 11, 5, 0, FFaV0, 0, [3, 0], [nGC_3408, nGC_3408])

    call avR2(83, 1, 11, 5, 0, FFaV0, 0, [1, 2], [nGC_3410, nGC_3409])

    call avR2(83, 2, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_3411, nGC_3411])

    call avR2(83, 3, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_3413, nGC_3412])

    allocate(vertices(770)%branchR2(0:3))
    call avR2(770, 0, 26, 5, 0, FaVF0, 0, [3, 0], [nGC_3408, nGC_3408])

    call avR2(770, 1, 26, 5, 0, FaVF0, 0, [1, 2], [nGC_3410, nGC_3409])

    call avR2(770, 2, 27, 5, 0, FaVF0, 0, [3, 0], [nGC_3411, nGC_3411])

    call avR2(770, 3, 27, 5, 0, FaVF0, 0, [1, 2], [nGC_3413, nGC_3412])

    allocate(vertices(771)%branchR2(0:3))
    call avR2(771, 0, 24, 5, 0, FaFV0, 0, [3, 0], [nGC_3408, nGC_3408])

    call avR2(771, 1, 24, 5, 0, FaFV0, 0, [1, 2], [nGC_3410, nGC_3409])

    call avR2(771, 2, 25, 5, 0, FaFV0, 0, [3, 0], [nGC_3411, nGC_3411])

    call avR2(771, 3, 25, 5, 0, FaFV0, 0, [1, 2], [nGC_3413, nGC_3412])

    allocate(vertices(769)%branchR2(0:3))
    call avR2(769, 0, 28, 5, 0, VFFa0, 0, [3, 0], [nGC_3408, nGC_3408])

    call avR2(769, 1, 28, 5, 0, VFFa0, 0, [1, 2], [nGC_3410, nGC_3409])

    call avR2(769, 2, 29, 5, 0, VFFa0, 0, [3, 0], [nGC_3411, nGC_3411])

    call avR2(769, 3, 29, 5, 0, VFFa0, 0, [1, 2], [nGC_3413, nGC_3412])

    allocate(vertices(768)%branchR2(0:3))
    call avR2(768, 0, 30, 5, 0, VFaF0, 0, [3, 0], [nGC_3408, nGC_3408])

    call avR2(768, 1, 30, 5, 0, VFaF0, 0, [1, 2], [nGC_3410, nGC_3409])

    call avR2(768, 2, 31, 5, 0, VFaF0, 0, [3, 0], [nGC_3411, nGC_3411])

    call avR2(768, 3, 31, 5, 0, VFaF0, 0, [1, 2], [nGC_3413, nGC_3412])

    allocate(vertices(762)%branchR2(0:3))
    call avR2(762, 0, 26, 5, 0, FaVF0, 0, [3, 0], [nGC_3408, nGC_3408])

    call avR2(762, 1, 26, 5, 0, FaVF0, 0, [1, 2], [nGC_3415, nGC_3414])

    call avR2(762, 2, 27, 5, 0, FaVF0, 0, [3, 0], [nGC_3411, nGC_3411])

    call avR2(762, 3, 27, 5, 0, FaVF0, 0, [1, 2], [nGC_3416, nGC_3417])

    allocate(vertices(761)%branchR2(0:3))
    call avR2(761, 0, 24, 5, 0, FaFV0, 0, [3, 0], [nGC_3408, nGC_3408])

    call avR2(761, 1, 24, 5, 0, FaFV0, 0, [1, 2], [nGC_3415, nGC_3414])

    call avR2(761, 2, 25, 5, 0, FaFV0, 0, [3, 0], [nGC_3411, nGC_3411])

    call avR2(761, 3, 25, 5, 0, FaFV0, 0, [1, 2], [nGC_3416, nGC_3417])

    allocate(vertices(760)%branchR2(0:3))
    call avR2(760, 0, 30, 5, 0, VFaF0, 0, [3, 0], [nGC_3408, nGC_3408])

    call avR2(760, 1, 30, 5, 0, VFaF0, 0, [1, 2], [nGC_3415, nGC_3414])

    call avR2(760, 2, 31, 5, 0, VFaF0, 0, [3, 0], [nGC_3411, nGC_3411])

    call avR2(760, 3, 31, 5, 0, VFaF0, 0, [1, 2], [nGC_3416, nGC_3417])

    allocate(vertices(759)%branchR2(0:3))
    call avR2(759, 0, 28, 5, 0, VFFa0, 0, [3, 0], [nGC_3408, nGC_3408])

    call avR2(759, 1, 28, 5, 0, VFFa0, 0, [1, 2], [nGC_3415, nGC_3414])

    call avR2(759, 2, 29, 5, 0, VFFa0, 0, [3, 0], [nGC_3411, nGC_3411])

    call avR2(759, 3, 29, 5, 0, VFFa0, 0, [1, 2], [nGC_3416, nGC_3417])

    allocate(vertices(81)%branchR2(0:3))
    call avR2(81, 0, 11, 5, 0, FFaV0, 0, [3, 0], [nGC_3408, nGC_3408])

    call avR2(81, 1, 11, 5, 0, FFaV0, 0, [1, 2], [nGC_3415, nGC_3414])

    call avR2(81, 2, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_3411, nGC_3411])

    call avR2(81, 3, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_3416, nGC_3417])

    allocate(vertices(758)%branchR2(0:3))
    call avR2(758, 0, 22, 5, 0, FVFa0, 0, [3, 0], [nGC_3408, nGC_3408])

    call avR2(758, 1, 22, 5, 0, FVFa0, 0, [1, 2], [nGC_3415, nGC_3414])

    call avR2(758, 2, 23, 5, 0, FVFa0, 0, [3, 0], [nGC_3411, nGC_3411])

    call avR2(758, 3, 23, 5, 0, FVFa0, 0, [1, 2], [nGC_3416, nGC_3417])

    allocate(vertices(757)%branchR2(0:3))
    call avR2(757, 0, 22, 5, 0, FVFa0, 0, [3, 0], [nGC_3408, nGC_3408])

    call avR2(757, 1, 22, 5, 0, FVFa0, 0, [1, 2], [nGC_3419, nGC_3418])

    call avR2(757, 2, 23, 5, 0, FVFa0, 0, [3, 0], [nGC_3411, nGC_3411])

    call avR2(757, 3, 23, 5, 0, FVFa0, 0, [1, 2], [nGC_3420, nGC_3421])

    allocate(vertices(80)%branchR2(0:3))
    call avR2(80, 0, 11, 5, 0, FFaV0, 0, [3, 0], [nGC_3408, nGC_3408])

    call avR2(80, 1, 11, 5, 0, FFaV0, 0, [1, 2], [nGC_3419, nGC_3418])

    call avR2(80, 2, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_3411, nGC_3411])

    call avR2(80, 3, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_3420, nGC_3421])

    allocate(vertices(753)%branchR2(0:3))
    call avR2(753, 0, 26, 5, 0, FaVF0, 0, [3, 0], [nGC_3408, nGC_3408])

    call avR2(753, 1, 26, 5, 0, FaVF0, 0, [1, 2], [nGC_3419, nGC_3418])

    call avR2(753, 2, 27, 5, 0, FaVF0, 0, [3, 0], [nGC_3411, nGC_3411])

    call avR2(753, 3, 27, 5, 0, FaVF0, 0, [1, 2], [nGC_3420, nGC_3421])

    allocate(vertices(754)%branchR2(0:3))
    call avR2(754, 0, 24, 5, 0, FaFV0, 0, [3, 0], [nGC_3408, nGC_3408])

    call avR2(754, 1, 24, 5, 0, FaFV0, 0, [1, 2], [nGC_3419, nGC_3418])

    call avR2(754, 2, 25, 5, 0, FaFV0, 0, [3, 0], [nGC_3411, nGC_3411])

    call avR2(754, 3, 25, 5, 0, FaFV0, 0, [1, 2], [nGC_3420, nGC_3421])

    allocate(vertices(756)%branchR2(0:3))
    call avR2(756, 0, 28, 5, 0, VFFa0, 0, [3, 0], [nGC_3408, nGC_3408])

    call avR2(756, 1, 28, 5, 0, VFFa0, 0, [1, 2], [nGC_3419, nGC_3418])

    call avR2(756, 2, 29, 5, 0, VFFa0, 0, [3, 0], [nGC_3411, nGC_3411])

    call avR2(756, 3, 29, 5, 0, VFFa0, 0, [1, 2], [nGC_3420, nGC_3421])

    allocate(vertices(755)%branchR2(0:3))
    call avR2(755, 0, 30, 5, 0, VFaF0, 0, [3, 0], [nGC_3408, nGC_3408])

    call avR2(755, 1, 30, 5, 0, VFaF0, 0, [1, 2], [nGC_3419, nGC_3418])

    call avR2(755, 2, 31, 5, 0, VFaF0, 0, [3, 0], [nGC_3411, nGC_3411])

    call avR2(755, 3, 31, 5, 0, VFaF0, 0, [1, 2], [nGC_3420, nGC_3421])

    allocate(vertices(766)%branchR2(0:3))
    call avR2(766, 0, 28, 5, 0, VFFa0, 0, [3, 0], [nGC_3422, nGC_3422])

    call avR2(766, 1, 28, 5, 0, VFFa0, 0, [1, 2], [nGC_3423, nGC_3424])

    call avR2(766, 2, 29, 5, 0, VFFa0, 0, [3, 0], [nGC_3425, nGC_3425])

    call avR2(766, 3, 29, 5, 0, VFFa0, 0, [1, 2], [nGC_3426, nGC_3427])

    allocate(vertices(765)%branchR2(0:3))
    call avR2(765, 0, 30, 5, 0, VFaF0, 0, [3, 0], [nGC_3422, nGC_3422])

    call avR2(765, 1, 30, 5, 0, VFaF0, 0, [1, 2], [nGC_3423, nGC_3424])

    call avR2(765, 2, 31, 5, 0, VFaF0, 0, [3, 0], [nGC_3425, nGC_3425])

    call avR2(765, 3, 31, 5, 0, VFaF0, 0, [1, 2], [nGC_3426, nGC_3427])

    allocate(vertices(767)%branchR2(0:3))
    call avR2(767, 0, 22, 5, 0, FVFa0, 0, [3, 0], [nGC_3422, nGC_3422])

    call avR2(767, 1, 22, 5, 0, FVFa0, 0, [1, 2], [nGC_3423, nGC_3424])

    call avR2(767, 2, 23, 5, 0, FVFa0, 0, [3, 0], [nGC_3425, nGC_3425])

    call avR2(767, 3, 23, 5, 0, FVFa0, 0, [1, 2], [nGC_3426, nGC_3427])

    allocate(vertices(82)%branchR2(0:3))
    call avR2(82, 0, 11, 5, 0, FFaV0, 0, [3, 0], [nGC_3422, nGC_3422])

    call avR2(82, 1, 11, 5, 0, FFaV0, 0, [1, 2], [nGC_3423, nGC_3424])

    call avR2(82, 2, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_3425, nGC_3425])

    call avR2(82, 3, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_3426, nGC_3427])

    allocate(vertices(763)%branchR2(0:3))
    call avR2(763, 0, 26, 5, 0, FaVF0, 0, [3, 0], [nGC_3422, nGC_3422])

    call avR2(763, 1, 26, 5, 0, FaVF0, 0, [1, 2], [nGC_3423, nGC_3424])

    call avR2(763, 2, 27, 5, 0, FaVF0, 0, [3, 0], [nGC_3425, nGC_3425])

    call avR2(763, 3, 27, 5, 0, FaVF0, 0, [1, 2], [nGC_3426, nGC_3427])

    allocate(vertices(764)%branchR2(0:3))
    call avR2(764, 0, 24, 5, 0, FaFV0, 0, [3, 0], [nGC_3422, nGC_3422])

    call avR2(764, 1, 24, 5, 0, FaFV0, 0, [1, 2], [nGC_3423, nGC_3424])

    call avR2(764, 2, 25, 5, 0, FaFV0, 0, [3, 0], [nGC_3425, nGC_3425])

    call avR2(764, 3, 25, 5, 0, FaFV0, 0, [1, 2], [nGC_3426, nGC_3427])

    allocate(vertices(1146)%branchR2(0:1))
    call avR2(1146, 0, 22, 5, 0, FVFa0, 0, [1, 2], [nGC_3428, nGC_3429])

    call avR2(1146, 1, 23, 5, 0, FVFa0, 0, [1, 2], [nGC_3430, nGC_3431])

    allocate(vertices(1147)%branchR2(0:1))
    call avR2(1147, 0, 11, 5, 0, FFaV0, 0, [1, 2], [nGC_3428, nGC_3429])

    call avR2(1147, 1, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_3430, nGC_3431])

    allocate(vertices(1148)%branchR2(0:1))
    call avR2(1148, 0, 28, 5, 0, VFFa0, 0, [1, 2], [nGC_3428, nGC_3429])

    call avR2(1148, 1, 29, 5, 0, VFFa0, 0, [1, 2], [nGC_3430, nGC_3431])

    allocate(vertices(1149)%branchR2(0:1))
    call avR2(1149, 0, 30, 5, 0, VFaF0, 0, [1, 2], [nGC_3428, nGC_3429])

    call avR2(1149, 1, 31, 5, 0, VFaF0, 0, [1, 2], [nGC_3430, nGC_3431])

    allocate(vertices(1150)%branchR2(0:1))
    call avR2(1150, 0, 24, 5, 0, FaFV0, 0, [1, 2], [nGC_3428, nGC_3429])

    call avR2(1150, 1, 25, 5, 0, FaFV0, 0, [1, 2], [nGC_3430, nGC_3431])

    allocate(vertices(1151)%branchR2(0:1))
    call avR2(1151, 0, 26, 5, 0, FaVF0, 0, [1, 2], [nGC_3428, nGC_3429])

    call avR2(1151, 1, 27, 5, 0, FaVF0, 0, [1, 2], [nGC_3430, nGC_3431])

    allocate(vertices(751)%branchR2(0:3))
    call avR2(751, 0, 28, 5, 0, VFFa0, 0, [3, 0], [nGC_3422, nGC_3422])

    call avR2(751, 1, 28, 5, 0, VFFa0, 0, [1, 2], [nGC_3432, nGC_3433])

    call avR2(751, 2, 29, 5, 0, VFFa0, 0, [3, 0], [nGC_3425, nGC_3425])

    call avR2(751, 3, 29, 5, 0, VFFa0, 0, [1, 2], [nGC_3434, nGC_3435])

    allocate(vertices(750)%branchR2(0:3))
    call avR2(750, 0, 30, 5, 0, VFaF0, 0, [3, 0], [nGC_3422, nGC_3422])

    call avR2(750, 1, 30, 5, 0, VFaF0, 0, [1, 2], [nGC_3432, nGC_3433])

    call avR2(750, 2, 31, 5, 0, VFaF0, 0, [3, 0], [nGC_3425, nGC_3425])

    call avR2(750, 3, 31, 5, 0, VFaF0, 0, [1, 2], [nGC_3434, nGC_3435])

    allocate(vertices(752)%branchR2(0:3))
    call avR2(752, 0, 22, 5, 0, FVFa0, 0, [3, 0], [nGC_3422, nGC_3422])

    call avR2(752, 1, 22, 5, 0, FVFa0, 0, [1, 2], [nGC_3432, nGC_3433])

    call avR2(752, 2, 23, 5, 0, FVFa0, 0, [3, 0], [nGC_3425, nGC_3425])

    call avR2(752, 3, 23, 5, 0, FVFa0, 0, [1, 2], [nGC_3434, nGC_3435])

    allocate(vertices(79)%branchR2(0:3))
    call avR2(79, 0, 11, 5, 0, FFaV0, 0, [3, 0], [nGC_3422, nGC_3422])

    call avR2(79, 1, 11, 5, 0, FFaV0, 0, [1, 2], [nGC_3432, nGC_3433])

    call avR2(79, 2, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_3425, nGC_3425])

    call avR2(79, 3, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_3434, nGC_3435])

    allocate(vertices(748)%branchR2(0:3))
    call avR2(748, 0, 26, 5, 0, FaVF0, 0, [3, 0], [nGC_3422, nGC_3422])

    call avR2(748, 1, 26, 5, 0, FaVF0, 0, [1, 2], [nGC_3432, nGC_3433])

    call avR2(748, 2, 27, 5, 0, FaVF0, 0, [3, 0], [nGC_3425, nGC_3425])

    call avR2(748, 3, 27, 5, 0, FaVF0, 0, [1, 2], [nGC_3434, nGC_3435])

    allocate(vertices(749)%branchR2(0:3))
    call avR2(749, 0, 24, 5, 0, FaFV0, 0, [3, 0], [nGC_3422, nGC_3422])

    call avR2(749, 1, 24, 5, 0, FaFV0, 0, [1, 2], [nGC_3432, nGC_3433])

    call avR2(749, 2, 25, 5, 0, FaFV0, 0, [3, 0], [nGC_3425, nGC_3425])

    call avR2(749, 3, 25, 5, 0, FaFV0, 0, [1, 2], [nGC_3434, nGC_3435])

    allocate(vertices(0)%branchR2(0:1))
    call avR2(0, 0, 0, 5, 0, VVV0, 0, [3, 0], [nGC_3436])

    call avR2(0, 1, 1, 5, 0, VVV0, 0, [3, 0], [nGC_3437])

    allocate(vertices(1152)%branchR2(0:1))
    call avR2(1152, 0, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_10907, nGC_10907,      &
    nGC_3438])

    call avR2(1152, 1, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_10909, nGC_10909,      &
    nGC_3439])

    allocate(vertices(1153)%branchR2(0:1))
    call avR2(1153, 0, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_10907, nGC_10907,      &
    nGC_3438])

    call avR2(1153, 1, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_10909, nGC_10909,      &
    nGC_3439])

    allocate(vertices(1154)%branchR2(0:1))
    call avR2(1154, 0, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_10907, nGC_3438,       &
    nGC_10907])

    call avR2(1154, 1, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_10909, nGC_3439,       &
    nGC_10909])

    allocate(vertices(1155)%branchR2(0:1))
    call avR2(1155, 0, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_3438, nGC_10907,       &
    nGC_10907])

    call avR2(1155, 1, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_3439, nGC_10909,       &
    nGC_10909])

    allocate(vertices(1156)%branchR2(0:1))
    call avR2(1156, 0, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_10907, nGC_3438,       &
    nGC_10907])

    call avR2(1156, 1, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_10909, nGC_3439,       &
    nGC_10909])

    allocate(vertices(1157)%branchR2(0:1))
    call avR2(1157, 0, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_3438, nGC_10907,       &
    nGC_10907])

    call avR2(1157, 1, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_3439, nGC_10909,       &
    nGC_10909])

    allocate(vertices(1158)%branchR2(0:1))
    call avR2(1158, 0, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_3438, nGC_10907,       &
    nGC_10907])

    call avR2(1158, 1, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_3439, nGC_10909,       &
    nGC_10909])

    allocate(vertices(1159)%branchR2(0:1))
    call avR2(1159, 0, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_10907, nGC_3438,       &
    nGC_10907])

    call avR2(1159, 1, 54, 5, 0, VVVV0, 0, [2, 2], [nGC_10909, nGC_3439,       &
    nGC_10909])

    allocate(vertices(1160)%branchR2(0:1))
    call avR2(1160, 0, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_10907, nGC_10907,      &
    nGC_3438])

    call avR2(1160, 1, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_10909, nGC_10909,      &
    nGC_3439])

    allocate(vertices(1161)%branchR2(0:1))
    call avR2(1161, 0, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_3438, nGC_10907,       &
    nGC_10907])

    call avR2(1161, 1, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_3439, nGC_10909,       &
    nGC_10909])

    allocate(vertices(1162)%branchR2(0:1))
    call avR2(1162, 0, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_10907, nGC_3438,       &
    nGC_10907])

    call avR2(1162, 1, 54, 5, 0, VVVV0, 0, [2, 2], [nGC_10909, nGC_3439,       &
    nGC_10909])

    allocate(vertices(1163)%branchR2(0:1))
    call avR2(1163, 0, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_10907, nGC_10907,      &
    nGC_3438])

    call avR2(1163, 1, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_10909, nGC_10909,      &
    nGC_3439])

    allocate(vertices(1164)%branchR2(0:1))
    call avR2(1164, 0, 51, 5, 0, SVVS0, 0, [2, 2], [nGC_3440])

    call avR2(1164, 1, 52, 5, 0, SVVS0, 0, [2, 2], [nGC_3441])

    allocate(vertices(1165)%branchR2(0:1))
    call avR2(1165, 0, 53, 5, 0, SVSV0, 0, [2, 2], [nGC_3440])

    call avR2(1165, 1, 54, 5, 0, SVSV0, 0, [2, 2], [nGC_3441])

    allocate(vertices(1166)%branchR2(0:1))
    call avR2(1166, 0, 43, 5, 0, SSVV0, 0, [2, 2], [nGC_3440])

    call avR2(1166, 1, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_3441])

    allocate(vertices(1167)%branchR2(0:1))
    call avR2(1167, 0, 47, 5, 0, VSVS0, 0, [2, 2], [nGC_3440])

    call avR2(1167, 1, 48, 5, 0, VSVS0, 0, [2, 2], [nGC_3441])

    allocate(vertices(1168)%branchR2(0:1))
    call avR2(1168, 0, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_3440])

    call avR2(1168, 1, 50, 5, 0, VSSV0, 0, [2, 2], [nGC_3441])

    allocate(vertices(1169)%branchR2(0:1))
    call avR2(1169, 0, 45, 5, 0, VVSS0, 0, [2, 2], [nGC_3440])

    call avR2(1169, 1, 46, 5, 0, VVSS0, 0, [2, 2], [nGC_3441])

    allocate(vertices(1170)%branchR2(0:1))
    call avR2(1170, 0, 45, 5, 0, VVSS0, 0, [2, 2], [nGC_3440])

    call avR2(1170, 1, 46, 5, 0, VVSS0, 0, [2, 2], [nGC_3441])

    allocate(vertices(1171)%branchR2(0:1))
    call avR2(1171, 0, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_3440])

    call avR2(1171, 1, 50, 5, 0, VSSV0, 0, [2, 2], [nGC_3441])

    allocate(vertices(1172)%branchR2(0:1))
    call avR2(1172, 0, 47, 5, 0, VSVS0, 0, [2, 2], [nGC_3440])

    call avR2(1172, 1, 48, 5, 0, VSVS0, 0, [2, 2], [nGC_3441])

    allocate(vertices(1173)%branchR2(0:1))
    call avR2(1173, 0, 43, 5, 0, SSVV0, 0, [2, 2], [nGC_3440])

    call avR2(1173, 1, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_3441])

    allocate(vertices(1174)%branchR2(0:1))
    call avR2(1174, 0, 53, 5, 0, SVSV0, 0, [2, 2], [nGC_3440])

    call avR2(1174, 1, 54, 5, 0, SVSV0, 0, [2, 2], [nGC_3441])

    allocate(vertices(1175)%branchR2(0:1))
    call avR2(1175, 0, 51, 5, 0, SVVS0, 0, [2, 2], [nGC_3440])

    call avR2(1175, 1, 52, 5, 0, SVVS0, 0, [2, 2], [nGC_3441])

    allocate(vertices(1176)%branchR2(0:1))
    call avR2(1176, 0, 45, 5, 0, VVSS0, 0, [2, 2], [nGC_3442])

    call avR2(1176, 1, 46, 5, 0, VVSS0, 0, [2, 2], [nGC_3443])

    allocate(vertices(1177)%branchR2(0:1))
    call avR2(1177, 0, 47, 5, 0, VSVS0, 0, [2, 2], [nGC_3442])

    call avR2(1177, 1, 48, 5, 0, VSVS0, 0, [2, 2], [nGC_3443])

    allocate(vertices(1178)%branchR2(0:1))
    call avR2(1178, 0, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_3442])

    call avR2(1178, 1, 50, 5, 0, VSSV0, 0, [2, 2], [nGC_3443])

    allocate(vertices(1179)%branchR2(0:1))
    call avR2(1179, 0, 51, 5, 0, SVVS0, 0, [2, 2], [nGC_3442])

    call avR2(1179, 1, 52, 5, 0, SVVS0, 0, [2, 2], [nGC_3443])

    allocate(vertices(1180)%branchR2(0:1))
    call avR2(1180, 0, 53, 5, 0, SVSV0, 0, [2, 2], [nGC_3442])

    call avR2(1180, 1, 54, 5, 0, SVSV0, 0, [2, 2], [nGC_3443])

    allocate(vertices(1181)%branchR2(0:1))
    call avR2(1181, 0, 43, 5, 0, SSVV0, 0, [2, 2], [nGC_3442])

    call avR2(1181, 1, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_3443])

    allocate(vertices(1182)%branchR2(0:1))
    call avR2(1182, 0, 43, 5, 0, SSVV0, 0, [2, 2], [nGC_3444])

    call avR2(1182, 1, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_3445])

    allocate(vertices(1183)%branchR2(0:1))
    call avR2(1183, 0, 53, 5, 0, SVSV0, 0, [2, 2], [nGC_3444])

    call avR2(1183, 1, 54, 5, 0, SVSV0, 0, [2, 2], [nGC_3445])

    allocate(vertices(1184)%branchR2(0:1))
    call avR2(1184, 0, 51, 5, 0, SVVS0, 0, [2, 2], [nGC_3444])

    call avR2(1184, 1, 52, 5, 0, SVVS0, 0, [2, 2], [nGC_3445])

    allocate(vertices(1185)%branchR2(0:1))
    call avR2(1185, 0, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_3444])

    call avR2(1185, 1, 50, 5, 0, VSSV0, 0, [2, 2], [nGC_3445])

    allocate(vertices(1186)%branchR2(0:1))
    call avR2(1186, 0, 47, 5, 0, VSVS0, 0, [2, 2], [nGC_3444])

    call avR2(1186, 1, 48, 5, 0, VSVS0, 0, [2, 2], [nGC_3445])

    allocate(vertices(1187)%branchR2(0:1))
    call avR2(1187, 0, 45, 5, 0, VVSS0, 0, [2, 2], [nGC_3444])

    call avR2(1187, 1, 46, 5, 0, VVSS0, 0, [2, 2], [nGC_3445])

    allocate(vertices(1188)%branchR2(0:1))
    call avR2(1188, 0, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_3446, nGC_3446,        &
    nGC_3446])

    call avR2(1188, 1, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_3447, nGC_3447,        &
    nGC_3447])

    allocate(vertices(1189)%branchR2(0:1))
    call avR2(1189, 0, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_3446, nGC_3446,        &
    nGC_3446])

    call avR2(1189, 1, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_3447, nGC_3447,        &
    nGC_3447])

    allocate(vertices(1190)%branchR2(0:1))
    call avR2(1190, 0, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_3446, nGC_3446,        &
    nGC_3446])

    call avR2(1190, 1, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_3447, nGC_3447,        &
    nGC_3447])

    allocate(vertices(1191)%branchR2(0:1))
    call avR2(1191, 0, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_3446, nGC_3446,        &
    nGC_3446])

    call avR2(1191, 1, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_3447, nGC_3447,        &
    nGC_3447])

    allocate(vertices(1192)%branchR2(0:1))
    call avR2(1192, 0, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_3446, nGC_3446,        &
    nGC_3446])

    call avR2(1192, 1, 54, 5, 0, VVVV0, 0, [2, 2], [nGC_3447, nGC_3447,        &
    nGC_3447])

    allocate(vertices(1193)%branchR2(0:1))
    call avR2(1193, 0, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_3446, nGC_3446,        &
    nGC_3446])

    call avR2(1193, 1, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_3447, nGC_3447,        &
    nGC_3447])

    allocate(vertices(1194)%branchR2(0:1))
    call avR2(1194, 0, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1194, 1, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(1195)%branchR2(0:1))
    call avR2(1195, 0, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1195, 1, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(1196)%branchR2(0:1))
    call avR2(1196, 0, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1196, 1, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(1197)%branchR2(0:1))
    call avR2(1197, 0, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1197, 1, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(1198)%branchR2(0:1))
    call avR2(1198, 0, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1198, 1, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(1199)%branchR2(0:1))
    call avR2(1199, 0, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1199, 1, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(1200)%branchR2(0:1))
    call avR2(1200, 0, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1200, 1, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(1201)%branchR2(0:1))
    call avR2(1201, 0, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1201, 1, 54, 5, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(1202)%branchR2(0:1))
    call avR2(1202, 0, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1202, 1, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(1203)%branchR2(0:1))
    call avR2(1203, 0, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1203, 1, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(1204)%branchR2(0:1))
    call avR2(1204, 0, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1204, 1, 54, 5, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(1205)%branchR2(0:1))
    call avR2(1205, 0, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1205, 1, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(1206)%branchR2(0:1))
    call avR2(1206, 0, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_3450, nGC_3450,        &
    nGC_3450])

    call avR2(1206, 1, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_3451, nGC_3451,        &
    nGC_3451])

    allocate(vertices(1207)%branchR2(0:1))
    call avR2(1207, 0, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_3450, nGC_3450,        &
    nGC_3450])

    call avR2(1207, 1, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_3451, nGC_3451,        &
    nGC_3451])

    allocate(vertices(1208)%branchR2(0:1))
    call avR2(1208, 0, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_3450, nGC_3450,        &
    nGC_3450])

    call avR2(1208, 1, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_3451, nGC_3451,        &
    nGC_3451])

    allocate(vertices(1209)%branchR2(0:1))
    call avR2(1209, 0, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_3450, nGC_3450,        &
    nGC_3450])

    call avR2(1209, 1, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_3451, nGC_3451,        &
    nGC_3451])

    allocate(vertices(1210)%branchR2(0:1))
    call avR2(1210, 0, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_3450, nGC_3450,        &
    nGC_3450])

    call avR2(1210, 1, 54, 5, 0, VVVV0, 0, [2, 2], [nGC_3451, nGC_3451,        &
    nGC_3451])

    allocate(vertices(1211)%branchR2(0:1))
    call avR2(1211, 0, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_3450, nGC_3450,        &
    nGC_3450])

    call avR2(1211, 1, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_3451, nGC_3451,        &
    nGC_3451])

    allocate(vertices(1212)%branchR2(0:5))
    call avR2(1212, 0, 61, 5, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    call avR2(1212, 1, 62, 5, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1212, 2, 63, 5, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1212, 3, 64, 5, 0, VVVV0, 0, [3, 1], [nGC_3454, nGC_3454,        &
    nGC_3454])

    call avR2(1212, 4, 65, 5, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1212, 5, 66, 5, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    allocate(vertices(1213)%branchR2(0:5))
    call avR2(1213, 0, 67, 5, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    call avR2(1213, 1, 68, 5, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1213, 2, 69, 5, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1213, 3, 70, 5, 0, VVVV0, 0, [3, 1], [nGC_3454, nGC_3454,        &
    nGC_3454])

    call avR2(1213, 4, 71, 5, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1213, 5, 72, 5, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    allocate(vertices(1214)%branchR2(0:5))
    call avR2(1214, 0, 73, 5, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    call avR2(1214, 1, 74, 5, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1214, 2, 75, 5, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1214, 3, 76, 5, 0, VVVV0, 0, [3, 1], [nGC_3454, nGC_3454,        &
    nGC_3454])

    call avR2(1214, 4, 77, 5, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1214, 5, 78, 5, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    allocate(vertices(1215)%branchR2(0:5))
    call avR2(1215, 0, 55, 5, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    call avR2(1215, 1, 56, 5, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1215, 2, 57, 5, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1215, 3, 58, 5, 0, VVVV0, 0, [3, 1], [nGC_3454, nGC_3454,        &
    nGC_3454])

    call avR2(1215, 4, 59, 5, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1215, 5, 60, 5, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    allocate(vertices(1216)%branchR2(0:5))
    call avR2(1216, 0, 61, 5, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_11054])

    call avR2(1216, 1, 62, 5, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1216, 2, 63, 5, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1216, 3, 64, 5, 0, VVVV0, 0, [3, 1], [nGC_3458, nGC_3458,        &
    nGC_3458])

    call avR2(1216, 4, 65, 5, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1216, 5, 66, 5, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_11061])

    allocate(vertices(1217)%branchR2(0:5))
    call avR2(1217, 0, 67, 5, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_3456])

    call avR2(1217, 1, 68, 5, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1217, 2, 69, 5, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1217, 3, 70, 5, 0, VVVV0, 0, [3, 1], [nGC_3458, nGC_3458,        &
    nGC_3458])

    call avR2(1217, 4, 71, 5, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1217, 5, 72, 5, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_3459])

    allocate(vertices(1218)%branchR2(0:5))
    call avR2(1218, 0, 73, 5, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_11054])

    call avR2(1218, 1, 74, 5, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1218, 2, 75, 5, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1218, 3, 76, 5, 0, VVVV0, 0, [3, 1], [nGC_3458, nGC_3458,        &
    nGC_3458])

    call avR2(1218, 4, 77, 5, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1218, 5, 78, 5, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_11061])

    allocate(vertices(1219)%branchR2(0:5))
    call avR2(1219, 0, 55, 5, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_3456])

    call avR2(1219, 1, 56, 5, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1219, 2, 57, 5, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1219, 3, 58, 5, 0, VVVV0, 0, [3, 1], [nGC_3458, nGC_3458,        &
    nGC_3458])

    call avR2(1219, 4, 59, 5, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1219, 5, 60, 5, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_3459])

    allocate(vertices(1)%branchR2(0:23))
    call avR2(1, 0, 2, 5, 0, VVVV0, 0, [4, 0], [nGC_3461, nGC_3460, nGC_3461])

    call avR2(1, 1, 3, 5, 0, VVVV0, 0, [4, 0], [nGC_3460, nGC_3461, nGC_3461])

    call avR2(1, 2, 4, 5, 0, VVVV0, 0, [4, 0], [nGC_3461, nGC_3460, nGC_3461])

    call avR2(1, 3, 5, 5, 0, VVVV0, 0, [4, 0], [nGC_3460, nGC_3461, nGC_3461])

    call avR2(1, 4, 6, 5, 0, VVVV0, 0, [4, 0], [nGC_3461, nGC_3461, nGC_3460])

    call avR2(1, 5, 7, 5, 0, VVVV0, 0, [4, 0], [nGC_3461, nGC_3461, nGC_3460])

    call avR2(1, 6, 79, 5, 0, VVVV0, 0, [4, 0], [nGC_3462, nGC_3462, nGC_3462])

    call avR2(1, 7, 80, 5, 0, VVVV0, 0, [4, 0], [nGC_3462, nGC_3462, nGC_3462])

    call avR2(1, 8, 81, 5, 0, VVVV0, 0, [4, 0], [nGC_3464, nGC_3463, nGC_3463])

    call avR2(1, 9, 82, 5, 0, VVVV0, 0, [4, 0], [nGC_3462, nGC_3462, nGC_3462])

    call avR2(1, 10, 83, 5, 0, VVVV0, 0, [4, 0], [nGC_3463, nGC_3463, nGC_3464])

    call avR2(1, 11, 84, 5, 0, VVVV0, 0, [4, 0], [nGC_3463, nGC_3464, nGC_3463])

    call avR2(1, 12, 85, 5, 0, VVVV0, 0, [4, 0], [nGC_3462, nGC_3462, nGC_3462])

    call avR2(1, 13, 86, 5, 0, VVVV0, 0, [4, 0], [nGC_3462, nGC_3462, nGC_3462])

    call avR2(1, 14, 87, 5, 0, VVVV0, 0, [4, 0], [nGC_3462, nGC_3462, nGC_3462])

    call avR2(1, 15, 88, 5, 0, VVVV0, 0, [4, 0], [nGC_3462, nGC_3462, nGC_3462])

    call avR2(1, 16, 89, 5, 0, VVVV0, 0, [4, 0], [nGC_3462, nGC_3462, nGC_3462])

    call avR2(1, 17, 90, 5, 0, VVVV0, 0, [4, 0], [nGC_3465, nGC_3465, nGC_3465])

    call avR2(1, 18, 91, 5, 0, VVVV0, 0, [4, 0], [nGC_3465, nGC_3465, nGC_3465])

    call avR2(1, 19, 92, 5, 0, VVVV0, 0, [4, 0], [nGC_3465, nGC_3465, nGC_3465])

    call avR2(1, 20, 93, 5, 0, VVVV0, 0, [4, 0], [nGC_3466, nGC_3466, nGC_3466])

    call avR2(1, 21, 94, 5, 0, VVVV0, 0, [4, 0], [nGC_3465, nGC_3465, nGC_3465])

    call avR2(1, 22, 95, 5, 0, VVVV0, 0, [4, 0], [nGC_3465, nGC_3465, nGC_3465])

    call avR2(1, 23, 96, 5, 0, VVVV0, 0, [4, 0], [nGC_3465, nGC_3465, nGC_3465])

  end subroutine fill_vertices_mdl4
end module vertices_info4
